/*
	EGX system - by Enigx
	
	CiviliansList.sqf
	
	The script defines the civil units to use for many civilian modules of adminPanel.
	Within the latter a graphical interface is defined for the selection of the civil faction to use. Factions are defined in this file.
	Precisely:
	7   : USER DEFINED <-- ONLY CHANGE THIS FROM TIME TO TIME
	1	: Civili Vanilla
	2   : Takistan Civils Classnames Project OPFOR
	3	: Takistan Civils Classnames CUP
	4   : Vietnammiti Classnames Unsung
	5   : African Classnames Project OPFOR
	6   : Russian Classnames CUP
		
	The USER DEFINED faction is the one that will be used from time to time to put the classnames of the civilians of the mission used (if different from the others obviously)
	The others, from 1 to 6, must not be modified and are thus available for selection from the graphic menus	
	
	INSTRUCTIONS TO FILL THE ARRAYS OF THE CLASSES:
	The used defined civilian classes are put in the ListCivilian7 array. Put as many classnames as you want. The scripts select 
	a random classname from those entered in order to spawn an "always" different civilian
		
*/

// ** USER DEFINED
// EDIT ONLY THESE CLASSES == WITH THOSE EVENTUALLY USED FOR THE MISSION YOU ARE EDITING
// Selectable as option in the adminPanel graphical menu
// CURRENTLY ENTERED CLASS - Chernarussian Classnames CUP
ListCivilian7 =	["CUP_C_C_Citizen_02","CUP_C_C_Citizen_01","CUP_C_C_Citizen_04","CUP_C_C_Citizen_03","CUP_C_C_Worker_05","CUP_C_C_Mechanic_02","CUP_C_C_Mechanic_03","CUP_C_C_Profiteer_02","CUP_C_C_Profiteer_03","CUP_C_C_Profiteer_01","CUP_C_C_Profiteer_04","CUP_C_C_Racketeer_01","CUP_C_C_Racketeer_02","CUP_C_C_Racketeer_03","CUP_C_C_Racketeer_04","CUP_C_C_Rocker_01","CUP_C_C_Rocker_03","CUP_C_C_Rocker_02","CUP_C_C_Rocker_04","CUP_C_C_Villager_01","CUP_C_C_Villager_04","CUP_C_C_Villager_02","CUP_C_C_Villager_03","CUP_C_C_Woodlander_01","CUP_C_C_Woodlander_02","CUP_C_C_Woodlander_03","CUP_C_C_Woodlander_04","CUP_C_C_Worker_03","CUP_C_C_Worker_04","CUP_C_C_Worker_02","CUP_C_C_Worker_01"];


// ********** DEFAULT CLASSES SELECTABLE FROM THE GRAPHIC MENU OF the adminPanel ===== DO NOT MODIFY
// ** Vanilla
ListCivilian1 =	["C_man_polo_1_F","C_man_polo_2_F","C_man_polo_3_F","C_man_polo_4_F","C_man_polo_5_F","C_man_polo_6_F","C_man_p_beggar_F","C_man_hunter_1_F","C_Nikos_aged","C_Nikos"];  

// ** Takistan Civils Classnames Project OPFOR
ListCivilian2 =	["LOP_Tak_Civ_Man_01","LOP_Tak_Civ_Man_02","LOP_Tak_Civ_Man_04","LOP_Tak_Civ_Man_05","LOP_Tak_Civ_Man_06","LOP_Tak_Civ_Man_07","LOP_Tak_Civ_Man_08","LOP_Tak_Civ_Man_09","LOP_Tak_Civ_Man_10","LOP_Tak_Civ_Man_11","LOP_Tak_Civ_Man_12","LOP_Tak_Civ_Man_13","LOP_Tak_Civ_Man_14","LOP_Tak_Civ_Man_15","LOP_Tak_Civ_Man_16"];  

// ** Takistan Civils Classnames CUP
ListCivilian3 =	["CUP_C_TK_Man_02","CUP_C_TK_Man_07","CUP_C_TK_Man_08","CUP_C_TK_Man_01_Jack","CUP_C_TK_Man_02_Jack","CUP_C_TK_Man_03_Jack","CUP_C_TK_Man_04_Jack","CUP_C_TK_Man_05_Jack","CUP_C_TK_Man_06_Jack","CUP_C_TK_Man_08_Jack","CUP_C_TK_Man_01_Waist","CUP_C_TK_Man_02_Waist","CUP_C_TK_Man_03_Waist","CUP_C_TK_Man_04_Waist","CUP_C_TK_Man_05_Waist","CUP_C_TK_Man_06_Waist","CUP_C_TK_Man_07_Waist","CUP_C_TK_Man_08_Waist","CUP_C_TK_Man_03_Coat","CUP_C_TK_Man_05_Coat","CUP_C_TK_Man_01_Coat"];  

// ** Vietnammiti Classnames Unsung
ListCivilian4 =	["uns_civilian1","uns_civilian2","uns_civilian3","uns_civilian4","uns_civ_doctor","uns_civ_town_m","uns_civ_town_m2","uns_civ_town_f","uns_civ_town_f2"];

// ** African Classnames Project OPFOR
ListCivilian5 =	["LOP_AFR_Civ_Base","LOP_AFR_Civ_Man_01","LOP_AFR_Civ_Man_01_S","LOP_AFR_Civ_Man_02","LOP_AFR_Civ_Man_02_S","LOP_AFR_Civ_Man_03","LOP_AFR_Civ_Man_03_S","LOP_AFR_Civ_Man_04","LOP_AFR_Civ_Man_04_S","LOP_AFR_Civ_Man_05","LOP_AFR_Civ_Man_05_S","LOP_AFR_Civ_Man_06","LOP_AFR_Civ_Man_06_S"];

// ** Russian Classnames CUP
ListCivilian6 =	["CUP_C_R_Citizen_01","CUP_C_R_Citizen_02","CUP_C_R_Citizen_03","CUP_C_R_Citizen_04","CUP_C_R_Worker_01","CUP_C_R_Worker_02","CUP_C_R_Worker_03","CUP_C_R_Worker_04","CUP_C_R_Profiteer_01","CUP_C_R_Profiteer_02","CUP_C_R_Profiteer_03","CUP_C_R_Profiteer_04","CUP_C_R_Woodlander_01","CUP_C_R_Woodlander_02","CUP_C_R_Woodlander_03","CUP_C_R_Woodlander_04","CUP_C_R_Villager_01","CUP_C_R_Villager_02","CUP_C_R_Villager_03","CUP_C_R_Villager_04","CUP_C_R_Rocker_01","CUP_C_R_Rocker_02","CUP_C_R_Rocker_03","CUP_C_R_Rocker_04","CUP_C_R_Mechanic_01","CUP_C_R_Mechanic_02"];


// ************************************
// DO NOT MODIFY THESE STRINGS
ListCivilian = [ListCivilian1,ListCivilian2,ListCivilian3,ListCivilian4,ListCivilian5,ListCivilian6,ListCivilian7];
EnCarCiv = "O_G_Offroad_01_F"; 
// ************************************
