/*
	EGX system - by Enigx
	
	EnemyList.sqf
	
	The script defines the enemy units to use for many enemy modules.
	Within these scripts a graphical interface is defined for selecting the faction to use. Factions are defined in this file.
	The following factions are defined:

	1   : USER DEFINED <-- ONLY CHANGE THIS FROM TIME TO TIME
	12	: USER DEFINED 2 <-- ONLY CHANGE THIS FROM TIME TO TIME
	2	: CSAT Vanilla
	3   : Islamic State Classnames Project OPFOR
	4   : Middle Eastern Militia Classnames Project OPFOR
	5   : Armed Forces of the Russian Federation RHS-AFR - Infantry (EMR) RUSSIA (VDV) RHS
	6	: Armed Forces of the Russian Federation CUP (Modern MSV) 
	7   : African Militia Classnames Project OPFOR
	8	: Vietcong Unsung
	9	: CUP Takistan Militia
	10	: CUP Takistan Army
	11	: Boko Haram Classnames Project OPFOR
	
	The USER DEFINED 1 (default) and 12 factions will be used from time to time to put the classnames of the particular faction(s) of the mission used (if different from the others obviously)
	The others, from 2 to 11, has not be modified and are thus available for selection from the graphic menu
	At the bottom of the file are other examples of classes for other mods.
		
	INSTRUCTIONS TO FILL THE ARRAYS OF THE CLASSES
	For each faction are defined:
	- EnUnitList(x)_1: 	1 Fire team composed by one unit
	- EnUnitList(x)_2: 	1 Fire team composed by 2 units
	- EnUnitList(x)_3: 	1 Fire team composed by 3 units
	- EnUnitList(x)_4: 	1 Fire team composed by 4 units
  	- EnCar(x): 		Not armed vehicle (car/jeep)
	- EnCarArmed(x):	Armed car - preferably armed technic (used in Spawn Armed Car module)
	- EnCarHeavy(x):	Armored Vehicle (used in Spawn Armed Car module)

	NOTE: ALWAYS FILL IN ALL THE FIELDS FOR THE UNITS SHOWN 
  
	Example: 
	// Fire team with one unit
	EnUnitList1_1 =	["O_Soldier_F"];  
	// Fire team with 2 units
	EnUnitList1_2 =	["O_Soldier_F","O_Soldier_TL_F"];
	// Fire team with 3 units
	EnUnitList1_3 =	["O_Soldier_F","O_Soldier_AR_F","O_Soldier_TL_F"];
	// Fire team with 4 units
	EnUnitList1_4 =	["O_Soldier_F","O_Soldier_AR_F","O_Soldier_AT_F","O_Soldier_TL_F"];
	
	// Car (*** IT MUST BE ALWAYS SPECIFIED EVEN IF NOT USED!! ****)
	EnCar1 = "RHS_UAZ_MSV_01"; 		// specify A NOT ARMED CAR
	
	// Armed cars for Spawn Armed Car module
	EnCarArmed1 = "rhs_tigr_sts_msv"; // specify here a armed car
	EnCarHeavy1 = "rhs_btr70_vdv";   // specify here a armored (ex BTR or other)  

	For User defined faction add identification name (see below), that will be shown in graphicla window:
	FazioneUser1 = "USER DEFINED: Name here";
	FazioneUser12 = "USER DEFINED: Name here";
	
	At the bottom there are other factions from other common mods that can be used simply doing a Copy and Paste 
	of the classes in Usert defined faction.
  	
*/


// ** USER DEFINED 
// == EDIT ONLY THESE CLASSES == WITH THOSE EVENTUALLY USED FOR THE MISSION YOU ARE EDITING
// Selectable as the FIRST default option in the adminPanel graphical menu
// CURRENTLY ENTERED CLASS - NAPA Indipendent RHS-GREF
FazioneUser1 = "USER DEFINED: NAPA Indipendent";	// <- ADD AN IDENTIFICATION NAME AFTER THE :
EnUnitList1_1 =	["rhsgref_nat_rifleman"];  
EnUnitList1_2 =	["rhsgref_nat_rifleman","rhsgref_nat_rifleman_akms"];
EnUnitList1_3 =	["rhsgref_nat_rifleman","rhsgref_nat_machinegunner","rhsgref_nat_rifleman_mp44"];
EnUnitList1_4 =	["rhsgref_nat_rifleman","rhsgref_nat_machinegunner_mg42","rhsgref_nat_rifleman_mp44","rhsgref_nat_commander"];
EnCar1 = "rhsgref_nat_uaz";							// Car non armata
EnCarArmed1 = "rhsgref_nat_uaz_dshkm"; 	// Car armata (per il modulo di spawn enemy armored car)
EnCarHeavy1 = "rhsgref_cdf_b_btr70"; 		// Blindato armato (per il modulo di spawn enemy armored car)

// ** USER DEFINED 2 
// == EDIT ONLY THESE CLASSES == WITH THOSE EVENTUALLY USED FOR THE MISSION YOU ARE EDITING
// Selectable as the LAST default option in the adminPanel graphical menu
// CURRENTLY ENTERED CLASS - FIA Indipendent Vanilla
FazioneUser12 = "USER DEFINED 2: FIA Indipendent";	// <- ADD AN IDENTIFICATION NAME AFTER THE :
EnUnitList12_1 =	["I_G_Soldier_F"];  
EnUnitList12_2 =	["I_G_Soldier_lite_F","I_G_Soldier_AR_F"];
EnUnitList12_3 =	["I_G_Soldier_M_F","I_G_Soldier_AR_F","I_G_medic_F"];
EnUnitList12_4 =	["I_G_Soldier_exp_F","I_G_Soldier_AR_F","I_G_engineer_F","I_G_Soldier_SL_F"];
EnCar12 = "I_G_Offroad_01_F";
EnCarArmed12 = "I_G_Offroad_01_armed_F";
EnCarHeavy12 = "I_APC_Wheeled_03_cannon_F";


// ===== DO NOT MODIFY THESE STRINGS ====================================
EnUnitList1 = [EnUnitList1_1,EnUnitList1_2,EnUnitList1_3,EnUnitList1_4];
EnUnitList12 = [EnUnitList12_1,EnUnitList12_2,EnUnitList12_3,EnUnitList12_4];
// ========================================================================= 

// ********** DEFAULT CLASSES SELECTABLE FROM THE GRAPHIC MENU OF the adminPanel ===== DO NOT MODIFY
// ** CSAT Vanilla
EnUnitList2_1 =	["O_Soldier_F"];  
EnUnitList2_2 =	["O_Soldier_F","O_Soldier_TL_F"];
EnUnitList2_3 =	["O_Soldier_F","O_Soldier_AR_F","O_Soldier_TL_F"];
EnUnitList2_4 =	["O_Soldier_F","O_Soldier_AR_F","O_Soldier_AT_F","O_Soldier_TL_F"];
EnCar2 = "O_G_Offroad_01_F"; 
EnCarArmed2 = "O_MRAP_02_hmg_F"; // "O_MRAP_02_F" per Ifrit
EnCarHeavy2 = "O_APC_Tracked_02_AA_F";

EnUnitList2 = [EnUnitList2_1,EnUnitList2_2,EnUnitList2_3,EnUnitList2_4];

// ** Islamic State Classnames Project OPFOR
EnUnitList3_1 =	["LOP_ISTS_OPF_Infantry_Rifleman_5"];  
EnUnitList3_2 =	["LOP_ISTS_OPF_Infantry_Rifleman_5","LOP_ISTS_OPF_Infantry_TL"];
EnUnitList3_3 =	["LOP_ISTS_OPF_Infantry_Rifleman_5","LOP_ISTS_OPF_Infantry_AR","LOP_ISTS_OPF_Infantry_AR_Asst"];
EnUnitList3_4 =	["LOP_ISTS_OPF_Infantry_Rifleman_5","LOP_ISTS_OPF_Infantry_AR","LOP_ISTS_OPF_Infantry_AR_Asst","LOP_ISTS_OPF_Infantry_TL"];
EnCar3 = "LOP_ISTS_OPF_Landrover";  
EnCarArmed3 = "LOP_ISTS_OPF_Landrover_M2";
EnCarHeavy3 = "LOP_ISTS_BTR60";

EnUnitList3 = [EnUnitList3_1,EnUnitList3_2,EnUnitList3_3,EnUnitList3_4];

// ** Middle Eastern Militia Classnames Project OPFOR
EnUnitList4_1 =	["LOP_AM_OPF_Infantry_Rifleman"];  
EnUnitList4_2 =	["LOP_AM_OPF_Infantry_Rifleman","LOP_AM_OPF_Infantry_TL"];
EnUnitList4_3 =	["LOP_AM_OPF_Infantry_Rifleman","LOP_AM_OPF_Infantry_AR","LOP_AM_OPF_Infantry_AR_Asst"];
EnUnitList4_4 =	["LOP_AM_OPF_Infantry_Rifleman","LOP_AM_OPF_Infantry_AR","LOP_AM_OPF_Infantry_AR_Asst","LOP_AM_OPF_Infantry_TL"];
EnCar4 = "LOP_AM_OPF_Landrover";
EnCarArmed4 = "LOP_ISTS_OPF_Nissan_PKM";
EnCarHeavy4 = "LOP_AM_BTR60";

EnUnitList4 = [EnUnitList4_1,EnUnitList4_2,EnUnitList4_3,EnUnitList4_4];

// ** Armed Forces of the Russian Federation RHS-AFR - Infantry (EMR) RUSSIA (VDV) RHS
EnUnitList5_1 =	["rhs_vdv_rifleman"];  
EnUnitList5_2 =	["rhs_vdv_rifleman","rhs_vdv_rifleman_asval"];
EnUnitList5_3 =	["rhs_vdv_rifleman","rhs_vdv_arifleman","rhs_vdv_rifleman_asval"];
EnUnitList5_4 =	["rhs_vdv_rifleman_lite","rhs_vdv_machinegunner","rhs_vdv_medic","rhs_vdv_rifleman_asval"];
EnCar5 = "RHS_UAZ_MSV_01";
EnCarArmed5 = "rhs_tigr_sts_msv"; // GAZ RHS con versione ralla
EnCarHeavy5 = "rhs_btr70_vdv";

EnUnitList5 = [EnUnitList5_1,EnUnitList5_2,EnUnitList5_3,EnUnitList5_4];

// ** Armed Forces of the Russian Federation CUP (Modern MSV) 
EnUnitList6_1 =	["CUP_O_RU_Soldier_M_EMR"];  
EnUnitList6_2 =	["CUP_O_RU_Soldier_Saiga_M_EMR","CUP_O_RU_Soldier_SL_M_EMR"];
EnUnitList6_3 =	["CUP_O_RU_Soldier_M_EMR","CUP_O_RU_Soldier_AR_M_EMR","CUP_O_RU_Medic_M_EMR"];
EnUnitList6_4 =	["CUP_O_RU_Soldier_Saiga_M_EMR","CUP_O_RU_Soldier_MG_M_EMR","CUP_O_RU_Engineer_VDV_M_EMR","CUP_O_RU_Soldier_GL_M_EMR"];
EnCar6 = "CUP_O_UAZ_Unarmed_RU";
EnCarArmed6 = "CUP_O_GAZ_Vodnik_PK_RU"; // per il modulo di spawn enemy armored car
EnCarHeavy6 = "CUP_O_BTR60_Green_RU";

EnUnitList6 = [EnUnitList6_1,EnUnitList6_2,EnUnitList6_3,EnUnitList6_4];

// ** African Militia Classnames Project OPFOR
EnUnitList7_1 =	["LOP_AFR_OPF_Infantry_Rifleman"];  
EnUnitList7_2 =	["LOP_AFR_OPF_Infantry_Rifleman_2","LOP_AFR_OPF_Infantry_Rifleman_7"];
EnUnitList7_3 =	["LOP_AFR_OPF_Infantry_Rifleman","LOP_AFR_OPF_Infantry_AR","LOP_AFR_OPF_Infantry_AR_Asst"];
EnUnitList7_4 =	["LOP_AFR_OPF_Infantry_Rifleman_5","LOP_AFR_OPF_Infantry_AR_2","LOP_AFR_OPF_Infantry_AR_Asst_2","LOP_AFR_OPF_Infantry_SL"];
EnCar7 = "LOP_AFR_OPF_Landrover";
EnCarArmed7 = "LOP_AFR_OPF_Landrover_M2";
EnCarHeavy7 = "LOP_AFR_OPF_BTR60";

EnUnitList7 = [EnUnitList7_1,EnUnitList7_2,EnUnitList7_3,EnUnitList7_4];
                                         
// ** Vietcong Classnames Unsung
EnUnitList8_1  =	["uns_men_VC_regional_RF1"];  
EnUnitList8_2  =	["uns_men_VC_regional_RF6","uns_men_VC_regional_AS5"];
EnUnitList8_3  =	["uns_men_VC_regional_RF3","uns_men_VC_regional_AS5","uns_men_VC_regional_MGS"];
EnUnitList8_4  =	["uns_men_VC_regional_AS6","uns_men_VC_regional_RF3","uns_men_VC_regional_RF1","uns_men_VC_regional_HMG"];
EnCar8 = "uns_nvatruck_open";
EnCarArmed8 = "uns_Type55";
EnCarHeavy8 = "uns_Type55_MG"; 

EnUnitList8 = [EnUnitList8_1,EnUnitList8_2,EnUnitList8_3,EnUnitList8_4];

// ** CUP Takistan Militia
EnUnitList9_1 =	["CUP_O_TK_INS_Soldier"];  
EnUnitList9_2 =	["CUP_O_TK_INS_Soldier_Enfield","CUP_O_TK_INS_Soldier_FNFAL"];
EnUnitList9_3 =	["CUP_O_TK_INS_Soldier","CUP_O_TK_INS_Soldier_AR","CUP_O_TK_INS_Bomber"];
EnUnitList9_4 =	["CUP_O_TK_INS_Mechanic","CUP_O_TK_INS_Soldier_MG","CUP_O_TK_INS_Soldier_Enfield","CUP_O_TK_INS_Soldier_TL"];
EnCar9 = "CUP_O_UAZ_Unarmed_TKA"; //CUP_O_UAZ_Open_TKA
EnCarArmed9 = "CUP_O_UAZ_MG_TKA"; // per il modulo di spawn enemy armored car
EnCarHeavy9 = "CUP_O_BTR40_MG_TKM";

EnUnitList9 = [EnUnitList9_1,EnUnitList9_2,EnUnitList9_3,EnUnitList9_4];

// ** CUP Takistan Army
EnUnitList10_1 =	["CUP_O_TK_Soldier"];  
EnUnitList10_2 =	["CUP_O_TK_Soldier_Backpack","CUP_O_TK_Soldier_SL"];
EnUnitList10_3 =	["CUP_O_TK_Soldier_LAT","CUP_O_TK_Soldier_AMG","CUP_O_TK_Soldier_AAT"];
EnUnitList10_4 =	["CUP_O_TK_Soldier","CUP_O_TK_Soldier_MG","CUP_O_TK_SpecOps_TL","CUP_O_TK_Soldier_M"];
EnCar10 = "CUP_O_LR_Transport_TKA";
EnCarArmed10 = "CUP_O_LR_MG_TKA"; // per il modulo di spawn enemy armored car
EnCarHeavy10 = "CUP_O_BTR40_MG_TKA";

EnUnitList10 = [EnUnitList10_1,EnUnitList10_2,EnUnitList10_3,EnUnitList10_4];

// ** Boko Haram Classnames Project OPFOR 
EnUnitList11_1 =	["LOP_BH_Infantry_Driver"];  
EnUnitList11_2 =	["LOP_BH_Infantry_IED","LOP_BH_Infantry_Corpsman"];
EnUnitList11_3 =	["LOP_BH_Infantry_Driver","LOP_BH_Infantry_AR","LOP_BH_Infantry_AR_Asst"];
EnUnitList11_4 =	["LOP_BH_Infantry_Rifleman","LOP_BH_Infantry_AR_2","LOP_BH_Infantry_AR_Asst_2","LOP_BH_Infantry_SL"];
EnCar11 = "LOP_BH_Landrover";
EnCarArmed11 = "LOP_BH_Landrover_M2";
EnCarHeavy11 = "LOP_BTR60_base";

EnUnitList11 = [EnUnitList11_1,EnUnitList11_2,EnUnitList11_3,EnUnitList11_4];


// *************
// Don't modify
ListEnemyUnit = [EnUnitList1,EnUnitList2,EnUnitList3,EnUnitList4,EnUnitList5,EnUnitList6,EnUnitList7,EnUnitList8,EnUnitList9,EnUnitList10,EnUnitList11,EnUnitList12];
EnCar = [EnCar1,EnCar2,EnCar3,EnCar4,EnCar5,EnCar6,EnCar7,EnCar8,EnCar9,EnCar10,EnCar11,EnCar12];
EnCarArmed = [EnCarArmed1,EnCarArmed2,EnCarArmed3,EnCarArmed4,EnCarArmed5,EnCarArmed6,EnCarArmed7,EnCarArmed8,EnCarArmed9,EnCarArmed10,EnCarArmed11,EnCarArmed12];
EnCarHeavy = [EnCarHeavy1,EnCarHeavy2,EnCarHeavy3,EnCarHeavy4,EnCarHeavy5,EnCarHeavy6,EnCarHeavy7,EnCarHeavy8,EnCarHeavy9,EnCarHeavy10,EnCarHeavy11,EnCarHeavy12];

// ***********************************************************************


// OTHER CLASSES OF FACTIONS. If necessary, copy / paste ** OF THE CLASSNAMES ** in the USER DEFINED above
                                           
/* ** Insurgents Classnames Halo OPTRE
EnUnitList1_1 =	["OPTRE_Ins_ER_Guerilla_AR"];  
EnUnitList1_2 =	["OPTRE_Ins_ER_Guerilla_AR","OPTRE_Ins_ER_Farmer"];
EnUnitList1_3 =	["OPTRE_Ins_ER_Guerilla_AR","OPTRE_Ins_ER_Militia_MG","OPTRE_Ins_ER_Assassin"];
EnUnitList1_4 =	["OPTRE_Ins_ER_Guerilla_AR","OPTRE_Ins_ER_Militia_MG","OPTRE_Ins_ER_Assassin","OPTRE_Ins_ER_Insurgent_BR"];
EnCar1 = "OPTRE_M12_FAV_ins"; 
EnCarArmed1 = "OPTRE_M12_LRV_ins";
EnCarHeavy1 = "";
*/

/* ** Battlejumpers Classnames Halo OPTRE
EnUnitList1_1 =	["OPTRE_Ins_BJ_Soldier_Automatic_Rifleman"];  
EnUnitList1_2 =	["OPTRE_Ins_BJ_Soldier_Automatic_Rifleman","OPTRE_Ins_BJ_Soldier_Engineer"];
EnUnitList1_3 =	["OPTRE_Ins_BJ_Soldier_Corpsman","OPTRE_Ins_BJ_Soldier_Rifleman_AR","OPTRE_Ins_BJ_Soldier_Rifleman_BR"];
EnUnitList1_4 =	["OPTRE_Ins_BJ_Soldier_Marksman","OPTRE_Ins_BJ_Soldier_Rifleman_AR","OPTRE_Ins_BJ_Soldier_Rifleman_BR","OPTRE_Ins_BJ_Soldier_TeamLeader"];
EnCar1 = "OPTRE_M12_FAV_ins"; 
EnCarArmed1 = "OPTRE_M12_LRV_ins";
EnCarHeavy1 = "";
*/

/* ** URF Classnames Halo OPTRE
EnUnitList1_1 =	["OPTRE_Ins_URF_Rifleman_BR"];  
EnUnitList1_2 =	["OPTRE_Ins_URF_Rifleman_Light","OPTRE_Ins_URF_Rifleman_AR"];
EnUnitList1_3 =	["OPTRE_Ins_URF_Rifleman_BR","OPTRE_Ins_URF_Autorifleman","OPTRE_Ins_URF_Medic"];
EnUnitList1_4 =	["OPTRE_Ins_URF_Marksman","OPTRE_Ins_URF_Autorifleman","OPTRE_Ins_URF_Assist_Autorifleman","OPTRE_Ins_URF_SquadLead"];
EnCar1 = "OPTRE_M12_FAV_ins"; 
EnCarArmed1 = "OPTRE_M12_LRV_ins"; // per il modulo di spawn enemy armored car
EnCarHeavy1 = "";
*/

/* ** NAPA Indipendent RHS-GREF - Milizia
EnUnitList1_1 =	["rhsgref_nat_rifleman"];  
EnUnitList1_2 =	["rhsgref_nat_rifleman","rhsgref_nat_rifleman_akms"];
EnUnitList1_3 =	["rhsgref_nat_rifleman","rhsgref_nat_machinegunner","rhsgref_nat_rifleman_mp44"];
EnUnitList1_4 =	["rhsgref_nat_rifleman","rhsgref_nat_machinegunner_mg42","rhsgref_nat_rifleman_mp44","rhsgref_nat_commander"];
EnCar1 = "rhsgref_nat_uaz";
EnCarArmed1 = "rhsgref_nat_uaz_dshkm";
EnCarHeavy1 = "";
*/

/* ** NAPA Indipendent RHS-GREF - Paramilitari
EnUnitList1_1 =	["rhsgref_nat_pmil_rifleman_akm"];  
EnUnitList1_2 =	["rhsgref_nat_pmil_rifleman_aksu","rhsgref_nat_pmil_medic"];
EnUnitList1_3 =	["rhsgref_nat_pmil_grenadier","rhsgref_nat_pmil_machinegunner","rhsgref_nat_pmil_saboteur"];
EnUnitList1_4 =	["rhsgref_nat_pmil_rifleman","rhsgref_nat_pmil_machinegunner","rhsgref_nat_pmil_hunter","rhsgref_nat_pmil_commander"];
EnCar1 = "rhsgref_nat_uaz";
EnCarArmed1 = "rhsgref_nat_uaz_dshkm";
EnCarHeavy1 = "";
*/

/* ** FIA Indipendent Vanilla
EnUnitList1_1 =	["I_G_Soldier_F"];  
EnUnitList1_2 =	["I_G_Soldier_lite_F","I_G_Soldier_AR_F"];
EnUnitList1_3 =	["I_G_Soldier_M_F","I_G_Soldier_AR_F","I_G_medic_F"];
EnUnitList1_4 =	["I_G_Soldier_exp_F","I_G_Soldier_AR_F","I_G_engineer_F","I_G_Soldier_SL_F"];
EnCar1 = "I_G_Offroad_01_F";
EnCarArmed1 = "I_G_Offroad_01_armed_F";
EnCarHeavy1 = "";
*/

/* ** CUP Iraq Repubblican Guard
EnUnitList1_1 =	["CFP_O_IQARMY_RG_Rifleman_01"];  
EnUnitList1_2 =	["CFP_O_IQARMY_RG_Rifleman_01","CFP_O_IQARMY_RG_Explosive_Specialist_01"];
EnUnitList1_3 =	["CFP_O_IQARMY_RG_Rifleman_01","CFP_O_IQARMY_RG_Auto_Rifleman_01","CFP_O_IQARMY_RG_Asst_Machine_Gunner_01"];
EnUnitList1_4 =	["CFP_O_IQARMY_RG_Rifleman_01","CFP_O_IQARMY_RG_Rifleman_AT_01","CFP_O_IQARMY_RG_Medic_01","CFP_O_IQARMY_RG_Team_Leader_01"];
EnCar1 = "CUP_O_LR_Transport_TKA";
EnCarArmed1 = "CUP_O_LR_MG_TKA";
EnCarHeavy1 = "";
*/

/* ** Armed Forces of the Russian Federation CUP (MSV - TTsKO) 
EnUnitList1_1 =	["CUP_O_RU_Soldier"];  
EnUnitList1_2 =	["CUP_O_RU_Soldier_Saiga","CUP_O_RU_Medic"];
EnUnitList1_3 =	["CUP_O_RU_Soldier","CUP_O_RU_Soldier_MG","CUP_O_RU_Soldier_SL"];
EnUnitList1_4 =	["CUP_O_RU_Soldier_Saiga","CUP_O_RU_Soldier_AR","CUP_O_RU_Explosive_Specialist","CUP_O_RU_Engineer"];
EnCar1 = "CUP_O_UAZ_Unarmed_RU";
EnCarArmed1 = "CUP_O_UAZ_MG_RU";
EnCarHeavy1 = "";
*/

/* ** Armed Forces of the Russian Federation CUP (Spetsnaz - Summer) 
EnUnitList1_1 =	["CUP_O_RUS_SpecOps"];  
EnUnitList1_2 =	["CUP_O_RUS_SpecOps_SD","CUP_O_RUS_Saboteur"];
EnUnitList1_3 =	["CUP_O_RUS_SpecOps_SD","CUP_O_RUS_SpecOps_Scout","CUP_O_RUS_Soldier_Marksman"];
EnUnitList1_4 =	["CUP_O_RUS_SpecOps","CUP_O_RUS_SpecOps_Scout_Night","CUP_O_RUS_Soldier_TL","CUP_O_RUS_Soldier_Marksman"];
EnCar1 = "CUP_O_UAZ_Unarmed_RU";
EnCarArmed1 = "CUP_O_GAZ_Vodnik_PK_RU";
EnCarHeavy1 = "";
*/

/* ** Sahrani Liberation Army CUP (Urban) 
EnUnitList1_1 =	["CUP_O_sla_Soldier_urban"];  
EnUnitList1_2 =	["CUP_O_sla_Soldier_AMG_urban","CUP_O_sla_Engineer_urban"];
EnUnitList1_3 =	["CUP_O_sla_Soldier_urban","CUP_O_sla_Soldier_MG_urban","CUP_O_sla_Medic_urban"];
EnUnitList1_4 =	["CUP_O_sla_Soldier_AMG_urban","CUP_O_sla_Soldier_AR_urban","	CUP_O_SLA_Spotter_urban","CUP_O_sla_Soldier_SL_urban"];
EnCar1 = "CUP_O_UAZ_Unarmed_SLA";
EnCarArmed1 = "CUP_O_UAZ_MG_SLA";
EnCarHeavy1 = "";
*/
		
/* ** Sahrani Liberation Army CUP (Desert) 
EnUnitList1_1 =	["CUP_O_sla_soldier_desert"];  
EnUnitList1_2 =	["CUP_O_sla_Soldier_AMG_desert","CUP_O_sla_Engineer_desert"];
EnUnitList1_3 =	["CUP_O_sla_soldier_desert","CUP_O_sla_Soldier_AR_desert","CUP_O_sla_Medic_desert"];
EnUnitList1_4 =	["CUP_O_sla_Soldier_AMG_desert","CUP_O_sla_Soldier_MG_desert","CUP_O_SLA_Spotter_desert","CUP_O_sla_Soldier_SL_desert"];
EnCar1 = "CUP_O_UAZ_Open_SLA";
EnCarArmed1 = "CUP_O_UAZ_MG_SLA";
EnCarHeavy1 = "";
*/

/* ** Boko Haram Classnames Project OPFOR 
EnUnitList1_1 =	["LOP_BH_Infantry_Driver"];  
EnUnitList1_2 =	["LOP_BH_Infantry_IED","LOP_BH_Infantry_Corpsman"];
EnUnitList1_3 =	["LOP_BH_Infantry_Driver","LOP_BH_Infantry_AR","LOP_BH_Infantry_AR_Asst"];
EnUnitList1_4 =	["LOP_BH_Infantry_Rifleman","LOP_BH_Infantry_AR_2","LOP_BH_Infantry_AR_Asst_2","LOP_BH_Infantry_SL"];
EnCar1 = "LOP_BH_Landrover";
EnCarArmed1 = "LOP_BH_Landrover_M2";
EnCarHeavy1 = "";
*/


/* ** Syndikat Indipendent Classnames Syndikat - paramilitari
EnUnitList1_1 =	["I_C_Soldier_Para_7_F"];  
EnUnitList1_2 =	["I_C_Soldier_Para_2_F","I_C_Soldier_Para_6_F"];
EnUnitList1_3 =	["I_C_Soldier_Para_3_F","I_C_Soldier_Para_4_F","I_C_Soldier_Para_3_F"];
EnUnitList1_4 =	["I_C_Soldier_Para_8_F","I_C_Soldier_Para_4_F","I_C_Soldier_Para_2_F","I_C_Soldier_Para_1_F"];
EnCar1 = "I_INDCF_Technical_01";
EnCarArmed1 = "I_INDCF_Technical_50_01";
EnCarHeavy1 = "";
*/


/* ** Syndikat Indipendent Classnames Syndikat - banditi
EnUnitList1_1 =	["I_C_Soldier_Bandit_7_F"];  
EnUnitList1_2 =	["I_C_Soldier_Bandit_8_F","I_C_Soldier_Bandit_5_F"];
EnUnitList1_3 =	["I_C_Soldier_Bandit_1_F","I_C_Soldier_Bandit_3_F","I_C_Soldier_Bandit_7_F"];
EnUnitList1_4 =	["I_C_Soldier_Bandit_8_F","I_C_Soldier_Bandit_3_F","I_C_Soldier_Bandit_4_F","I_C_Soldier_Bandit_5_F"];
EnCar1 = "I_INDCF_Technical_01";
EnCarArmed1 = "I_INDCF_Technical_50_01";
EnCarHeavy1 = "";
*/


/* ** Chernarussian Movement of the Red Star Classnames CUP
EnUnitList1_1 =	["CUP_O_INS_Soldier"];  
EnUnitList1_2 =	["CUP_O_INS_Soldier_AK74","CUP_O_INS_Medic"];
EnUnitList1_3 =	["CUP_O_INS_Officer","CUP_O_INS_Soldier_AR","CUP_O_INS_Soldier_Exp"];
EnUnitList1_4 =	["CUP_O_INS_Soldier_Engineer","CUP_O_INS_Soldier_MG","CUP_O_INS_Soldier_Ammo","CUP_O_INS_Soldier_AK74"];
EnCar1 = "CUP_O_UAZ_Unarmed_CHDKZ";
EnCarArmed1 = "CUP_O_UAZ_MG_CHDKZ";
EnCarHeavy1 = "";
*/

/* ** Chernarussian Movement of the Red Star Classnames CUP - civili armati
EnUnitList1_1 =	["CUP_O_INS_Villager3"];  
EnUnitList1_2 =	["CUP_O_INS_Villager4","CUP_O_INS_Woodlander2"];
EnUnitList1_3 =	["CUP_O_INS_Worker2","CUP_O_INS_Woodlander3","CUP_O_INS_Woodlander1"];
EnUnitList1_4 =	["CUP_O_INS_Woodlander3","CUP_O_INS_Woodlander2","CUP_O_INS_Woodlander1","CUP_O_INS_Villager3"];
EnCar1 = "CUP_O_Datsun_4seat";
EnCarArmed1 = "CUP_O_Datsun_PK_Random";
EnCarHeavy1 = "";
*/


/* ** ION PMC indipendenti Classnames CUP
EnUnitList1_1 =	["CUP_I_PMC_Soldier"];  
EnUnitList1_2 =	["CUP_I_PMC_Soldier_M4A3","CUP_I_PMC_Engineer"];
EnUnitList1_3 =	["CUP_I_PMC_Contractor1","CUP_I_PMC_Bodyguard_M4","CUP_I_PMC_Soldier_MG"];
EnUnitList1_4 =	["CUP_I_PMC_Soldier_M4A3","CUP_I_PMC_Contractor2","CUP_I_PMC_Medic","CUP_I_PMC_Soldier_MG_PKM"];
EnCar1 = "CUP_I_MATV_ION";
EnCarArmed1 = "CUP_I_RG31_M2_ION";
EnCarHeavy1 = "";

//CUP_I_PMC_Crew
//CUP_I_PMC_Sniper
//CUP_I_PMC_Sniper_KSVK
//CUP_I_PMC_Soldier_GL
//CUP_I_PMC_Bodyguard_AA12
//CUP_I_PMC_Soldier_AT
//CUP_I_PMC_Soldier_TL
*/

/* ** ION PMC Winter indipendenti Classnames CUP
EnUnitList1_1 =	["CUP_I_PMC_Winter_Soldier"];  
EnUnitList1_2 =	["CUP_I_PMC_Winter_Soldier_M4A3","CUP_I_PMC_Winter_Engineer"];
EnUnitList1_3 =	["CUP_I_PMC_Winter_Crew","CUP_I_PMC_Winter_Medic","CUP_I_PMC_Winter_Soldier_MG"];
EnUnitList1_4 =	["CUP_I_PMC_Winter_Soldier_TL","CUP_I_PMC_Winter_Sniper_KSVK","CUP_I_PMC_Winter_Medic","CUP_I_PMC_Winter_Soldier_MG_PKM"];
EnCar1 = "CUP_I_MATV_ION";
EnCarArmed1 = "CUP_I_RG31_M2_W_ION";
EnCarHeavy1 = "";

//CUP_I_PMC_Winter_Sniper
//CUP_I_PMC_Winter_Soldier_GL
//CUP_I_PMC_Winter_Soldier_AT
*/
	

/* ** HEZBOLLAH Community Faction Project CPF
EnUnitList1_1 =	["CFP_O_HEZBOLLAH_Militia_Rifleman_01"];  
EnUnitList1_2 =	["CFP_O_HEZBOLLAH_Militia_Rifleman_01","CFP_O_HEZBOLLAH_Militia_Medic_01"];
EnUnitList1_3 =	["CFP_O_HEZBOLLAH_Militia_Squad_Leader_01","CFP_O_HEZBOLLAH_Asst_Gunner_Metis_01","CFP_O_HEZBOLLAH_Militia_Machine_Gunner_01"];
EnUnitList1_4 =	["CFP_O_HEZBOLLAH_Militia_Explosive_Specialist_01","CFP_O_HEZBOLLAH_Asst_Gunner_DShKM_01","CFP_O_HEZBOLLAH_Gunner_SPG_01","CFP_O_HEZBOLLAH_Militia_Rifleman_01"];
EnCar1 = "cfp_o_is_LR_Unarmed";
EnCarArmed1 = "cfp_o_is_LR_M2";
EnCarHeavy1 = "";
*/

/*
// ** Blufor NATO RHS deserto
EnUnitList1_1 =	["rhsusf_army_ocp_rifleman_10th"];  
EnUnitList1_2 =	["rhsusf_army_ocp_rifleman_1stcav","rhsusf_army_ocp_autoriflemana"];
EnUnitList1_3 =	["rhsusf_army_ocp_rifleman_m4","rhsusf_army_ocp_machinegunnera","rhsusf_army_ocp_machinegunner"];
EnUnitList1_4 =	["rhsusf_army_ocp_rifleman_1stcav","rhsusf_army_ocp_rifleman_m4","rhsusf_army_ocp_machinegunner","rhsusf_army_ocp_rifleman_10th"];
EnCar1 = "rhsusf_m1025_d"; 
EnCarArmed1 = "rhsusf_m1025_d_m2";
EnCarHeavy1 = "";
/*

/*
// ** Somali rebels Community Faction Project CPF
EnUnitList1_1 =	["CFP_O_SOREBEL_Rifleman_Light_01"];  
EnUnitList1_2 =	["CFP_O_SOREBEL_Gunner_DShKM_High_01","CFP_O_SOREBEL_Asst_Gunner_DShKM_01"];
EnUnitList1_3 =	["CFP_O_SOREBEL_Rifleman_01","CFP_O_SOREBEL_Autorifleman_01","CFP_O_SOREBEL_Bombmaker_01"];
EnUnitList1_4 =	["CFP_O_SOREBEL_Marksman_01","CFP_O_SOREBEL_Gunner_Mortar_01","CFP_O_SOREBEL_Autorifleman_2_01","CFP_O_SOREBEL_Gunner_DShKM_Low_01"];
EnCar1 = "CFP_O_CFRebels_Hilux_01"; 
EnCarArmed1 = "CFP_O_CFRebels_Hilux_DShKM_01";
EnCarHeavy1 = "CFP_O_CFRebels_Technical_PK_01";
/*

/*
// ** Central African Rebels Community Faction Project CPF
EnUnitList1_1 =	["CFP_O_CFRebels_Rifleman_01"];  
EnUnitList1_2 =	["CFP_O_CFRebels_Ex_FACA_Rifleman_01","CFP_O_CFRebels_Assistant_Gunner_HMG_01"];
EnUnitList1_3 =	["CFP_O_CFRebels_Squad_Leader_01","CFP_O_CFRebels_Machinegunner_PKM_01","CFP_O_CFRebels_Ex_FACA_Autorifleman_01"];
EnUnitList1_4 =	["CFP_O_CFRebels_Gunner_HMG_01","CFP_O_CFRebels_Ex_FACA_Team_Leader_01","CFP_O_CFRebels_Autorifleman_RPK_01","CFP_O_CFRebels_Militiaman_01"];
EnCar1 = "CFP_O_CFRebels_Hilux_01"; 
EnCarArmed1 = "CFP_O_CFRebels_Hilux_DShKM_01";
EnCarHeavy1 = "CFP_O_CFRebels_Technical_PK_01";
/*

// ** Africa Rebels - Africa Faction for CUP
EnUnitList1_1 =	["O_CUPAFRReb_Rifleman_01"];  
EnUnitList1_2 =	["O_CUPAFRReb_Rifleman_2_01","O_CUPAFRReb_Autorifleman_01"];
EnUnitList1_3 =	["O_CUPAFRReb_Rifleman_3_01","O_CUPAFRMReb_Autorifleman_PKM_01","O_CUPAFRReb_Bonesetter_2_01"];
EnUnitList1_4 =	["O_CUPAFRReb_Rifleman_01","O_CUPAFRReb_Autorifleman_2_01","O_CUPAFRReb_Rifleman_Light_01","O_CUPAFRReb_Warlord_01"];
EnCar1 = "O_CUPAFRReb_Truck_01"; 
EnCarArmed1 = "O_CUPAFRReb_Technical_DSHkM_01";
EnCarHeavy1 = "O_CUPAFRReb_Technical_DSHkM_01";
/*
"O_CUPAFRReb_Rifleman_AA_2_01",
"O_CUPAFRReb_Rifleman_AT_2_01",
"O_CUPAFRReb_Warlord_2_01",
"O_CUPAFRReb_Grenadier_01",
"O_CUPAFRReb_Marksman_01"

// ** ChDKZ Faction RHS GREF
EnUnitList1_1 =	["rhsgref_ins_rifleman"];  
EnUnitList1_2 =	["rhsgref_ins_rifleman_aksu","rhsgref_ins_rifleman_aks74"];
EnUnitList1_3 =	["rhsgref_ins_rifleman","rhsgref_ins_machinegunner","rhsgref_ins_squadleader"];
EnUnitList1_4 =	["rhsgref_ins_spotter","rhsgref_ins_medic","rhsgref_ins_machinegunner","rhsgref_ins_saboteur"];
EnCar1 = "rhsgref_ins_uaz"; 
EnCarArmed1 = "rhsgref_ins_uaz_dshkm";
EnCarHeavy1 = "rhsgref_ins_btr70";
/*

