/*
	EGX system - Area Defending System (ADS) by Enigx
	
	CallArea_Defending_Sys.sqf
	
*/

[] spawn {

    private _dialogValues = ["Area Defending System (ADS by Enigx)",[
		["COMBOBOX","Choose the enemy faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
        ["CHECKBOX","The selected faction is Independent",[],false],
		["COMBOBOX","Shape of the spawn area",["Square","Circle"],0],
        ["SLIDER","Spawn area size (square side/diameter,d1)",[300,600,0],400],
        ["SLIDER","Internal NoSpawn area sized2,Note d2<(d1-10)",[200,400,0],250],
        ["SLIDER","Number of attacking teams",[1,10,0],5],
        ["COMBOBOX","Max units number per team",["1","2","3","4"],2],
		["CHECKBOX","Use random units number per team",[],true],
		["SLIDER","Time between attacks (sec)",[0,60,0],10]
     ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_fazioneASD","_sideInd","_formAD","_dimAreaD1","_dimAreaD2","_numFT_D","_uXtmaxD","_RandUnit","_TempAttack"];

	txtFacASD = "";
	
	switch (_fazioneASD) do {
			case 0: { txtFacASD = FazioneUser1;};
			case 1: { txtFacASD = "CSAT Vanilla";};
			case 2: { txtFacASD = "Islamic State - Project OPFOR";};
			case 3: { txtFacASD = "Middle Eastern Militia - Project OPFOR";};
			case 4: { txtFacASD = "Russian Federation RHS-AFR";};
			case 5: { txtFacASD = "Russian Federation CUP";};
			case 6: { txtFacASD = "African Militia - Project OPFOR";};
			case 7: { txtFacASD = "Vietcong - Unsung";};
			case 8: { txtFacASD = "CUP Takistan Militia";};
			case 9: { txtFacASD = "CUP Takistan Army";};
			case 10: { txtFacASD = "Boko Haram - Project OPFOR";};
			case 11: { txtFacASD = FazioneUser12;};
	};

	if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazioneASD) # 0) # 0)))) exitWith 
	{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacASD];};

	if (_dimAreaD2 >= (_dimAreaD1-10)) exitWith {hint "ATTENTION: MUST BE\n D2 << D1-10 !!";};

	if _sideInd then {sidefact = independent;} else {sidefact = east};

    _unitsXteamMaxD = _uXtmaxD + 1;
	_UnitInCarD = 0;

	createMarkerLocal ["ADS_Area",[0,0,0]];
	if (_formAD == 0) then {"ADS_Area" setMarkerShapeLocal "RECTANGLE";} else {"ADS_Area" setMarkerShapeLocal "ELLIPSE";};
	"ADS_Area" setMarkerSizeLocal [_dimAreaD1/2, _dimAreaD1/2];
	_TempSpawn = 0.2;
	null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		

	sleep 0.1;
	openMap true;
	mapclick = true;
	hint parseText format ["
		Faction created: %1<br />
		Area type and size: %2, %3 (external), %4 (internal)<br />
		Attack teams: %5<br />
		Max units per team: %6<br />
		Time between attacks (sec): %7<br />
		Click on the location on the map to create the attack spawning area.<br />
		Square/circle in size (side/diameter) of %3 m.<br />
		BEFORE SELECTING A NEW AREA WAIT A MINIMUM OF %8 SEC !<br />
		Wait for the marker to disappear from the map.
		",txtFacASD, if (_formAD == 0) then {"square";} else {"circle";},_dimAreaD1,_dimAreaD2,_numFT_D,_unitsXteamMaxD,_TempAttack,(_TempSpawn + _TempAttack) * _numFT_D];

	onMapSingleClick """ADS_Area"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	"ADS_Area" setMarkerColorLocal "colorOPFOR";
	sleep 1;
	openMap false;

	createMarkerLocal ["ADS_Area2",getMarkerPos "ADS_Area"];
	if (_formAD == 0) then {"ADS_Area2" setMarkerShape "RECTANGLE";} else {"ADS_Area2" setMarkerShape "ELLIPSE";};
	"ADS_Area2" setMarkerSizeLocal [_dimAreaD2/2, _dimAreaD2/2];
	"ADS_Area2" setMarkerColorLocal "ColorBlufor";
	sleep 1;

	createMarkerLocal ["pSpawn",[0,0,0]];

	for "_i" from 1 to _numFT_D do 
	{
		_pSpawn = ["ADS_Area",0,"ADS_Area2"] call SHK_posESS;
		"pSpawn" setMarkerPosLocal _pSpawn;
		_nFTD = 1;
		if (_RandUnit) then {_nFTD = floor(random _unitsXteamMaxD);} else {_nFTD = _unitsXteamMaxD - 1;};
		null = [EnCar select _fazioneASD,_UnitInCarD,(ListEnemyUnit select _fazioneASD) select _nFTD,["pSpawn","ADS_Area"],sidefact] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_attack.sqf";
		sleep _TempSpawn;
		sleep _TempAttack;
	};

	deleteMarkerLocal "pSpawn";
	deleteMarkerLocal "ADS_Area";
	deleteMarkerLocal "ADS_Area2";
	
};

