/*
	EGX system - by Enigx
	
	CallBombOnPosition.sqf
	
	Lo script crea una bomba JDAM su un punto cliccabile in mappa. Al click viene creato un marker dove creare un'esplosione.
	Da schermata viene chiesto se creare un cratere nel punto d'impatto
	e se considerare o meno l'effetto distruttivo sugli elementi in mappa (effetto solo scenico o distruttivo)

******************************************************************************************************************
============== JDAM BOMB Parameters ==============

null = [start_marker, waypoint_marker, explosion_blast_diameter, crater, damage] execVM "AL_bomb\bomber_bomb.sqf";

start_marker		- marker name from where the bombs will start to drop
waypoint_marker		- the plane (bomber) will fly in the direction detemined by this marker and continue flying for 3000 meters where it will be deleted
explosion_diameter	- number, it sets the size of explosion and blast area
crater				- boolean, enable/disable crater creation
damage				- boolean, enable/disbale destruction, when you want to use the visual effect without damaging all objects in blast area

_custom_jdam_bomb	- string, classname of the bomb you want to work as JDAM

The script can be run via trigger, script, action menu or radio menu. 
As it is the script should be called in global, this should work with most frameworks


// =============== Spawn a plane to drop the bomb
null = ["bomb_1","bomb_2", 100, false,false] execVM "AL_bomb\bomber_bomb.sqf";

// =============== Create an explosion at given position via an object
***
null = [object_name,blast_diameter, crater, damage] execVM "AL_bomb\alias_bomb_ini.sqf";
bombard - is the object where you want to spawn the explosion
blast_diameter - same as explosion_diameter above
***
null = [bombard,50, false,false] execVM "AL_bomb\alias_bomb_ini.sqf";

// ======== Example for player dropped JDAM designate the type of bomb by giving the className below in this example i used "Bomb_04_F" found on vanilla Wipeout plane
// you can define whatever bomb you want to work as JDAM, edit value of _custom_jdam_bomb variable
this addEventHandler ["Fired",{private ["_bomb_type","_custom_jdam_bomb","_plane_player","_explosion_diameter","_crater_create","_inflict_damage"];  
_plane_player = _this select 0; _bomb_type = _this select 6; _custom_jdam_bomb = "Bomb_04_F"; _explosion_diameter=50; _crater_create=true; _inflict_damage=true;  
[[_bomb_type,_custom_jdam_bomb,_plane_player,_explosion_diameter,_crater_create,_inflict_damage],"AL_bomb\al_bomb_player.sqf"] remoteExec ["execVM"]}];

******************************************************************************************************************	
*/

[] spawn {

		// *********** USER PARAMETERS******************
		// Waiting time (sec) for the spawning bomb
		_ExpTime = 3; 			// ====== CHANGE PARAMETER IF NECESSARY
		// *********************************************

    private _dialogValues = ["Explosion on position",[
				["SLIDER","Dimensions in meters of the explosion area",[50,300,0],100],
        ["CHECKBOX","Create a crater at the point of impact",[],true],
        ["CHECKBOX","Disable the destruction of elements on map",[],false],
        ["CHECKBOX","Add missile hiss sound",[],false]
     ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_BombExpArea","_crater","_destruction","_missile"];

		createMarkerLocal ["espl_pos",[0,0,0]];	
		
		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the position of explosion";
		onMapSingleClick """espl_pos"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		"espl_pos" setMarkerTypeLocal "hd_objective";
		"espl_pos" setMarkerColorLocal "ColorRed";
		sleep 1;
		openMap false;
		_objPosBomb = "Land_PenBlack_F" createVehicle getMarkerPos "espl_pos";

		deleteMarkerLocal "espl_pos";				
		hint "Explosion arriving at the indicated location";
		sleep _ExpTime;
		
		if _missile then {
		["fluier_8"] remoteExec ["playsound",0,false];	
		sleep 2;
		};
		[[_objPosBomb,_BombExpArea, _crater, _destruction], "EGX_system\functions\AL_bomb\alias_bomb_ini.sqf"] remoteExec ["execVM",0,false]; 
		sleep 3;
		deleteVehicle _objPosBomb;				
};