/*
	EGX system - by Enigx
	
	CallFatBoyBomb.sqf
	
	Lo script ordina l'arrivo di un aereo per lo sgancio di una bomba JDAM ad alto impatto (chiamata qui FAT BOY) su una posizione cliccabile in mappa.
	Al click viene creato un marker dove iniziare lo sgancio della bomba ed uno dove far volar via l'aereo.
	Da schermata viene chiesto di selezionare la dimensione in metri dell'area dell'esplosione e del blast effect, se creare un cratere nel punto d'impatto
	e se considerare o meno l'effetto distruttivo sugli elementi in mappa (effetto solo scenico o distruttivo)

******************************************************************************************************************
============== JDAM BOMB Parameters ==============

null = [start_marker, waypoint_marker, explosion_blast_diameter, crater, damage] execVM "AL_bomb\bomber_bomb.sqf";

start_marker		- marker name from where the bombs will start to drop
waypoint_marker		- the plane (bomber) will fly in the direction detemined by this marker and continue flying for 3000 meters where it will be deleted
explosion_diameter	- number, it sets the size of explosion and blast area
crater				- boolean, enable/disable crater creation
damage				- boolean, enable/disbale destruction, when you want to use the visual effect without damaging all objects in blast area

_custom_jdam_bomb	- string, classname of the bomb you want to work as JDAM

The script can be run via trigger, script, action menu or radio menu. 
As it is the script should be called in global, this should work with most frameworks


// =============== Spawn a plane to drop the bomb
null = ["bomb_1","bomb_2", 100, false,false] execVM "AL_bomb\bomber_bomb.sqf";

// =============== Create an explosion at given position via an object
***
null = [object_name,blast_diameter, crater, damage] execVM "AL_bomb\alias_bomb_ini.sqf";
bombard - is the object where you want to spawn the explosion
blast_diameter - same as explosion_diameter above
***
null = [bombard,50, false,false] execVM "AL_bomb\alias_bomb_ini.sqf";

// ======== Example for player dropped JDAM designate the type of bomb by giving the className below in this example i used "Bomb_04_F" found on vanilla Wipeout plane
// you can define whatever bomb you want to work as JDAM, edit value of _custom_jdam_bomb variable
this addEventHandler ["Fired",{private ["_bomb_type","_custom_jdam_bomb","_plane_player","_explosion_diameter","_crater_create","_inflict_damage"];  
_plane_player = _this select 0; _bomb_type = _this select 6; _custom_jdam_bomb = "Bomb_04_F"; _explosion_diameter=50; _crater_create=true; _inflict_damage=true;  
[[_bomb_type,_custom_jdam_bomb,_plane_player,_explosion_diameter,_crater_create,_inflict_damage],"AL_bomb\al_bomb_player.sqf"] remoteExec ["execVM"]}];

******************************************************************************************************************	
*/

[] spawn {

		// *********** USER PARAMETERS******************
		// Waiting time (sec) for the arrival of the plane
		_planeTime = 1; 			// ====== CHANGE PARAMETER IF NECESSARY
		// *********************************************

    private _dialogValues = ["FAT BOY bomb release",[
		["SLIDER","Dimensions in meters of the explosion area",[50,300,0],100],
        ["CHECKBOX","Create a crater at the point of impact",[],true],
        ["CHECKBOX","Disable the destruction of elements on map",[],false]
     ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_BombExpArea","_crater","_destruction"];

		createMarkerLocal ["bomb_pos_mkr",[0,0,0]];
		createMarkerLocal ["bomb_dir_mkr",[0,0,0]];

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the position where the bomb is to fall";
		onMapSingleClick """bomb_pos_mkr"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};		
		"bomb_pos_mkr" setMarkerTypeLocal "hd_objective";
		"bomb_pos_mkr" setMarkerColorLocal "ColorRed";
		sleep 0.2;
		
		mapclick = true;
		hint "Click the CAS exit direction with respect to the target";
		onMapSingleClick """bomb_dir_mkr"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};		
		"bomb_dir_mkr" setMarkerTypeLocal "hd_arrow";

		_objPosBomb = "Land_PenBlack_F" createVehicle getMarkerPos "bomb_pos_mkr";
		_objDirCas = "Land_PenBlack_F" createVehicle getMarkerPos "bomb_dir_mkr";
		_gradiDirCas = _objPosBomb getDir _objDirCas;
		"bomb_dir_mkr" setMarkerDirLocal _gradiDirCas;	
		deleteVehicle _objPosBomb;
		deleteVehicle _objDirCas;
		sleep 1;
		openMap false;

		["Warning! Release of the FAT BOY bomb on the specified point"] remoteExec ["hint",0,false];
		sleep _planeTime;

		createMarker ["bomb_pos",getMarkerPos "bomb_pos_mkr"];
		createMarker ["bomber_dir",getMarkerPos "bomb_dir_mkr"];
		
		["requestO"] remoteExec ["playsound",0,false];			
		[["bomb_pos_mkr","bomb_dir_mkr",_BombExpArea,_crater,_destruction], "EGX_system\functions\AL_bomb\bomber_bomb.sqf"] remoteExec ["execVM",0,false]; 
		
		sleep 0.3;
		deleteMarker "bomb_pos";
		deleteMarker "bomber_dir";
		
		sleep 8;
		["gridS"] remoteExec ["playsound",0,false];			
		sleep 15;
		["reqsplashO"] remoteExec ["playsound",0,false];
		sleep 5;
		["splashO"] remoteExec ["playsound",0,false];
		
		sleep 5;
		deleteMarkerLocal "bomb_pos_mkr";
		deleteMarkerLocal "bomb_dir_mkr";		
};