/*
	EGX system - by Enigx
	
	AddObjectsOnMap.sqf
	
*/

[] spawn {
    private _dialogValues = ["Place objects (target) on the map",[
        ["COMBOBOX","Object to place",[
				"High radio tower (domi Altis)",
				"Wide base radio tower",
				"Bunker (wide)",
				"Bunker (small)",
				"Guard bunker with mezzanine",
				"Habitable military container",
				"Medical laboratory (container)",
				"Medical laboratory big",
				"Green military HQ (vanilla)",
				"Turret with flag (vanilla)",
				"Large military tower",
				"Large radar (structure)",
				"Small radar (structure)",
				"Research lab (container)",
				"Research lab (big)",
				"Small diesel tank",
				"Big diesel tank",
				"Downed helicopter",
				"Downed plane",
				"Destroyed Humvee",
				"Destroyed minivan"
				],0],
				["CHECKBOX","Shows a permanent marker on the object",[],false],
				["COMBOBOX","Marker type (if selected)",[
				"Objective",
				"Flag",
				"Point",
				"Destroy target (cross)",
				"Start point",
				"Point of arrival",
				"Warning (exclamation mark)",
				"Unknown (question mark)",
				"Empty circle"
				],0],
				["COMBOBOX","Marker color (if selected)",[
				"Black",
				"Red",
				"Brown",
				"Orange",
				"Yellow",
				"Green",
				"Blue",
				"White",
				"WEST",
				"EAST",
				"INDEPENDENT",
				"CIV"
				],0]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_objMap","_mkrYes","_mkrtip","_mkrcol"];
    
		objMapToplace = ""; 

		switch (_objMap) do {
    		// Torri radio
				case 0: { objMapToplace = "Land_TTowerBig_2_F";};
				case 1: { objMapToplace = "Land_TTowerBig_1_F";};
				// Bunkers
				case 2: { objMapToplace = "Land_BagBunker_Large_F";};
				case 3: { objMapToplace = "Land_BagBunker_Small_F";};
				case 4: { objMapToplace = "Land_BagBunker_Tower_F";};
				// container e torri militari
				case 5: { objMapToplace = "Land_Cargo_House_V1_F";};		
				case 6: { objMapToplace = "Land_Medevac_house_V1_F";};		
				case 7: { objMapToplace = "Land_Medevac_HQ_V1_F";};		
				case 8: { objMapToplace = "Land_Cargo_HQ_V1_F";};		
				case 9: { objMapToplace = "Land_Cargo_Patrol_V1_F";};		
				case 10: { objMapToplace = "Land_Cargo_Tower_V1_F";};			
				case 11: { objMapToplace = "Land_Radar_F";};		
				case 12: { objMapToplace = "Land_Radar_Small_F";};		
				case 13: { objMapToplace = "Land_Research_house_V1_F";};		
				case 14: { objMapToplace = "Land_Research_HQ_F";};		
				case 15: { objMapToplace = "Land_dp_smallTank_F";};		
				case 16: { objMapToplace = "Land_dp_bigTank_F";};		
				case 17: { objMapToplace = "Land_Wreck_Heli_Attack_01_F";};		
				case 18: { objMapToplace = "Land_UWreck_MV22_F";};		
				case 19: { objMapToplace = "Land_Wreck_HMMWV_F";};		
				case 20: { objMapToplace = "Land_Wreck_Van_F";};
		};

		mkrMap = ""; 
		switch (_mkrtip) do {
				case 0: { mkrMap = "hd_objective";};
				case 1: { mkrMap = "hd_flag";};
				case 2: { mkrMap = "hd_dot";};
				case 3: { mkrMap = "hd_destroy";};
				case 4: { mkrMap = "hd_start";};
				case 5: { mkrMap = "hd_end";};
				case 6: { mkrMap = "hd_warning";};
				case 7: { mkrMap = "hd_unknown";};
				case 8: { mkrMap = "mil_circle";};
				case 9: { mkrMap = "Land_Cargo_Patrol_V1_F";};
				case 10: { mkrMap = "Land_Radar_F";};
				case 11: { mkrMap = "Land_Radar_Small_F";};
		};

		mkrcolMap = ""; 
		switch (_mkrcol) do {
				case 0: { mkrcolMap = "ColorBlack";};
				case 1: { mkrcolMap = "ColorRed";};
				case 2: { mkrcolMap = "ColorBrown";};
				case 3: { mkrcolMap = "ColorOrange";};
				case 4: { mkrcolMap = "ColorYellow";};
				case 5: { mkrcolMap = "ColorGreen";};
				case 6: { mkrcolMap = "ColorBlue";};
				case 7: { mkrcolMap = "ColorWhite";};
				case 8: { mkrcolMap = "ColorWEST";};
				case 9: { mkrcolMap = "ColorEAST";};
				case 10: { mkrcolMap = "ColorGUER";};
				case 11: { mkrcolMap = "ColorCIV";};
		};

		createMarkerLocal ["PlaceObj",[0,0,0]];
		openMap true;
		mapclick = true;
		hint "Click on the point where you want to create the selected object";
		onMapSingleClick """PlaceObj"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		_oggetto = createVehicle [objMapToplace, getMarkerPos "PlaceObj"];
		
		if _mkrYes then {
				
			_markerRandom = "PlaceObj" + (str getMarkerPos "PlaceObj");
			_markerTypeRand = mkrMap;
			_markerColorRand = mkrcolMap;
			createMarker [_markerRandom,getMarkerPos "PlaceObj"];
			_markerRandom setMarkerType _markerTypeRand;
			_markerRandom setMarkerColor _markerColorRand;
			hint format["Object created at the specified location in coordinates %1", mapGridPosition getMarkerPos "PlaceObj"];			
			} else {
			"PlaceObj" setMarkerTypeLocal "hd_objective";
			hint format["
						Object created at the specified location in coordinates %1.\n 
						Marker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.
						", mapGridPosition getMarkerPos "PlaceObj"];				
			};		

		sleep 20;
		deleteMarkerLocal "PlaceObj";

};
