/*
	EGX system - by Enigx
	
	CallAILandingByHeli.sqf
	
	Lo script ordina lo sbarco di unità tramite un elicottero su una posizione cliccabile in mappa da una direzione selezionabile.
	L'elicottero atterra sul punto indicato, sbarca le unità e si dirige verso un punto di fuga dove viene cancellato.
	Le unità possono essere mosse su un punto selezionabile in mappa una volta sbarcate.
	Il menu grafico permette la selezione delle diverse fazioni da usare. La fazione "USER DEFINED" di default va definita nello EnemyList.sqf.
	Per le unità vengono selezionate random dalle classnames del fire team con 4 elementi definito nelle fazioni dell'EnemyList.sqf
	Si può selezionare l'appartenenza della fazione (east,indipendente,west).
	Si può selezionare l'uso di un elicottero opfor o il chinook RHS. Il numero massimo di unità che vengono messe a bordo dipende dalla capienza dell'eli.
	Se la mod delle unità o dell'elicottero non è caricata lo script non viene eseguito.
	
*/



[] spawn {

		// *********** USER PARAMETERS **********
		_nAImax = 7;			// maximum capacity of the chosen opfor helicopter	====== MODIFY IF NECESSARY
		_heliclassOp = "O_Heli_Light_02_unarmed_F";	// Opfor helicopter (8 s capacity) ====== MODIFY IF NECESSARY
		_heliclassBf = "RHS_CH_47F_10";				// Chinook CH-47 helicopter (capacity 22 s)			====== MODIFY IF NECESSARY
		_heliclassLB = "B_Heli_Light_01_F";				// Little Bird	(capienza 4 p)			====== MODIFY IF NECESSARY
		// ***********
		
		//I_Heli_Transport_02_F (capacita 16)
		//O_Heli_Light_02_unarmed_F (capacita 8)
		
		private ["_cont"];	
		
		_tranType = "";
		
		private _dialogValues = ["Troop transport by helicopter",[
  		["COMBOBOX","Choose the faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
			["COMBOBOX","Side faction",["Opfor","Independents","Blufor"],0],
  		["SLIDER","Number of units to be transported",[1,15,0],5],
  		["COMBOBOX","Helicopter to use",["Opfor helicopter","Chinock RHS CH-47","Little Bird"],0],
  		["SLIDER","Flight altitude",[50,300,0],100],
  		["CHECKBOX","Add a waypoint for landed units",[],true]
  	]] call CDS_fnc_createDialog;
		
		if (_dialogValues isEqualTo []) exitWith {};

		_dialogValues params ["_fazioneLnd","_sideFLnd","_nAI","_vel","_heightLnd","_wayUnitYes"];
		
		txtFacAILnd = "";
		switch (_fazioneLnd) do {
				case 0: { txtFacAILnd = FazioneUser1;};
				case 1: { txtFacAILnd = "CSAT Vanilla";};
				case 2: { txtFacAILnd = "Islamic State - Project OPFOR";};
				case 3: { txtFacAILnd = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacAILnd = "Russian Federation RHS-AFR";};
				case 5: { txtFacAILnd = "Russian Federation CUP";};
				case 6: { txtFacAILnd = "African Militia - Project OPFOR";};
				case 7: { txtFacAILnd = "Vietcong - Unsung";};
				case 8: { txtFacAILnd = "CUP Takistan Militia";};
				case 9: { txtFacAILnd = "CUP Takistan Army";};
				case 10: { txtFacAILnd = "Boko Haram - Project OPFOR";};
				case 11: { txtFacAILnd = FazioneUser12;};
		};
		
		if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazioneLnd) # 0) # 0)))) exitWith 
		{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacAILnd];};

		if (_vel == 0) then {_tranType = _heliclassOp;
		} else {
				if (_vel == 1) then {
					_tranType = _heliclassBf;
					} else {
						_tranType = _heliclassLB;
					};
		};
				
		if (!(isClass (configFile >> "cfgVehicles" >> (_tranType)))) exitWith {hint format["The RHS mod for the copter has not been loaded."];};
				
		if (_sideFLnd == 0) then {sidefactAILnd = east;
		} else {
				if (_sideFLnd == 1) then {
					sidefactAILnd = independent;
					} else {
						sidefactAILnd = west;
					};
		};		
		
		createMarkerLocal ["StartPlaneMark",[0,0,0]];
		"StartPlaneMark" setMarkerTypeLocal "hd_start";
		
		createMarkerLocal ["Way_rotta2",[0,0,0]];
		"Way_rotta2" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["Way_rotta3",[0,0,0]];
		"Way_rotta3" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["Way_rotta4",[0,0,0]];
		"Way_rotta4" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["LandHeliTrMark",[0,0,0]];
		"LandHeliTrMark" setMarkerTypeLocal "hd_objective";
		"LandHeliTrMark" setMarkerColorLocal "ColorRed";
		
		createMarkerLocal ["FugaHeliTrMark",[0,0,0]];
		"FugaHeliTrMark" setMarkerTypeLocal "hd_objective";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the spawn/start location of heli";
		onMapSingleClick """StartPlaneMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 1/3";
		onMapSingleClick """Way_rotta2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 2/3";
		onMapSingleClick """Way_rotta3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 3/3";
		onMapSingleClick """Way_rotta4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the LANDING AND DISEMBARKING POSITION of the units";
		onMapSingleClick """LandHeliTrMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};		

		mapclick = true;
		hint "Click on the escape direction of heli";
		onMapSingleClick """FugaHeliTrMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		
		if _wayUnitYes then {
			createMarkerLocal ["WaypUnit",[0,0,0]];
			"WaypUnit" setMarkerTypeLocal "hd_dot";
			mapclick = true;
			hint "Click the point that landed units must reach";
			onMapSingleClick """WaypUnit"" setMarkerPosLocal _pos;mapclick = false;
			onMapSingleClick ''; true;";
			waitUntil {!mapClick};		
		};
		
		sleep 1;
		openMap false;
		
		_cont = 0;
	
		_centre = getMarkerPos "LandHeliTrMark";
		_posToLand = [];
		_max_distance = 100;			
		while{ (count _posToLand < 1) } do
		{
			_posToLand = _centre findEmptyPosition[10, _max_distance, _tranType];
			_max_distance = _max_distance + 10;
			_cont = _cont + 1;
			if (_cont == 10) exitwith {};	 
		};
		if (_cont == 10) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe landing zone not found! Please try again by specifying a new position.</t>"];
			deleteMarkerLocal "Way_rotta2";
			deleteMarkerLocal "Way_rotta3";
			deleteMarkerLocal "Way_rotta4";
			deleteMarkerLocal "StartPlaneMark";
			deleteMarkerLocal "FugaHeliTrMark";
			deleteMarkerLocal "EndHeliTr";		
			deleteMarkerLocal "LandHeliTrMark";
			if _wayUnitYes then {deleteMarkerLocal "WaypUnit";};
		};
		"LandHeliTrMark" setMarkerPosLocal _posToLand;
		hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe landing zone found close to selected position.</t>"];

		_landPosHeli = createVehicle ["Land_HelipadEmpty_F", getMarkerPos "LandHeliTrMark"];		

		_obj1 = createVehicle ["Land_PenBlack_F",[getmarkerpos "FugaHeliTrMark" select 0,getmarkerpos "FugaHeliTrMark" select 1,_heightLnd]];
		_obj2 = createVehicle ["Land_PenBlack_F",[getmarkerpos "LandHeliTrMark" select 0,getmarkerpos "LandHeliTrMark" select 1,_heightLnd]];
		_grDir = _obj2 getDir _obj1;
		createMarkerLocal ["EndHeliTr",_obj1 getRelPos [3000, _grDir]];
		deleteVehicle _obj1;
		deleteVehicle _obj2;

		if (_sideFLnd == 0) then {classnamePilot = "O_helipilot_F";
		} else {
				if (_sideFLnd == 1) then {
					classnamePilot = "I_helipilot_F";
					} else {
					classnamePilot = "B_Helipilot_F";
					};
		};

		_objPos = createVehicle ["Land_PenBlack_F",getmarkerpos "StartPlaneMark"];
		_objDir = createVehicle ["Land_PenBlack_F",getmarkerpos "Way_rotta2"];
		_gradiDir = _objPos getDir _objDir;
		deleteVehicle _objPos;
		deleteVehicle _objDir;

		_helicopterTr = createVehicle [_tranType, [getmarkerpos "StartPlaneMark" select 0,getmarkerpos "StartPlaneMark" select 1,_heightLnd],[], 0,"FLY"];
		_helicopterTr flyInheight _heightLnd; // imposto la quota di volo per il velivolo
		_helicopterTr setDir _gradiDir;
		//_helicopterTr allowDamage false;	// ====== MODIFY, REMOVING THE COMMENT, IF NEEDED TO SET MEDEVAC INVULNERABLE
		_grpHeliPilots = createGroup [sidefactAILnd, true];
		_HeliPilot = _grpHeliPilots createUnit [classnamePilot, getMarkerPos "StartPlaneMark", [], 0, "FORM"];
		_HeliCoPilot = _grpHeliPilots createUnit [classnamePilot, getMarkerPos "StartPlaneMark", [], 0, "FORM"];
		[_HeliPilot,_HeliCoPilot] join _grpHeliPilots;
		_HeliPilot assignAsDriver _helicopterTr; _HeliPilot moveInDriver _helicopterTr;
		_HeliCoPilot moveIncargo _helicopterTr;
		_HeliPilot setSkill 1;
		_HeliCoPilot setSkill 1;
	
		_grpAIUn = createGroup [sidefactAILnd, true];
		if ((_vel == 0) and (_nAI > _nAImax)) then {_nAI = _nAImax};
		for "_i" from 1 to _nAI do {			
			_cUnit = _grpAIUn createUnit [selectRandom ((ListEnemyUnit # _fazioneLnd) # 3), getMarkerPos "StartPlaneMark", [], 0, "FORM"];				
			[_cUnit] join _grpAIUn;
			_cUnit moveincargo _helicopterTr;
		};

		_helicopterTrGrp = group _helicopterTr;
		
		_FugaHeliTrMark = getmarkerpos "FugaHeliTrMark";
		_EndHeliTr = getmarkerpos "EndHeliTr";
		_WaypUnit = getmarkerpos "WaypUnit";
						
		_wp2 = _helicopterTrGrp addWaypoint [[getmarkerpos "Way_rotta2" select 0,getmarkerpos "Way_rotta2" select 1,_heightLnd], 0];
		_wp2 setWaypointType "MOVE";
		_wp2 setWaypointBehaviour "CARELESS";
		_wp2 setWaypointCombatMode "GREEN";
		_wp2 setWaypointSpeed "NORMAL";
				
		_wp3 = _helicopterTrGrp addWaypoint [[getmarkerpos "Way_rotta3" select 0,getmarkerpos "Way_rotta3" select 1,_heightLnd], 0];
		_wp3 setWaypointType "MOVE";
		_wp3 setWaypointBehaviour "CARELESS";
		_wp3 setWaypointCombatMode "GREEN";
		//_wp3 setWaypointSpeed "NORMAL";
				
		_wp4 = _helicopterTrGrp addWaypoint [[getmarkerpos "Way_rotta4" select 0,getmarkerpos "Way_rotta4" select 1,_heightLnd], 0];
		_wp4 setWaypointType "MOVE";
		_wp4 setWaypointBehaviour "CARELESS";
		_wp4 setWaypointCombatMode "GREEN";
		//_wp4 setWaypointSpeed "NORMAL";
		
		_wpI = _helicopterTrGrp addWaypoint [getmarkerpos "LandHeliTrMark", 0];
		_wpI setWaypointType "MOVE";
		_wpI setWaypointBehaviour "CARELESS";
		_wpI setWaypointCombatMode "GREEN";
		//_wpI setWaypointSpeed "NORMAL";
		_wpI setWaypointStatements ["true", "(vehicle this) land 'GET OUT'"];	

		deleteMarkerLocal "Way_rotta2";
		deleteMarkerLocal "Way_rotta3";
		deleteMarkerLocal "Way_rotta4";
		deleteMarkerLocal "StartPlaneMark";
		deleteMarkerLocal "FugaHeliTrMark";
		deleteMarkerLocal "EndHeliTr";		
		deleteMarkerLocal "LandHeliTrMark";
		
		if _wayUnitYes then {deleteMarkerLocal "WaypUnit";};

		waitUntil {(getPosATL _helicopterTr) select 2 < 20};
		waitUntil {(getPosATL _helicopterTr) select 2 < 1};
		{unassignVehicle _x} forEach units _grpAIUn;
		sleep 15;
		_helicopterTr flyinheight _heightLnd;

		_wp5 = _helicopterTrGrp addWaypoint [[_FugaHeliTrMark select 0,_FugaHeliTrMark select 1,_heightLnd], 0];		
		_wp5 setWaypointType "MOVE";
		_wp5 setWaypointBehaviour "CARELESS";
		_wp5 setWaypointCombatMode "GREEN";
		_wp5 setWaypointSpeed "NORMAL";				
		
		if _wayUnitYes then {			
			_wpUn = _grpAIUn addWaypoint [_WaypUnit, 0];
			_wpUn setWaypointType "MOVE";
			_wpUn setWaypointBehaviour "AWARE";
			_wpUn setWaypointCombatMode "YELLOW";
			_wpUn setWaypointSpeed "NORMAL";
			_wpUn setWaypointFormation "WEDGE";		
		};
		
		_wp6 = _helicopterTrGrp addWaypoint [[_EndHeliTr select 0,_EndHeliTr select 1,_heightLnd], 0];
		_wp6 setWaypointType "MOVE";
		_wp6 setWaypointBehaviour "CARELESS";
		_wp6 setWaypointCombatMode "GREEN";
		_wp6 setWaypointSpeed "NORMAL";
		_wp6 setWaypointStatements ["true", "trasp_hel = vehicle leader this; { deleteVehicle _x } forEach crew trasp_hel + [trasp_hel]"];
	
		hint "Airborne units arrived on the specified area"; 
		
		deleteVehicle _landPosHeli;	
};
