/*
	EGX system - by Enigx
	
	CallAIMassParadrop.sqf
	
	Lo script ordina un lancio di paracadutisti su una posizione cliccabile in mappa da una direzione selezionabile.
	Il menu grafico permette la selezione delle diverse fazioni da usare. La fazione "USER DEFINED" di default va definita nello EnemyList.sqf.
	Per i paracadutisti viene usata la classname della prima unità definita nelle fazioni dell'EnemyList.sqf
	Si può selezionare l'appartenenza della fazione (east,indipendente,west).
	Si può selezionare l'uso di un elicottero o di un aereo. Per l'aereo viene usato il C-130 del'RHS.
	Se la mod dei paracadutisti o dell'aereo non è caricata lo script non viene eseguito.
		
*/

[] spawn {

		// *********** USER PARAMETERS **********
		_height = 400; 		// flight altitude										====== MODIFY IF NECESSARY
		_nAImax = 7;			// maximum capacity of the chosen opfor helicopter	====== MODIFY IF NECESSARY
		_heliclass = "O_Heli_Light_02_unarmed_F";	// helicopter 	====== MODIFY IF NECESSARY
		_planeclass = "RHS_C130J";					// Plane			====== MODIFY IF NECESSARY
		// ***********
		
		_tranType = "";

		private _dialogValues = ["Paratrooper launch",[
  		["COMBOBOX","Choose the faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
			["COMBOBOX","Side faction",["Opfor","Independents","Blufor"],0],
  		["SLIDER","Number of paratroopers",[1,15,0],5],
  		["COMBOBOX","Vehicle to use",["Helicopter","Plane C-130 RHS"],0]
  		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_fazioneDr","_sideF","_nAI","_vel"];
		
		txtFacAI = "";
		switch (_fazioneDr) do {
				case 0: { txtFacAI = FazioneUser1;};
				case 1: { txtFacAI = "CSAT Vanilla";};
				case 2: { txtFacAI = "Islamic State - Project OPFOR";};
				case 3: { txtFacAI = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacAI = "Russian Federation RHS-AFR";};
				case 5: { txtFacAI = "Russian Federation CUP";};
				case 6: { txtFacAI = "African Militia - Project OPFOR";};
				case 7: { txtFacAI = "Vietcong - Unsung";};
				case 8: { txtFacAI = "CUP Takistan Militia";};
				case 9: { txtFacAI = "CUP Takistan Army";};
				case 10: { txtFacAI = "Boko Haram - Project OPFOR";};
				case 11: { txtFacAI = FazioneUser12;};
		};

		if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazioneDr) # 0) # 0)))) exitWith 
		{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacAI];};

		if (_vel == 0) then {_tranType = _heliclass;} else {_tranType = _planeclass;};
		
		if (!(isClass (configFile >> "cfgVehicles" >> (_tranType)))) exitWith {hint format["The RHS mod for the plane has not been loaded."];};

		_classnameAI = (((ListEnemyUnit # _fazioneDr) # 0) # 0);

		if (_sideF == 0) then {sidefactAI = east;
		} else {
				if (_sideF == 1) then {
					sidefactAI = independent;
					} else {
						sidefactAI = west;
					};
		};		

		createMarkerLocal ["StartPlaneMark",[0,0,0]];
		"StartPlaneMark" setMarkerTypeLocal "hd_start";
		
		createMarkerLocal ["Para_rotta2",[0,0,0]];
		"para_rotta2" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["StartParaMark",[0,0,0]];
		"StartParaMark" setMarkerTypeLocal "hd_objective";
		"StartParaMark" setMarkerColorLocal "ColorRed";
		
		createMarkerLocal ["EndParaMark",[0,0,0]];
		"EndParaMark" setMarkerTypeLocal "hd_objective";
		"EndParaMark" setMarkerColorLocal "ColorRed";
		
		createMarkerLocal ["FugaPlaneMark",[0,0,0]];
		"FugaPlaneMark" setMarkerTypeLocal "hd_objective";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set the route (5 points)\nClick on the spawn/start location of vehicle (1/5)";
		onMapSingleClick """StartPlaneMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 2/5";
		onMapSingleClick """Para_rotta2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		
		mapclick = true;
		hint "Click on the START LAUNCH position of the paratroopers (3/5)";
		onMapSingleClick """StartParaMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};

		mapclick = true;
		hint "Click on the END LAUNCH position of the paratroopers (4/5)";
		onMapSingleClick """EndParaMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};

		mapclick = true;
		hint "Click on the escape direction of vehicle (5/5)";
		onMapSingleClick """FugaPlaneMark"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;

		_obj1 = createVehicle ["Land_PenBlack_F",[getmarkerpos "FugaPlaneMark" select 0,getmarkerpos "FugaPlaneMark" select 1,_height]];
		_obj2 = createVehicle ["Land_PenBlack_F",[getmarkerpos "EndParaMark" select 0,getmarkerpos "EndParaMark" select 1,_height]];
		_grDir = _obj2 getDir _obj1;
		createMarkerLocal ["EndPlane",_obj1 getRelPos [3000, _grDir]];
		deleteVehicle _obj1;
		deleteVehicle _obj2;

		if (_sideF == 0) then {classnamePilot = "O_helipilot_F";
		} else {
				if (_sideF == 1) then {
					classnamePilot = "I_helipilot_F";
					} else {
					classnamePilot = "B_Helipilot_F";
					};
		};

		_objPos = createVehicle ["Land_PenBlack_F",[getmarkerpos "StartPlaneMark" select 0,getmarkerpos "StartPlaneMark" select 1,_height]];
		_objDir = createVehicle ["Land_PenBlack_F",[getmarkerpos "Para_rotta2" select 0,getmarkerpos "Para_rotta2" select 1,_height]];
		_gradiDir = _objPos getDir _objDir;
		deleteVehicle _objPos;
		deleteVehicle _objDir;

		_plane = createVehicle [_tranType, [getmarkerpos "StartPlaneMark" select 0,getmarkerpos "StartPlaneMark" select 1,_height],[], 0,"FLY"];
		_plane flyInheight _height;
		_plane setDir _gradiDir;
		
		if (_vel == 1) then {
		_velo = velocity _plane;
		_dir = direction _plane;
		_speedvel = 1; comment "Added speed";
		_plane setVelocity [
			(_velo select 0) + (sin _dir * _speedvel), 
			(_velo select 1) + (cos _dir * _speedvel), 
			(_velo select 2)
		];};
				
		_plane allowDamage false;

		_grpHeliPilots = createGroup [sidefactAI, true];
		_HeliPilot = _grpHeliPilots createUnit [classnamePilot, getMarkerPos "StartPlaneMark", [], 0, "FORM"];
		_HeliCoPilot = _grpHeliPilots createUnit [classnamePilot, getMarkerPos "StartPlaneMark", [], 0, "FORM"];
		[_HeliPilot,_HeliCoPilot] join _grpHeliPilots;
		_HeliPilot assignAsDriver _plane; _HeliPilot moveInDriver _plane;
		_HeliCoPilot moveIncargo _plane;
		_HeliPilot setSkill 1;
		_HeliCoPilot setSkill 1;

		_cParaArray = [];
		
		if ((_vel == 0) and (_nAI > _nAImax)) then {_nAI = _nAImax};
		for "_i" from 1 to _nAI do
		{
			_grpAIPara = createGroup [sidefactAI, true];
			_cPara = _grpAIPara createUnit [_classnameAI, getMarkerPos "StartPlaneMark", [], 0, "FORM"];
			[_cPara] join _grpAIPara;
			_cPara moveincargo _plane;
			removeBackpack _cPara;
			sleep 0.1;
			_cPara addBackpack "B_Parachute";
			_cParaArray pushBack _cPara;
		};

		_planeGrp = group _plane;
				
		_wp2 = _planeGrp addWaypoint [[getmarkerpos "Para_rotta2" select 0,getmarkerpos "Para_rotta2" select 1,_height], 0];
		_wp2 setWaypointType "MOVE";
		_wp2 setWaypointBehaviour "CARELESS";
		_wp2 setWaypointCombatMode "GREEN";
		_wp2 setWaypointSpeed "NORMAL";
		
		_wpI = _planeGrp addWaypoint [[getmarkerpos "StartParaMark" select 0,getmarkerpos "StartParaMark" select 1,_height], 0];
		_wpI setWaypointType "MOVE";
		_wpI setWaypointBehaviour "CARELESS";
		_wpI setWaypointCombatMode "GREEN";
		//_wpI setWaypointSpeed "NORMAL";
		
		_wpE = _planeGrp addWaypoint [[getmarkerpos "EndParaMark" select 0,getmarkerpos "EndParaMark" select 1,_height], 0];
		_wpE setWaypointType "MOVE";
		_wpE setWaypointBehaviour "CARELESS";
		_wpE setWaypointCombatMode "GREEN";
		//_wpE setWaypointSpeed "NORMAL";
				
		_wp5 = _planeGrp addWaypoint [[getmarkerpos "FugaPlaneMark" select 0,getmarkerpos "FugaPlaneMark" select 1,_height], 0];
		_wp5 setWaypointType "MOVE";
		_wp5 setWaypointBehaviour "CARELESS";
		_wp5 setWaypointCombatMode "GREEN";
		_wp5 setWaypointSpeed "NORMAL";
				
		_wp6 = _planeGrp addWaypoint [[getmarkerpos "EndPlane" select 0,getmarkerpos "EndPlane" select 1,_height], 0];
		_wp6 setWaypointType "MOVE";
		_wp6 setWaypointBehaviour "CARELESS";
		_wp6 setWaypointCombatMode "GREEN";
		_wp6 setWaypointSpeed "NORMAL";
		_wp6 setWaypointStatements ["true", "trasHelPar = vehicle leader this; { deleteVehicle _x } forEach crew trasHelPar + [trasHelPar]"];
	
		hint "Launch of paratroopers arriving on the marked area"; 

		_meters = [getmarkerpos "StartParaMark" select 0,getmarkerpos "StartParaMark" select 1,_height] distance [getmarkerpos "EndParaMark" select 0,getmarkerpos "EndParaMark" select 1,_height];

		deleteMarkerLocal "Para_rotta2";
		deleteMarkerLocal "StartPlaneMark";
		deleteMarkerLocal "FugaPlaneMark";
		deleteMarkerLocal "EndPlane";		
		deleteMarkerLocal "EndParaMark";		

		_makrRndStart = "StartParaMark" + (str getMarkerPos "StartParaMark");
		createMarkerLocal [_makrRndStart,getMarkerPos "StartParaMark"];
		
		deleteMarkerLocal "StartParaMark";
		
		waitUntil {_plane distance [getmarkerpos _makrRndStart select 0,getmarkerpos _makrRndStart select 1,_height] < 80};

		_velocita = speed _plane;
		_timeX = _meters / _velocita;
		_timeLaunch = _timeX / _nAI;

		for "_k" from 0 to (_nAI -1) do
		{				
			unassignVehicle (_cParaArray select _k);
			moveOut (_cParaArray select _k);
			sleep _timeLaunch;
		};	
};