/*
	EGX system - by Enigx
	
	CallExtraction_Heli.sqf
	
*/

[] spawn {
	
	private ["_posToLand","_heliTypeExt","_cont"];	

		private _dialogValues = ["Call extraction by helicopter",[
			["COMBOBOX","Helicopter to use",["Chinock RHS CH-47 (22 s.)","UH-60M RHS (10 s.)","Ghost Hawk UH-80 vanilla (8 s.)"],0],
			["SLIDER","Flight altitude (m)",[50,300,0],100],
			["CHECKBOX","Keep the rotor on once landed",[],true],
			["CHECKBOX","Force landing in selected point (not preferred)",[],false]
  		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_heliTyp","_heightExt","_motorOn","_forceLand"];

		heliTyp = "";
		if (_heliTyp == 0) then {heliTyp = "RHS_CH_47F_10";
			} else {
				if (_heliTyp == 1) then {heliTyp = "RHS_UH60M_ESSS";
					} else {
						heliTyp = "B_Heli_Transport_01_F";
					};
			};
		_heliTypeExt = 	heliTyp;
		
		if (!(isClass (configFile >> "cfgVehicles" >> (_heliTypeExt)))) exitWith {hint format["RHS mod was not loaded. \nUse the vanilla Ghost Hawk helicopter"];};

createMarkerLocal ["StartMark",[0,0,0]];
		"StartMark" setMarkerTypeLocal "mil_objective";
		"StartMark" setMarkerColorLocal "ColorGreen";		
		createMarkerLocal ["p_rotta2",[0,0,0]];
		"p_rotta2" setMarkerTypeLocal "mil_objective";		
		createMarkerLocal ["p_rotta3",[0,0,0]];
		"p_rotta3" setMarkerTypeLocal "mil_objective";		
		createMarkerLocal ["p_rotta4",[0,0,0]];
		"p_rotta4" setMarkerTypeLocal "mil_objective";		
		createMarkerLocal ["ExtrMark",[0,0,0]];
		"ExtrMark" setMarkerTypeLocal "hd_pickup";
		"ExtrMark" setMarkerColorLocal "ColorBlue";	

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set route (n° 5 waypoints)\nClick on heli SPAWNING POSITION (1/5)";
		onMapSingleClick """StartMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on intermediate waypoint 2/5";
		onMapSingleClick """p_rotta2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on intermediate waypoint 3/5";
		onMapSingleClick """p_rotta3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on intermediate waypoint 4/5";
		onMapSingleClick """p_rotta4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on heli LANDING POSITION (5/5)";
		onMapSingleClick """ExtrMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;		
		
		_posToLand = getMarkerPos "ExtrMark";
		_cont = 0;		
		if !(_forceLand) then {					
			_centre = getMarkerPos "ExtrMark";
			_posToLand = [];
			_max_distance = 100;			
			while{ (count _posToLand < 1) } do
			{
				_posToLand = _centre findEmptyPosition[10, _max_distance, _heliTypeExt];
				_max_distance = _max_distance + 10;
				_cont = _cont + 1;
				if (_cont == 10) exitwith {};	 
			};
			if (_cont == 10) exitwith {};		
			createMarkerLocal ["SafeLZExt",_posToLand];
			"SafeLZExt" setMarkerPosLocal _posToLand;
			"SafeLZExt" setMarkerTypeLocal "hd_pickup";
			"SafeLZExt" setMarkerColorLocal "ColorGreen";
			"SafeLZExt" setMarkerTextLocal "Safe LZ";
			"ExtrMark" setMarkerAlphaLocal 0;
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe landing zone found close to selected position.</t>"];
		};
		if (_cont == 10) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe landing zone not found! Please try again choosing a new position.</t>"];
			deleteMarkerLocal "StartMark";
			deleteMarkerLocal "p_rotta2";
			deleteMarkerLocal "p_rotta3";
			deleteMarkerLocal "p_rotta4";
			deleteMarkerLocal "ExtrMark";
			};	
			
		sleep 1;						
		_landPos = createVehicle ["Land_HelipadEmpty_F", _posToLand];
		sleep 1;
		Bravo1 = createGroup west;
		_heli_trasp = createVehicle [_heliTypeExt, getMarkerPos "StartMark",[], 0,"FLY"];
		_heli_trasp flyInHeight _heightExt;		
		createVehicleCrew _heli_trasp;		
		_heliGrp = group _heli_trasp;
		
		_wp2 = _heliGrp addWaypoint [getMarkerPos "p_rotta2", 0];
		_wp2 setWaypointType "MOVE";
		_wp2 setWaypointBehaviour "CARELESS";
		_wp2 setWaypointCombatMode "GREEN";
		_wp2 setWaypointSpeed "NORMAL";
		_wp2 setWaypointFormation "COLUMN";
		
		_wp3 = _heliGrp addWaypoint [getMarkerPos "p_rotta3", 0];
		_wp3 setWaypointType "MOVE";
		_wp3 setWaypointBehaviour "CARELESS";
		_wp3 setWaypointCombatMode "GREEN";
		_wp3 setWaypointSpeed "NORMAL";
		_wp3 setWaypointFormation "COLUMN";
		
		_wp4 = _heliGrp addWaypoint [getMarkerPos "p_rotta4", 0];
		_wp4 setWaypointType "MOVE";
		_wp4 setWaypointBehaviour "CARELESS";
		_wp4 setWaypointCombatMode "GREEN";
		_wp4 setWaypointSpeed "NORMAL";
		_wp4 setWaypointFormation "COLUMN";
		
		_wp = _heliGrp addWaypoint [_posToLand, 0];
		_wp setWaypointType "MOVE";
		_wp setWaypointBehaviour "CARELESS";
		_wp setWaypointCombatMode "GREEN";
		_wp setWaypointSpeed "NORMAL";
		_wp setWaypointFormation "COLUMN";
		if _motorOn then {		
		_wp setWaypointStatements ["true", "(vehicle this) land 'GET IN'"];
		} else {
		_wp setWaypointStatements ["true", "(vehicle this) land 'LAND'"];		
		};
		waitUntil {isTouchingGround _heli_trasp};
		deleteMarkerLocal "StartMark";
		deleteMarkerLocal "p_rotta2";
		deleteMarkerLocal "p_rotta3";
		deleteMarkerLocal "p_rotta4";
		deleteMarkerLocal "ExtrMark";		
		if !(_forceLand) then {deleteMarkerLocal "SafeLZExt";};
		deleteVehicle _landPos;
		hint "Helicopter landed on selected position";
		_heli_trasp engineOn true;		
};