/*
	EGX system - by Enigx
	
	CallSuicideBomber.sqf
	
	Lo script crea un kamikaze suicida in un punto cliccabile in mappa. L'unità creata attacca la fazione indicata in _targetSide (cambiarla se serve diversamente).
	Un menu grafico permette la selezione della tipologia di civile da usare. Vi sono definite 6 tipologie di civili: 
	- Vanilla
	- Takistan Project Opfor
	- Takistan CUP
	- Africans Project Opfor
	- Vietnammiti Unsung
	- USER DEFINED (_civilUser)
	Se necessario una nuova tipologia, inserirla in quella User Defined.  
	
	Lo scrip richiama al suo inizio lo script MarkPlayersPosition.sqf il quale mostra tramite markers la posizione di ogni player per 20 secondi. 
	Vedere tale script per maggiori dettagli
	
*/


// *********** USER PARAMETERS **********

_targetSide = [WEST];				// faction that you want to have the kamikaze attack ====== CHANGE FACTION IF NECESSARY
_explosiveClass = "grenadeHand";	// classname of the explosive you want to use ====== MODIFY EXPLOSIVE IF NECESSARY
_civilUser = ["C_man_polo_1_F","C_man_polo_2_F","C_man_polo_3_F","C_man_polo_4_F","C_man_polo_5_F","C_man_polo_6_F"]; // ====== MODIFY IF NECESSARY
_civilVanilla = ["C_man_polo_1_F","C_man_polo_2_F","C_man_polo_3_F","C_man_polo_4_F","C_man_polo_5_F","C_man_polo_6_F"];
_civilTakist = ["LOP_Tak_Civ_Man_01","LOP_Tak_Civ_Man_02","LOP_Tak_Civ_Man_04","LOP_Tak_Civ_Man_05","LOP_Tak_Civ_Man_06","LOP_Tak_Civ_Man_07","LOP_Tak_Civ_Man_08","LOP_Tak_Civ_Man_09","LOP_Tak_Civ_Man_10","LOP_Tak_Civ_Man_11","LOP_Tak_Civ_Man_12","LOP_Tak_Civ_Man_13","LOP_Tak_Civ_Man_14","LOP_Tak_Civ_Man_15","LOP_Tak_Civ_Man_16"];
_civilTakistCUP = ["CUP_C_TK_Man_02","CUP_C_TK_Man_07","CUP_C_TK_Man_08","CUP_C_TK_Man_01_Jack","CUP_C_TK_Man_02_Jack","CUP_C_TK_Man_03_Jack","CUP_C_TK_Man_04_Jack","CUP_C_TK_Man_05_Jack","CUP_C_TK_Man_06_Jack","CUP_C_TK_Man_08_Jack","CUP_C_TK_Man_01_Waist","CUP_C_TK_Man_02_Waist","CUP_C_TK_Man_03_Waist","CUP_C_TK_Man_04_Waist","CUP_C_TK_Man_05_Waist","CUP_C_TK_Man_06_Waist","CUP_C_TK_Man_07_Waist","CUP_C_TK_Man_08_Waist","CUP_C_TK_Man_03_Coat","CUP_C_TK_Man_05_Coat","CUP_C_TK_Man_01_Coat"];  
_civilAfrican =	["LOP_AFR_Civ_Base","LOP_AFR_Civ_Man_01","LOP_AFR_Civ_Man_01_S","LOP_AFR_Civ_Man_02","LOP_AFR_Civ_Man_02_S","LOP_AFR_Civ_Man_03","LOP_AFR_Civ_Man_03_S","LOP_AFR_Civ_Man_04","LOP_AFR_Civ_Man_04_S","LOP_AFR_Civ_Man_05","LOP_AFR_Civ_Man_05_S","LOP_AFR_Civ_Man_06","LOP_AFR_Civ_Man_06_S"];
_civilUnsung =	["uns_civilian1","uns_civilian2","uns_civilian3","uns_civilian4","uns_civ_doctor","uns_civ_town_m","uns_civ_town_m2","uns_civ_town_f","uns_civ_town_f2"];

// ***********

	_BomberClass = "";

	private _dialogValues = ["Suicide Bomber",[
		["COMBOBOX","Faction to use for the suicide bomber",[
			"Takistan Project OPFOR",
			"Takistan CUP",
			"Civile Vanilla",
			"African Project OPFOR",
			"Vietnammiti Unsung",
			"USER DEFINED"
			],0]
  	]] call CDS_fnc_createDialog;
	if (_dialogValues isEqualTo []) exitWith {};
	_dialogValues params ["_classBomber"];
	
	private["_textbomber"];

	switch (_classBomber) do {
		case 0: { _BomberClass = selectRandom _civilTakist; _textbomber = "Takistan Project Opfor";};
		case 1: { _BomberClass = selectRandom _civilTakistCUP; _textbomber = "Takistan CUP";};
		case 2: { _BomberClass = selectRandom _civilVanilla;_textbomber = "Civile Vanilla";};
		case 3: { _BomberClass = selectRandom _civilAfrican; _textbomber = "African Project OPFOR";};
		case 4: { _BomberClass = selectRandom _civilUnsung; _textbomber = "Vietnammiti Unsung";};
		case 5: { _BomberClass = selectRandom _civilUser; _textbomber = "USER DEFINED";};
	};
	
	if (!(isClass (configFile >> "cfgVehicles" >> _BomberClass))) exitWith 
	{hint format["The mod for the selected suicide civilian has not been loaded.\nMod related to %1",_textbomber];};

	null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY
	
	createMarker ["SuicideBomberMark",[0,0,0]];
	sleep 0.1;
	openMap true;
	mapclick = true;
	hint "Click on the point where you want to create the suicide bomber";
	onMapSingleClick """SuicideBomberMark"" setMarkerPos _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 1;
	openMap false;

	_grp = createGroup [civilian, true];
	_bomber = _grp createUnit [_BomberClass, getMarkerPos "SuicideBomberMark", [], 0, "FORM"];
	_bomber addvest"V_Chestrig_blk";

	deleteMarker "SuicideBomberMark";
	hint "Suicide bomber created in the chosen position";
	
	hint format["Suicide bomber ""%1"" created in the chosen position",_textbomber];

	_info = [_bomber,_targetSide,_explosiveClass];
	_runCode = 1;
	
	while {alive _bomber && _runCode == 1} do
	{
		_nearUnits = nearestObjects [_bomber,["CAManBase"],70];
		_nearUnits = _nearUnits - [_bomber];
		{
			if(!(side _x in _targetSide)) then {_nearUnits = _nearUnits - [_x];};
		} forEach _nearUnits;
		if(count _nearUnits != 0) then
		{
			_pos = position (_nearUnits select 0);
			_bomber doMove _pos;
			waitUntil {_bomber distance _pos < 15};
			if(_bomber distance (_nearUnits select 0) < 15)
			exitWith
			{
			_runCode = 0;
			_explosive = _explosiveClass createVehicle (position _bomber);
			[_bomber,_explosive] spawn {_bomber = _this select 0; _explosive = _this select 1; sleep 2; [_bomber,"shout"] remoteExecCall ["say3D",0]; _explosive setDamage 1; _bomber addRating -10000000;};
			[_explosive,_bomber] spawn {_explosive = _this select 0; _bomber = _this select 1; waitUntil {!alive _bomber}; deleteVehicle _explosive;};
				if(round(random(1)) == 0) then
				{
				_explosive attachTo [_bomber,[-0.02,-0.07,0.042],"rightHand"];
				}
				else
				{
				_explosive attachTo [_bomber,[-0.02,-0.07,0.042],"leftHand"];
				};
			};
		};
		
		sleep 1;
	};