/*
	EGX system - by Enigx
	
	CallVehicleByHeli.sqf
			
*/

[] spawn {

		// *********** USER PARAMETERS **********

		_heliTypeDep = "RHS_CH_47F_10";  // Type of helicopter used (Chinook RHS) ====== MODIFY HELICOPTER IF NECESSARY

		// ***********

		private _dialogValues = ["Land vehicle transport by helicopter",[
			["COMBOBOX","vehicle to arrive",[
				"MRAP M1220-M2 RHS",
				"MRAP M1230-M2 RHS",
				"Humvee_m1043 RHS",
				"Bradley",
				"Abrams tank"				
				],0],
  		["SLIDER","Flight altitude (m)",[100,400,0],200]  		
  		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_vehTr","_hFlight"];		

		VehicleToTrasp = "";

		switch (_vehTr) do {
    		case 0: { VehicleToTrasp = "rhsusf_M1220_M2_usarmy_d";};
				case 1: { VehicleToTrasp = "rhsusf_M1230_M2_usarmy_d";};
				case 2: { VehicleToTrasp = "rhsusf_m1043_d_m2";};
				case 3: { VehicleToTrasp = "rhsusf_m113d_usarmy";};
				case 4: { VehicleToTrasp = "rhsusf_m1a1aim_tuski_d";};			
		};
			
		if (!(isClass (configFile >> "cfgVehicles" >> (VehicleToTrasp)))) exitWith {hint format["The requested RHS mod was not loaded."];};

		createMarkerLocal ["SpawnMark",[0,0,0]];
		"SpawnMark" setMarkerTypeLocal "hd_start";
		
		createMarkerLocal ["pos2",[0,0,0]];
		"pos2" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["pos3",[0,0,0]];
		"pos3" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["pos4",[0,0,0]];
		"pos4" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["DeployMark",[0,0,0]];
		"DeployMark" setMarkerTypeLocal "hd_pickup";
		"DeployMark" setMarkerColorLocal "ColorBlue";
		
		createMarkerLocal ["DeleteMark",[0,0,0]];
		"DeleteMark" setMarkerTypeLocal "hd_objective";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set the route (6 points)\nClick on the starting position of the helicopter (1/6)";
		onMapSingleClick """SpawnMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on the route point 2/6";
		onMapSingleClick """pos2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on the route point 3/6";
		onMapSingleClick """pos3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on the route point 4/6";
		onMapSingleClick """pos4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		// punto di rilascio
		mapclick = true;
		hint "Click on the RELEASE POSITION of the transported vehicle (5/6)";
		onMapSingleClick """DeployMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on the helicopter escape and canceling point (6/6)";
		onMapSingleClick """DeleteMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;		

		_obj1 = createVehicle ["Land_PenBlack_F",getmarkerpos "DeleteMark"];
		_obj2 = createVehicle ["Land_PenBlack_F",getmarkerpos "DeleteMark"];
		_grDir = _obj2 getDir _obj1;
		createMarkerLocal ["EndHeliTrV",_obj1 getRelPos [3000, _grDir]];
		deleteVehicle _obj1;
		deleteVehicle _obj2;		

		_heliTrasporto = createVehicle [_heliTypeDep, getMarkerPos "SpawnMark",[], 0,"FLY"];
		_heliTrasporto flyInHeight _hFlight;

		createVehicleCrew _heliTrasporto;

		dropveh = VehicleToTrasp createVehicle (getMarkerPos "SpawnMark");
		dropveh allowdamage false;
		dropveh attachTo [_heliTrasporto,[0,2,-5]];
		sleep 1;
		dropveh allowdamage true;			

		_heliGrpTr = group _heliTrasporto;
		
		_DeleteMark = getMarkerPos "DeleteMark";
		_EndHeliTrV = getMarkerPos "EndHeliTrV";
		
		_wp2 = _heliGrpTr addWaypoint [getMarkerPos "pos2", 0];
		_wp2 setWaypointType "MOVE";
		_wp2 setWaypointBehaviour "CARELESS";
		_wp2 setWaypointCombatMode "WHITE";
		_wp2 setWaypointSpeed "NORMAL";		
		
		_wp3 = _heliGrpTr addWaypoint [getMarkerPos "pos3", 0];
		_wp3 setWaypointType "MOVE";
		_wp3 setWaypointBehaviour "CARELESS";
		_wp3 setWaypointCombatMode "WHITE";
		_wp3 setWaypointSpeed "NORMAL";		
		
		_wp4 = _heliGrpTr addWaypoint [getMarkerPos "pos4", 0];
		_wp4 setWaypointType "MOVE";
		_wp4 setWaypointBehaviour "CARELESS";
		_wp4 setWaypointCombatMode "WHITE";
		_wp4 setWaypointSpeed "NORMAL";
		
		_wp = _heliGrpTr addWaypoint [getMarkerPos "DeployMark", 0];
		_wp setWaypointType "MOVE";
		_wp setWaypointBehaviour "CARELESS";
		_wp setWaypointCombatMode "WHITE";
		_wp setWaypointSpeed "LIMITED";		
		_wp setWaypointStatements ["true", "(vehicle this) flyinheight 7"];

		deleteMarkerLocal "SpawnMark";
		deleteMarkerLocal "pos2";
		deleteMarkerLocal "pos3";
		deleteMarkerLocal "pos4";
		deleteMarkerLocal "DeployMark";
		deleteMarkerLocal "DeleteMark";
		deleteMarkerLocal "EndHeliTrV";

		waitUntil {(getPosATL _heliTrasporto) select 2 < 12};
			
		detach dropveh;
		sleep 2;
		_heliTrasporto flyinheight _hFlight;		
		
		_wp5 = _heliGrpTr addWaypoint [_DeleteMark, 0];
		_wp5 setWaypointType "MOVE";
		_wp5 setWaypointBehaviour "CARELESS";
		_wp5 setWaypointCombatMode "RED";
		_wp5 setWaypointSpeed "FULL";
				
		_wp6 = _heliGrpTr addWaypoint [_EndHeliTrV, 0];
		_wp6 setWaypointType "MOVE";
		_wp6 setWaypointBehaviour "CARELESS";
		_wp6 setWaypointCombatMode "RED";
		_wp6 setWaypointSpeed "FULL";
		_wp6 setWaypointStatements ["true", "trasp_hel = vehicle leader this; { deleteVehicle _x } forEach crew trasp_hel + [trasp_hel]"];
		
};