/*
	EGX system - Enemy Spawning System (ESS) by Enigx
	
	CallSpawn_Enemy_Area.sqf
	
*/

[] spawn {

    private _dialogValues = ["Enemy Spawning System (ESS by Enigx)",[
    		["COMBOBOX","Choose the enemy faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
        ["CHECKBOX","The selected faction is Independent",[],false],	
    	["COMBOBOX","Shape of the spawn area",["Square","Circle"],0],	
        ["SLIDER","Area size in meters (square side or diameter)",[10,400,0],250],
        ["SLIDER","Number of patrols in the street",[0,30,0],10],
        ["COMBOBOX","Max number of units per patrol",["1","2","3","4"],2],
        ["SLIDER","Number of groups in buildings",[0,30,0],8],
        ["COMBOBOX","Max number of units per group",["1","2","3","4"],1]
     ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_fazioneESS","_sideInd","_formA","_dimArea","_numFT","_uXtmax","_groupInBuild","_uIB"];

    _unitsXteamMax = _uXtmax + 1;
    _numUnitInBuild = _uIB + 1;
	_UnitInCar = 0;

		if _sideInd then {sidefact = independent;} else {sidefact = east};
	
		txtFacESS = "";
	
		switch (_fazioneESS) do {
				case 0: { txtFacESS = FazioneUser1;};
				case 1: { txtFacESS = "CSAT Vanilla";};
				case 2: { txtFacESS = "Islamic State - Project OPFOR";};
				case 3: { txtFacESS = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacESS = "Russian Federation RHS-AFR";};
				case 5: { txtFacESS = "Russian Federation CUP";};
				case 6: { txtFacESS = "African Militia - Project OPFOR";};
				case 7: { txtFacESS = "Vietcong - Unsung";};
				case 8: { txtFacESS = "CUP Takistan Militia";};
				case 9: { txtFacESS = "CUP Takistan Army";};
				case 10: { txtFacESS = "Boko Haram - Project OPFOR";};
				case 11: { txtFacESS = FazioneUser12;};
		};

	if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazioneESS) # 0) # 0)))) exitWith 
	{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacESS];};

	createMarkerLocal ["EES_Area",[0,0,0]];
	if (_formA == 0) then {"EES_Area" setMarkerShapeLocal "RECTANGLE";} else {"EES_Area" setMarkerShapeLocal "ELLIPSE";};
	"EES_Area" setMarkerSizeLocal [_dimArea/2, _dimArea/2];
	_TempSpawn = 0.2;
	null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		
	sleep 0.1;
	openMap true;
	mapclick = true;

	hint parseText format ["
		Faction created: %1<br />
		Area type and size: %2, %3<br />
		Patrolling fire teams: %4<br />
		Max units per team: %5<br />
		Teams in buildings: %6<br />
		Max units per teams: %7<br />
		Click on the location on the map to create the spawning area.<br />
		Square/circle in size (side/diameter) of %3 m.<br />
		BEFORE SELECTING A NEW AREA WAIT A MINIMUM OF %8 SEC !<br />
		Wait for the marker to disappear from the map.
		",txtFacESS,if (_formA == 0) then {"square";} else {"circle";},_dimArea,_numFT,_unitsXteamMax,_groupInBuild,_numUnitInBuild, (_TempSpawn * _numFT * 7) + _TempSpawn * _groupInBuild];
	onMapSingleClick """EES_Area"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	"EES_Area" setMarkerColorLocal "colorOPFOR";
	sleep 1;
	openMap false;
	
	createMarkerLocal ["p1",[0,0,0]];
	createMarkerLocal ["p2",[0,0,0]];
	createMarkerLocal ["p3",[0,0,0]];
	createMarkerLocal ["p4",[0,0,0]];
	createMarkerLocal ["p5",[0,0,0]];
	createMarkerLocal ["pB",[0,0,0]];

	for "_i" from 1 to _numFT do {
		sleep _TempSpawn;
		_p1 = ["EES_Area"] call SHK_posESS;
		"p1" setMarkerPosLocal _p1;
		
		sleep _TempSpawn;
		_p2 = ["EES_Area"] call SHK_posESS;
		"p2" setMarkerPosLocal _p2;
		
		sleep _TempSpawn;
		_p3 = ["EES_Area"] call SHK_posESS;
		"p3" setMarkerPosLocal _p3;
		
		sleep _TempSpawn;
		_p4 = ["EES_Area"] call SHK_posESS;
		"p4" setMarkerPosLocal _p4;
		
		sleep _TempSpawn;
		_p5 = ["EES_Area"] call SHK_posESS;
		"p5" setMarkerPosLocal _p5;
		
		sleep _TempSpawn;
		_nFT = floor(random _unitsXteamMax);
		null = [EnCar select _fazioneESS,_UnitInCar,(ListEnemyUnit select _fazioneESS) select _nFT,["p1","p2","p3","p4","p5"],sidefact] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_patrol.sqf";
		
		sleep _TempSpawn;
	};

	for "_i" from 1 to  _groupInBuild do {
		sleep _TempSpawn;
		_pB = ["EES_Area"] call SHK_posESS;
		"pB" setMarkerPosLocal _pB;
		grpB = createGroup [sidefact, true];
		for "_j" from 0 to floor(random(_numUnitInBuild)) do {
			_UnB = grpB createUnit [((ListEnemyUnit select _fazioneESS) select 0) select 0, getMarkerPos "pB", [], 0, "FORM"];
			[_UnB] join grpB;
		};
		0 = [getMarkerPos "pB", units grpB, 50,false,false,true,false] execVM "EGX_system\functions\ESS\Zen_OccupyHouse.sqf";
	};

	deleteMarkerLocal "p1";
	deleteMarkerLocal "p2";
	deleteMarkerLocal "p3";
	deleteMarkerLocal "p4";
	deleteMarkerLocal "p5";
	deleteMarkerLocal "pB";
	deleteMarkerLocal "EES_Area";
	
};