/*
	EGX system - by Enigx
	
	CivilianPatrolMapClick.sqf
	
	Lo script crea un civile a piedi e gli ordina di fare la ronda attraverso dei waypoints cliccabili in mappa.
	Viene chiamato lo script Spawn_Enemy_patrol.sqf, al quale gli passa le opportune variabili (unit e waypoints)
	
	Lo scrip richiama al suo inizio lo script MarkPlayersPosition.sqf il quale mostra tramite markers la posizione di ogni player per 20 secondi. 
	Vedere tale script per maggiori dettagli
			
*/

private _CivInCar = _this select 0;
private _CivNum = (_this select 1) - 1;

CivInCar = _CivInCar;
CivNum =_CivNum;

[] spawn {
    // Creo la finestra di dialogo
    private _dialogValues = ["Civilians Patrol",[
		["COMBOBOX","Scegli la fazione dei civili da usare",[
        	"Civili Vanilla",
        	"Civili Takistan - Project OPFOR",
        	"Civili Takistan - CUP",
        	"Vietnammiti - Unsung",
        	"Africani - Project OPFOR",
        	"Russi - CUP",
        	"USER DEFINED"
        	],0]
     ]] call CDS_fnc_createDialog;

    // Controlla se premuto il cancel, nel qual caso lo script viene interrotto
    if (_dialogValues isEqualTo []) exitWith {};

		// Assegno le variabili della finestra di dialogo
    _dialogValues params ["_factCivPat"];

		// Imposto le unit da usare
    //ListCivFacPat = ListCivilian select _factCivPat;
    
		txtCivPat = "";
	
		switch (_factCivPat) do {
				case 0: { txtCivPat = "Civili Vanilla";};
				case 1: { txtCivPat = "Civili Takistan - Project OPFOR";};
				case 2: { txtCivPat = "Civili Takistan - CUP";};
				case 3: { txtCivPat = "Vietnammiti - Unsung";};
				case 4: { txtCivPat = "Africani - Project OPFOR";};
				case 5: { txtCivPat = "Russi - CUP";};
				case 6: { txtCivPat = "USER DEFINED";};
		};

		// controllo se la mod dei civili scelti sia stata caricata altrimenti lo script termina
		if (!(isClass (configFile >> "cfgVehicles" >> ((ListCivilian # _factCivPat) # 0)))) exitWith 
		{hint format["La mod dei civili scelti non e' stata caricata.\nMod relativa a %1",txtCivPat];};
		
		// Mostro la posizione dei players in mappa allo scopo di valutare meglio la posizione su cui piazzare il civile
		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Visualizzazione di 20 secondi con refresh ogni 1 secondo ====== MODIFICA O ELIMINA SE NECESSARIO
		
		// Creo i marker per il map-click.
		createMarkerLocal ["StartCivWay",[0,0,0]]; // punto di partenza
		"StartCivWay" setMarkerTypeLocal "hd_start";
		
		createMarkerLocal ["Civ_way2",[0,0,0]];	// punto intermedio
		"Civ_way2" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["Civ_way3",[0,0,0]]; // punto intermedio
		"Civ_way3" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["Civ_way4",[0,0,0]]; // punto intermedio
		"Civ_way4" setMarkerTypeLocal "hd_objective";
		
		createMarkerLocal ["EndCivWay",[0,0,0]]; // punto finale di arrivo
		"EndCivWay" setMarkerTypeLocal "hd_objective";
		"EndCivWay" setMarkerColorLocal "ColorRed";
		
		// apro la mappa e posiziono al click i markers di partenza, i 3 waypoints intermedi e quello finale
		// punto di partenza
		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Impostare il percorso del pattugliamento a piedi (n 5 waypoints)\nClicca sulla posizione di partenza del civile (spawn) 1/5";
		onMapSingleClick """StartCivWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		// punto intermedio del percorso (2/5)
		mapclick = true;
		hint "Clicca sul punto di waypoint 2/5";
		onMapSingleClick """Civ_way2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		// punto intermedio del percorso (3/5)
		mapclick = true;
		hint "Clicca sul punto di waypoint 3/5";
		onMapSingleClick """Civ_way3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		// punto intermedio del percorso (4/5)
		mapclick = true;
		hint "Clicca sul punto di waypoint 4/5";
		onMapSingleClick """Civ_way4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		// punto di fine percorso
		mapclick = true;
		hint "Clicca sul punto finale di waypoint 5/5";
		onMapSingleClick """EndCivWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		
		// Richiamo del file Spawn_Enemy_patrol.sqf per la generazione del percorso ciclico
		null = [EnCarCiv,CivInCar,[selectRandom (ListCivilian select _factCivPat)],["StartCivWay","Civ_way2","Civ_way3","Civ_way4","EndCivWay"],civilian] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_patrol.sqf";
		
		if (CivInCar == 0) then {
			hint format["Creata %1 unita' civile in ronda a piedi della fazione %2",CivNum + 1,txtCivPat];
			} 
			else
			{
			hint format["Creata %1 unita' civile in ronda in auto della fazione %2",CivNum + 1,txtCivPat];
			};
		
		sleep 5;
		// cancello i marker
		deleteMarkerLocal "StartCivWay";
		deleteMarkerLocal "Civ_way2";
		deleteMarkerLocal "Civ_way3";
		deleteMarkerLocal "Civ_way4";
		deleteMarkerLocal "EndCivWay";
		
};