/*
	EGX system - Civilian Spawning System (ESS) by Enigx
	
	CallSpawn_Civilians_Area.sqf
	
*/

[] spawn {
    private _dialogValues = ["Enemy Spawning System (ESS by Enigx) - Civilians",[
		["COMBOBOX","Shape of the spawn area",["Square","Circle"],0],
			["COMBOBOX","Choose the civilians faction to use",[
        	"Civili Vanilla",
        	"Civili Takistan - Project OPFOR",
        	"Civili Takistan - CUP",
        	"Vietnammiti - Unsung",
        	"Africani - Project OPFOR",
        	"Russi - CUP",
        	"USER DEFINED"
        	],0],
        ["SLIDER","Area size in meters (square side or diameter)",[10,400,0],250],
        ["SLIDER","Number of civilians on street",[0,30,0],10],
        ["SLIDER","Number of civilians in buildings",[0,30,0],8]
     ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_formAc","_factCiv","_dimAreaC","_numCIV","_CIVinBuild"];
	
		txtCivESS = "";
	
		switch (_factCiv) do {
				case 0: { txtCivESS = "Civili Vanilla";};
				case 1: { txtCivESS = "Civili Takistan - Project OPFOR";};
				case 2: { txtCivESS = "Civili Takistan - CUP";};
				case 3: { txtCivESS = "Vietnammiti - Unsung";};
				case 4: { txtCivESS = "Africani - Project OPFOR";};
				case 5: { txtCivESS = "Russi - CUP";};
				case 6: { txtCivESS = "USER DEFINED";};
	};

	if (!(isClass (configFile >> "cfgVehicles" >> ((ListCivilian # _factCiv) # 0)))) exitWith 
	{hint format["The mod of the chosen civilians has not been loaded.\nMod related to %1",txtCivESS];};

	createMarkerLocal ["EES_AreaC",[0,0,0]];
	if (_formAc == 0) then {"EES_AreaC" setMarkerShapeLocal "RECTANGLE";} else {"EES_AreaC" setMarkerShapeLocal "ELLIPSE";};
	"EES_AreaC" setMarkerSize [_dimAreaC/2, _dimAreaC/2];
	_TempSpawn = 0.2;
	sleep 0.1;
	openMap true;
	mapclick = true;

	hint parseText format ["
		Used civilians: %1<br />
		Area type and size: %2, %3<br />
		Civilians on the street: %4<br />
		Civilians in buildings: %5<br />
		Click on the location on the map to create the spawning area.<br />
		Square/circle in size (side/diameter) of %3 m.<br />
		BEFORE SELECTING A NEW AREA WAIT A MINIMUM OF %6 SEC !<br />
		Wait for the marker to disappear from the map.
		",txtCivESS, if (_formAc == 0) then {"square";} else {"circle";},_dimAreaC,_numCIV,_CIVinBuild, (_TempSpawn * _numCIV * 6) + _TempSpawn * _CIVinBuild];	
			
	onMapSingleClick """EES_AreaC"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	"EES_AreaC" setMarkerColorLocal "colorCivilian";
	sleep 1;
	openMap false;
	
	createMarkerLocal ["p1c",[0,0,0]];
	createMarkerLocal ["p2c",[0,0,0]];
	createMarkerLocal ["p3c",[0,0,0]];
	createMarkerLocal ["p4c",[0,0,0]];
	createMarkerLocal ["p5c",[0,0,0]];
	createMarkerLocal ["pC",[0,0,0]];

	for "_i" from 1 to _numCIV do {
		_p1c = ["EES_AreaC"] call SHK_posESS;
		"p1c" setMarkerPosLocal _p1c;
		
		sleep _TempSpawn;
		_p2c = ["EES_AreaC"] call SHK_posESS;
		"p2c" setMarkerPosLocal _p2c;
		
		sleep _TempSpawn;
		_p3c = ["EES_AreaC"] call SHK_posESS;
		"p3c" setMarkerPosLocal _p3c;
		
		sleep _TempSpawn;
		_p4c = ["EES_AreaC"] call SHK_posESS;
		"p4c" setMarkerPosLocal _p4c;
		
		sleep _TempSpawn;
		_p5c = ["EES_AreaC"] call SHK_posESS;
		"p5c" setMarkerPosLocal _p5c;
		
		null = [EnCarCiv,0,[selectRandom (ListCivilian select _factCiv)],["p1c","p2c","p3c","p4c","p5c"],civilian] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_patrol.sqf";
	};

	for "_i" from 1 to _CIVinBuild do {
		sleep _TempSpawn;
		_pC = ["EES_AreaC"] call SHK_posESS;
		"pC" setMarkerPosLocal _pC;
		grpCC = createGroup [civilian, true];
		_UnCC = grpCC createUnit [selectRandom (ListCivilian select _factCiv), getMarkerPos "pC", [], 0, "FORM"];
		0 = [getMarkerPos "pC", units grpCC, 50,false,false,true,false] execVM "EGX_system\functions\ESS\Zen_OccupyHouse.sqf";
	};

	deleteMarkerLocal "p1c";
	deleteMarkerLocal "p2c";
	deleteMarkerLocal "p3c";
	deleteMarkerLocal "p4c";
	deleteMarkerLocal "p5c";
	deleteMarkerLocal "pC";
	deleteMarkerLocal "EES_AreaC";

};