/*
	EGX system - by Enigx
	
	FlagsTeleport.sqf	

*/

[] spawn {

	private _dialogValues = ["Create teleport flags",[
				["SLIDER","Number of teleport flags",[2,4,0],2],
				["EDITBOX","Name of flag 1",[],""],
				["EDITBOX","Name of flag 2",[],""],
				["EDITBOX","Name of flag 3 (if selected)",[],""],
				["EDITBOX","Name of flag 4 (if selected)",[],""],
				["CHECKBOX","Create map markers on their location",[],true]
		]] call CDS_fnc_createDialog;
	if (_dialogValues isEqualTo []) exitWith {};
	_dialogValues params ["_Nflags","_textFlag1","_textFlag2","_textFlag3","_textFlag4","_showFlagmkr"];

	null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY

	_arrayColors = ["ColorBlue","ColorRed","ColorGreen","ColorWhite"];

	_Flag1 = createMarker ["Flag1",[0,0,0]];
	_Flag2 = createMarker ["Flag2",[0,0,0]];
	_Flag3 = createMarker ["Flag3",[0,0,0]];
	_Flag4 = createMarker ["Flag4",[0,0,0]];
	_arrayFlagmkr = ["Flag1","Flag2","Flag3","Flag4"];
	
	arrayFlags = [];
	_arrayTextFlag = [_textFlag1,_textFlag2,_textFlag3,_textFlag4];
	_arrFlagClass = ["Flag_Blue_F","Flag_Red_F","Flag_Green_F","Flag_White_F"];
	
	sleep 0.1;

	for "_i" from 0 to (_Nflags-1) do
	{
		ff = _arrayFlagmkr select _i;
		openMap true;
		mapclick = true;
		hint format["Click on the position of flag n %1",_i+1];
		onMapSingleClick {ff setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;};
		waitUntil {!mapClick};
	
		(_arrayFlagmkr select _i) setMarkerType "hd_flag";
		(_arrayFlagmkr select _i) setMarkerText (_arrayTextFlag select _i);
		(_arrayFlagmkr select _i) setMarkerColor (_arrayColors select _i);
	
		_flg = createVehicle [_arrFlagClass select _i, getMarkerPos (_arrayFlagmkr select _i)];
		arrayFlags pushback _flg;
	
	};
	
	sleep 1;
	openMap false;

		_actionCode = {
		params ["_actionObject","_actionCaller","_actionID","_teleportTarget"];
		_actionCaller setPos getPos _teleportTarget;
	};

	{
		_currentFlag = _x;
		{
			_targetFlag = _x;
			if (_targetFlag != _currentFlag) then {
				[_currentFlag, [_arrayTextFlag # _forEachIndex, _actionCode, _targetFlag]] remoteExec ["addAction",0,false];
			};
		} forEach arrayFlags;
	} forEach arrayFlags;
	
	_markRndFl = [];
	if (_showFlagmkr) then {
		for "_i" from 0 to (_Nflags-1) do
			{
			_FlgRnd = str(_arrayFlagmkr select _i) + (str getMarkerPos (_arrayFlagmkr select _i));	
			createMarker [_FlgRnd,getMarkerPos (_arrayFlagmkr select _i)];
			_FlgRnd setMarkerType "hd_flag";
			_FlgRnd setMarkerText (_arrayTextFlag select _i);
			_FlgRnd setMarkerColor (_arrayColors select _i);
			_markRndFl pushback _FlgRnd;	
			};
	};

	if (!_showFlagmkr) then {
		for "_i" from 0 to (_Nflags-1) do
			{
			deleteMarker (_arrayFlagmkr select _i);
			};	
	};
};