/*
	EGX system - by Enigx
	
	PlaceMines.sqf
	
	lo script crea un campo minato su di un'area cliccabile in mappa
	
	Lo script chiama lo script 
			null = ["marker_center",radius,"mine_class_name",numer_mines,detect_markers,debug_on] execVM "alias_mines.sqf";
	con:
	marker_center	- marker placed on map designating center of the minefield
	radius 			- number, radius of the minefield
	mine_class_name	- mine's classname you want to use in mine field
	numer_mines		- integer, number of mines you want to place
	detect_markers	- boolean, true if you want the script to search for markers where to place mines in the designated area, if false the script will place mines randomly in the designated area
					  **** the markers you place in editor must be of type Empty for the script to work
	debug_on		- boolean, if on dots will be placed on map at mines' location

	== Vanilla self triggered mines, IEDs classname
	"APERSMine"
	"APERSBoundingMine"
	"APERSTripMine"
	"ATMine"
	"SLAMDirectionalMine"
	"Underwatermine" // non inclusa nello script
	"UnderwatermineAB" // non inclusa nello script
	
	==== implemented a simple workaround in the script to make IEDs selftriggered as well without further scripting
	"IEDLandBig_F"
	"IEDUrbanBig_F"
	"IEDUrbanSmall_F"
	"IEDLandSmall_F"	

*/

[] spawn {
		private _dialogValues = ["Create a minefield",[
				["SLIDER","Radius of the minefield in meters",[10,400,0],100],
  			["SLIDER","Number of mines to be placed",[1,50,0],20],
  			["COMBOBOX","Type of mine",[
 					"Classic anti-personnel mine (APERSMine)",
					"Anti-personnel mine with mid-air detonation (APERSBoundingMine)",
					"Anti-personnel mine flush (APERSTripMine)",
					"Anti-tank mine (ATMine)",
					"Mina SLAM light vehicles (SLAMDirectionalMine)",
					"IED (Improvised Explosive Device)"
				],0],
				["CHECKBOX","Show mined area on map",[],false]  		
  		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_dimAreaCM","_numMin","_typMin","_ShowMin"];

		_objMin = "";

		switch (_typMin) do {
    	case 0: { _objMin = "APERSMine";};
			case 1: { _objMin = "APERSBoundingMine";};
			case 2: { _objMin = "APERSTripMine";};
			case 3: { _objMin = "ATMine";};
			case 4: { _objMin = "SLAMDirectionalMine";};
			case 5: {	_objMin = selectRandom["IEDLandBig_F","IEDUrbanBig_F","IEDUrbanSmall_F","IEDLandSmall_F"];};
		};		

		createMarker ["AreaMin",[0,0,0]];
		"AreaMin" setMarkerShape "ELLIPSE";
		"AreaMin" setMarkerSize [_dimAreaCM, _dimAreaCM];

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the location on the map where to place the minefield";
		onMapSingleClick """AreaMin"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		
		if (_ShowMin) then {
		_markRandC = "AreaMin" + (str getMarkerPos "AreaMin");
		createMarker [_markRandC,getMarkerPos "AreaMin"];
		_markRandC setMarkerColor "ColorBlack";
		_markRandC setMarkerBrush "Cross";
		};

		[["AreaMin",_dimAreaCM,_objMin,_numMin,false,false], "EGX_system\functions\AL_mines\alias_mines.sqf"] remoteExec ["execVM",2,false];
		hint "Campo minato creato";

		sleep 3;
		if (!_ShowMin) then {deleteMarker "AreaMin";};
	
};