/*
	EGX system - by Enigx
	
	Spawn_Enemy_ArmedCar.sqf
		
*/

[] spawn {

    private _dialogValues = ["Enemy Attack armored car",[
        ["COMBOBOX","Choose the enemy faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
        	"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
        ["CHECKBOX","The selected faction is Independent",[],false],
        ["COMBOBOX","Tipo di veicolo da usare",[
        	"Tecnica armata",
        	"Blindato"        	
        	],0]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_factArmcar","_sideInd","_typeCar"];
   
    private ["_sidefact","_ArmCarCls"]; 

	if _sideInd then {_sidefact = independent;} else {_sidefact = east};
        
   txtFacArmC = "";
	
		switch (_factArmcar) do {
				case 0: { txtFacArmC = FazioneUser1;};
				case 1: { txtFacArmC = "CSAT Vanilla";};
				case 2: { txtFacArmC = "Islamic State - Project OPFOR";};
				case 3: { txtFacArmC = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacArmC = "Russian Federation RHS-AFR";};
				case 5: { txtFacArmC = "Russian Federation CUP";};
				case 6: { txtFacArmC = "African Militia - Project OPFOR";};
				case 7: { txtFacArmC = "Vietcong - Unsung";};
				case 8: { txtFacArmC = "CUP Takistan Militia";};
				case 9: { txtFacArmC = "CUP Takistan Army";};
				case 10: { txtFacArmC = "Boko Haram - Project OPFOR";};
				case 11: { txtFacArmC = FazioneUser12;};
		};

		if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _factArmcar) # 0) # 0)))) exitWith 
		{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacArmC];};
		
		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		

		createMarkerLocal ["StartEnWay",[0,0,0]];		
		"StartEnWay" setMarkerTypeLocal "hd_start";		
		createMarkerLocal ["En_way2",[0,0,0]];
		"En_way2" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["En_way3",[0,0,0]];
		"En_way3" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["En_way4",[0,0,0]];
		"En_way4" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["EndEnWay",[0,0,0]];
		"EndEnWay" setMarkerTypeLocal "hd_objective";
		"EndEnWay" setMarkerColorLocal "ColorRed";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set the route (5 waypoints)\nClick on the starting position of the enemies (spawn) 1/5";
		onMapSingleClick """StartEnWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on waypoint point 2/5";
		onMapSingleClick """En_way2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on waypoint point 3/5";
		onMapSingleClick """En_way3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on waypoint point 4/5";
		onMapSingleClick """En_way4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on final arrival position 5/5";
		onMapSingleClick """EndEnWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		
		_MkrMvArray = [getMarkerPos "StartEnWay",getMarkerPos "En_way2",getMarkerPos "En_way3",getMarkerPos "En_way4",getMarkerPos "EndEnWay"];
		_mkrMvArrayCount = (count _MkrMvArray) - 1;

		if (_typeCar == 0) then {
			_ArmCarCls = EnCarArmed select _factArmcar;			
			} else {
			_ArmCarCls = EnCarHeavy select _factArmcar;
		};
		
		_carEnem = createVehicle [_ArmCarCls, _MkrMvArray select 0];

		grpAICar = createGroup [_sidefact, true];
		_dvr = grpAICar createUnit [((ListEnemyUnit select _factArmcar) select 1) select 0, _MkrMvArray select 0, [], 0, "FORM"];
		_gnr = grpAICar createUnit [((ListEnemyUnit select _factArmcar) select 1) select 1, _MkrMvArray select 0, [], 0, "FORM"];
		[_dvr,_gnr] join grpAICar;
		//_dvr moveincargo _carEnem;
		//_gnr moveincargo _carEnem;
		_dvr moveInDriver _carEnem;
		_gnr moveInGunner _carEnem;

		_objPosC = createVehicle ["Land_PenBlack_F", _MkrMvArray select 0];
		_objDirC = createVehicle ["Land_PenBlack_F", _MkrMvArray select 1];
		_gradiDirC = _objPosC getDir _objDirC;
		_carEnem setDir _gradiDirC;
		deleteVehicle _objPosC;
		deleteVehicle _objDirC;
		
		EnGrpcar = group _carEnem;
		
		for "_k" from 1 to _mkrMvArrayCount do
		{
			_wp = EnGrpcar addWaypoint [_MkrMvArray select _k, 0];
			_wp setWaypointType "MOVE";
			_wp setWaypointBehaviour "AWARE";
			_wp setWaypointCombatMode "YELLOW";
			_wp setWaypointSpeed "NORMAL";
		};
		
		hint format["Armed vehicle created on assigned waypoints of faction %1", txtFacArmC];
		
		sleep 2;

		deleteMarkerLocal "StartEnWay";
		deleteMarkerLocal "En_way2";
		deleteMarkerLocal "En_way3";
		deleteMarkerLocal "En_way4";
		deleteMarkerLocal "EndEnWay";
		
};