/*
	EGX system - by Enigx
	
	Spawn_Enemy_Boat.sqf

*/

[] spawn {
	
	// *********** USER PARAMETERS **********
	_BoatArmored = "O_Boat_Armed_01_hmg_F";		// armed boat ====== MODIFY IF NECESSARY
	_BoatSimple = "O_G_Boat_Transport_01_F";	// simple boat (landing dinghy) ====== CHANGE IF NECESSARY
	// ***********	

	private ["_BoatClass"];

  private _dialogValues = ["Enemy ship attack",[
       ["COMBOBOX","Choose the enemy faction to use",[
       	FazioneUser1,
       	"CSAT Vanilla",
       	"Islamic State - Project OPFOR",
       	"Middle Eastern Militia - Project OPFOR",
       	"Russian Federation RHS-AFR",
       	"Russian Federation CUP",
       	"African Militia - Project OPFOR",
       	"Vietcong - Unsung",
       	"CUP Takistan Militia",
       	"CUP Takistan Army",
       	"Boko Haram - Project OPFOR",
       	FazioneUser12
       	],0],
       ["CHECKBOX","The selected faction is Independent",[],false],
       ["COMBOBOX","Type of vehicle to use",[
       	"Armed boat",
       	"Simple landing inflatable boat"
       	],0]
   ]] call CDS_fnc_createDialog;
   if (_dialogValues isEqualTo []) exitWith {};
   _dialogValues params ["_factEnBoat","_sideInd","_typeBoat"];
  
   private ["_sidefact","_BoatClass"]; 

	if _sideInd then {_sidefact = independent;} else {_sidefact = east};
       
  txtFacArmBt = "";

	switch (_factEnBoat) do {
			case 0: { txtFacArmBt = FazioneUser1;};
			case 1: { txtFacArmBt = "CSAT Vanilla";};
			case 2: { txtFacArmBt = "Islamic State - Project OPFOR";};
			case 3: { txtFacArmBt = "Middle Eastern Militia - Project OPFOR";};
			case 4: { txtFacArmBt = "Russian Federation RHS-AFR";};
			case 5: { txtFacArmBt = "Russian Federation CUP";};
			case 6: { txtFacArmBt = "African Militia - Project OPFOR";};
			case 7: { txtFacArmBt = "Vietcong - Unsung";};
			case 8: { txtFacArmBt = "CUP Takistan Militia";};
			case 9: { txtFacArmBt = "CUP Takistan Army";};
			case 10: { txtFacArmBt = "Boko Haram - Project OPFOR";};
			case 11: { txtFacArmBt = FazioneUser12;};
	};

	if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _factEnBoat) # 0) # 0)))) exitWith 
	{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacArmBt];};
	
	null = [10,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY	
	// Creo i marker per il map-click.
	createMarkerLocal ["StartEnWayB",[0,0,0]];
	"StartEnWayB" setMarkerTypeLocal "hd_start";	
	createMarkerLocal ["En_way2B",[0,0,0]];
	"En_way2B" setMarkerTypeLocal "hd_objective";	
	createMarkerLocal ["En_way3B",[0,0,0]];
	"En_way3B" setMarkerTypeLocal "hd_objective";	
	createMarkerLocal ["En_way4B",[0,0,0]];
	"En_way4B" setMarkerTypeLocal "hd_objective";	
	createMarkerLocal ["EndEnWayB",[0,0,0]];
	"EndEnWayB" setMarkerTypeLocal "hd_objective";
	"EndEnWayB" setMarkerColorLocal "ColorRed";

	sleep 0.1;
	openMap true;
	mapclick = true;
	hint "Set the route (5 waypoints)\nClick on the starting position of the enemies (spawn) 1/5";
	onMapSingleClick """StartEnWayB"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 0.2;

	mapclick = true;
	hint "Click on waypoint point 2/5";
	onMapSingleClick """En_way2B"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 0.2;

	mapclick = true;
	hint "Click on waypoint point 3/5";
	onMapSingleClick """En_way3B"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 0.2;

	mapclick = true;
	hint "Clicca sul punto di waypoint 4/5";
	onMapSingleClick """En_way4B"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 0.2;

	mapclick = true;
	hint "Click on final arrival position 5/5";
	onMapSingleClick """EndEnWayB"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	sleep 1;
	openMap false;
	
	_MkrMvArray = [getMarkerPos "StartEnWayB",getMarkerPos "En_way2B",getMarkerPos "En_way3B",getMarkerPos "En_way4B",getMarkerPos "EndEnWayB"];
	_mkrMvArrayCount = (count _MkrMvArray) - 1;

	if (_typeBoat == 0) then {
		_BoatClass = _BoatArmored;			
		} else {
		_BoatClass = _BoatSimple;
	};
			
	_boatEnem = createVehicle [_BoatClass, _MkrMvArray select 0];

	grpAIBoat = createGroup [_sidefact, true];
	_dvr = grpAIBoat createUnit [((ListEnemyUnit select _factEnBoat) select 1) select 0, _MkrMvArray select 0, [], 0, "FORM"];
	_gnr = grpAIBoat createUnit [((ListEnemyUnit select _factEnBoat) select 1) select 1, _MkrMvArray select 0, [], 0, "FORM"];
	[_dvr,_gnr] join grpAIBoat;		
	_dvr moveInDriver _boatEnem;
	if (_typeBoat == 0) then {
	_gnr moveInGunner _boatEnem;
	} else {
	_gnr moveincargo _boatEnem;
	};
	_Un1 = grpAIBoat createUnit [((ListEnemyUnit select _factEnBoat) select 1) select 1, _MkrMvArray select 0, [], 0, "FORM"];
	_Un2 = grpAIBoat createUnit [((ListEnemyUnit select _factEnBoat) select 1) select 1, _MkrMvArray select 0, [], 0, "FORM"];
	[_Un1,_Un2] join grpAIBoat;
	_Un1 moveincargo _boatEnem;
	_Un2 moveincargo _boatEnem;	

	_objPosC = createVehicle ["Land_PenBlack_F", _MkrMvArray select 0];
	_objDirC = createVehicle ["Land_PenBlack_F", _MkrMvArray select 1];
	_gradiDirC = _objPosC getDir _objDirC;
	_boatEnem setDir _gradiDirC;
	deleteVehicle _objPosC;
	deleteVehicle _objDirC;
	
	EnGrpBoat = group _boatEnem;
	
	for "_k" from 1 to _mkrMvArrayCount do
	{
		_wp = EnGrpBoat addWaypoint [_MkrMvArray select _k, 0];
		_wp setWaypointType "MOVE";
		_wp setWaypointBehaviour "AWARE";
		_wp setWaypointCombatMode "YELLOW";
		_wp setWaypointSpeed "FULL";
	};
	
	hint format["Boat created on assigned waypoints of faction %1", txtFacArmBt];
	
	sleep 1;
	deleteMarkerLocal "StartEnWayB";
	deleteMarkerLocal "En_way2B";
	deleteMarkerLocal "En_way3B";
	deleteMarkerLocal "En_way4B";
	deleteMarkerLocal "EndEnWayB";
	
};