/*
	EGX system - by Enigx
	
	SupplyDrop.sqf
		
*/

params [
	["_object", "CargoNet_01_box_F", [""]],
	["_centre", [0, 0, 0], ["", objNull, taskNull, locationNull, [], grpNull], [3]],
	["_height", 100, [0]],
	["_attachTo", [0, 0, -1.2], [[]], [3]]
];

_centre = _centre call {
	if (_this isEqualType objNull) exitWith {getPosASL _this};
	if (_this isEqualType grpNull) exitWith {getPosASL (leader _this)};
	if (_this isEqualType "") exitWith {getMarkerPos _this};
	if (_this isEqualType locationNull) exitWith {locationPosition _this};
	if (_this isEqualType taskNull) exitWith {taskDestination  _this};
	if (_this isEqualType []) exitWith {_this};
	[0, 0, 0]
};

if (!(isClass (configfile >> "cfgVehicles" >> _object)) || _centre isEqualTo [0, 0, 0]) exitWith {
	objNull
};

private _obj = createVehicle [_object, _centre vectorAdd [0, 0, _height], [], 0, "NONE"];
private _para = createVehicle ["B_parachute_02_F", [0,0,0], [], 0, "FLY"];

_para setDir getDir _obj;
_para setPos getPos _obj;
_obj lock false;
_obj attachTo [_para, _attachTo];

[_obj, _para] spawn {
	params ["_obj","_para"];
		
	waitUntil {
		sleep 0.01;
		((position _obj) select 2) < 2 
		|| 
		isNull _para 
		|| 
		(count (lineIntersectsWith [getPosASL _obj, (getPosASL _obj) vectorAdd [0, 0, -0.5], _obj, _para])) > 0
	};
		
	_para disableCollisionWith _obj;
	_obj setVectorUp [0,0,1];
	_obj setVelocity [0,0,0];
	detach _obj;
		
	if (!isNull _para) then {deleteVehicle _para};

	(format ["Supply box landed in coordinates %1.", mapGridPosition getPosATL _obj]) remoteExec ["systemChat", 0, false]; 
};

_obj;

 
//~~~~~~~~~~~~~~~~~~~Edit Box Contents~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// ====== MODIFY CONTENT IF NECESSARY
clearWeaponCargoGlobal _obj;
clearMagazineCargoGlobal _obj;
clearItemCargoGlobal _obj;
clearBackpackCargoGlobal _obj;

_obj addWeaponCargoGlobal ["rhs_weap_M136_hedp",10];
_obj addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 100];
_obj addMagazineCargoGlobal ["rhsusf_200Rnd_556x45_box", 30];
_obj addMagazineCargoGlobal ["rhs_mag_20Rnd_SCAR_762x51_m80_ball", 30];

_obj addMagazineCargoGlobal ["rhs_mag_M441_HE", 40];
_obj addMagazineCargoGlobal ["rhs_mag_an_m8hc", 60];
_obj addMagazineCargoGlobal ["SmokeShellGreen", 30];
_obj addMagazineCargoGlobal ["SmokeShellPurple", 30];
_obj addMagazineCargoGlobal ["rhs_mag_m714_White", 30];
_obj addMagazineCargoGlobal ["rhs_mag_m67", 50];


_obj addItemCargoGlobal ["ACE_epinephrine", 30];
_obj addItemCargoGlobal ["ACE_morphine", 30];
_obj addItemCargoGlobal ["ACE_adenosine", 30];
_obj addItemCargoGlobal ["ACE_packingBandage", 80];
_obj addItemCargoGlobal ["ACE_elasticBandage", 80];
_obj addItemCargoGlobal ["ACE_salineIV_250", 30];
_obj addItemCargoGlobal ["ACE_salineIV", 30];
_obj addItemCargoGlobal ["ACE_salineIV_500", 30];
_obj addItemCargoGlobal ["ACE_tourniquet", 20];
