/*
	EGX system - EGX Players Transport - by Enigx
	
	Call_Transport_players.sqf
	
*/

[] spawn {				
		if (orderGoVehTrasp == 1) exitWith {
		hint "Transport vehicle is already on a mission. \nWait for it to finish before calling it again.\nOr reset the call running the Order Transport GO command."};
					
		orderGoVehTrasp = 1;
		publicVariable "orderGoVehTrasp";
		
		private ["_VehClass","_vehFly","_BasePointMkr","_EndPosMark","_MkrVehArray","_MkrVehArrayCount","_wpT","_wpTback","_heliPadVehEnd","_textarray","_cont","_StartPos"];			

		private _dialogValues = ["EGX Players Transport",[
			["COMBOBOX","Transport vehicle",[
					"Hunvee RHS (3 s.)",
					"UH-60M RHS (10 s.)",
					"Chinock RHS CH-47(22 s.)",
					"M-RAP Hunter vanilla (3 s.)",
					"Ghost Hawk UH-80 vanilla (8 s.)",
					"Chinock CUP CH-47(22 s.)",
					"Little bird vanilla (6 s.)"
					],0],
			["SLIDER","Number of intermediate waypoints",[0,8,0],3],	
			["CHECKBOX","Define a new Base Point",[],false]  		
		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {orderGoVehTrasp = 0;publicVariable "orderGoVehTrasp";};		
		_dialogValues params ["_VhTyp","_numWyp","_pBase"];		
		
		if (!_pBase and (getMarkerColor "BasePoint" == "")) exitWith {
			hint "The marker of the Base point has not been defined on map by editor. \nStart again the call selecting the option to define a new Base point.";
			orderGoVehTrasp = 0; publicVariable "orderGoVehTrasp";};
		
		switch (_VhTyp) do {
				case 0: { _VehClass = "rhsusf_m1043_d_m2";_vehFly = false;};
				case 1: { _VehClass = "RHS_UH60M_d";_vehFly = true;};
				case 2: { _VehClass = "RHS_CH_47F_10";_vehFly = true;};
				case 3: { _VehClass = "B_MRAP_01_F";_vehFly = false;};
				case 4: { _VehClass = "B_Heli_Transport_01_F";_vehFly = true;};
				case 5: { _VehClass = "CUP_B_CH47F_USA";_vehFly = true;};
				case 6: { _VehClass = "B_Heli_Light_01_F";_vehFly = true;};						
			};
				
		if (!(isClass (configFile >> "cfgVehicles" >> (_VehClass)))) exitWith {hint format["The requested mod for vehicle was not loaded. \nUse the vanilla vehicles."];
		orderGoVehTrasp = 0;publicVariable "orderGoVehTrasp";};

		createMarkerLocal ["wypMark1",[0,0,0]];
		createMarkerLocal ["wypMark2",[0,0,0]];
		createMarkerLocal ["wypMark3",[0,0,0]];
		createMarkerLocal ["wypMark4",[0,0,0]];
		createMarkerLocal ["wypMark5",[0,0,0]];
		createMarkerLocal ["wypMark6",[0,0,0]];
		createMarkerLocal ["wypMark7",[0,0,0]];
		createMarkerLocal ["wypMark8",[0,0,0]];		

		private _MkrsNameArray = ["wypMark1","wypMark2","wypMark3","wypMark4","wypMark5","wypMark6","wypMark7","wypMark8"];
		_MkrVehArray = [];		
		_cont = 0;
		sleep 0.1;
		openMap true;
		if _pBase then {
			createMarker ["BasePointNew",[0,0,0]];			
			mapclick = true;
			hint "Click on the STARTING POSITION of the transport vehicle";
			onMapSingleClick """BasePointNew"" setMarkerPos _pos;mapclick = false;
			onMapSingleClick ''; true;";
			waitUntil {!mapClick};
			"BasePointNew" setMarkerType "mil_start";
			"BasePointNew" setMarkerColor "ColorBlue";			
			_centre = getMarkerPos "BasePointNew";
			_StartPos = [];
			_max_distance = 100;					
			while{ (count _StartPos < 1) } do
			{
				_StartPos = _centre findEmptyPosition[10, _max_distance, _VehClass];
				_max_distance = _max_distance + 10;
				_cont = _cont + 1;
				if (_cont == 10) exitwith {};	 
			};
			if (_cont == 10) exitwith {};	
			"BasePointNew" setMarkerPosLocal _StartPos;												
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe zone found close to selected position for the new Base point.</t>"];
			_BasePointMkr = getMarkerPos "BasePointNew";								
			} else {
			_BasePointMkr = getMarkerPos "BasePoint";
			};		
		
		if (_pBase and (_cont == 10)) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe Base Point not found! Please try again choosing a new position.</t>"];
			deleteMarker "BasePointNew";
			for "_i" from 0 to (_numWyp-1) do {deleteMarkerLocal (_MkrsNameArray select _i);};		
			orderGoVehTrasp = 0;
			publicVariable "orderGoVehTrasp";			
		};			
		
		_MkrVehArray pushBack _BasePointMkr;
		sleep 2;
			
		for "_i" from 0 to (_numWyp-1) do {
				mapclick = true;
				hint format["Clicca sul punto di rotta intermedio %1/%2",_i+1,_numWyp];
				ff = _MkrsNameArray select _i;				
				onMapSingleClick {ff setMarkerPos _pos;mapclick = false;
				onMapSingleClick ''; true;};				
				waitUntil {!mapClick};
				(_MkrsNameArray select _i) setMarkerTypeLocal "mil_objective";				
				_MkrVehArray pushBack (getMarkerPos (_MkrsNameArray select _i));
				sleep 0.2;
		};

		createMarker ["EndPosMark",[0,0,0]];		
		mapclick = true;
		hint "Click on ARRIVAL POSITION of the transport vehicle";
		onMapSingleClick """EndPosMark"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		"EndPosMark" setMarkerType "mil_end";
		"EndPosMark" setMarkerColor "ColorBlue";
		_EndPosMark = getMarkerPos "EndPosMark";
		_MkrVehArray pushBack _EndPosMark;
		sleep 1;
		openMap false;
		
		_MkrVehArrayCount = (count _MkrVehArray) - 1;
		_cont = 0;
		if (_vehFly) then {			
			_centre = _MkrVehArray select _MkrVehArrayCount;
			_Landpos = [];
			_max_distance = 100;		
			while{ (count _Landpos < 1) } do
			{
				_Landpos = _centre findEmptyPosition[10, _max_distance, _VehClass];
				_max_distance = _max_distance + 10;
				_cont = _cont + 1;
				if (_cont == 10) exitwith {};	 
			};
			if (_cont == 10) exitwith {};		
			"EndPosMark" setMarkerPosLocal _Landpos;
			_MkrVehArray set [_MkrVehArrayCount, _Landpos];
			_EndPosMark = _Landpos;
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe landing zone found close to selected position.</t>"];			
		};
		if (_cont == 10) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe landing zone not found! Please try again by specifying a new position.</t>"];
			deleteMarker "EndPosMark";
			for "_i" from 0 to (_numWyp-1) do {deleteMarkerLocal (_MkrsNameArray select _i);};			
			if _pBase then {deleteMarker "BasePointNew";};
			orderGoVehTrasp = 0; 
			publicVariable "orderGoVehTrasp";			
			};

		if (_vehFly) then {
		_heliPadVehEnd = createVehicle ["Land_HelipadEmpty_F", _EndPosMark];
		};			
		_VehObj = createVehicle [_VehClass, _MkrVehArray select 0, [], 0, "FORM"];
		_VehObj allowdamage false; 								// ====== MODIFY IF NECESSARY
		createVehicleCrew _VehObj;
		{_x setSkill 1;} forEach (crew _VehObj);

		_objPosC = createVehicle ["Land_PenBlack_F", _MkrVehArray select 0];
		_objDirC = createVehicle ["Land_PenBlack_F", _MkrVehArray select 1];
		_gradiDirC = _objPosC getDir _objDirC;
		_VehObj setDir _gradiDirC;
		deleteVehicle _objPosC;
		deleteVehicle _objDirC;		

		waitUntil {orderGoVehTrasp == 0};

		_vehGrp = group _VehObj;
		for "_i" from 1 to _MkrVehArrayCount do
		{
			_wpT = _vehGrp addWaypoint [_MkrVehArray select _i, 0];
			_wpT setWaypointType "MOVE";
			_wpT setWaypointBehaviour "CARELESS";
			_wpT setWaypointCombatMode "GREEN";
			_wpT setWaypointSpeed "NORMAL";
		};
		
		if (_vehFly) then {
			_wpT setWaypointStatements ["true", "(vehicle this) land 'GET IN'"];
			waituntil {getposatl _VehObj distance _EndPosMark < 250};
			createVehicle ["SmokeShell", _EndPosMark,[], 0,"NONE"];		
			waitUntil {(getPosATL _VehObj) select 2 > 20};
			waitUntil {isTouchingGround _VehObj};
		} else {
			waitUntil { (currentWaypoint (_wpT select 0)) > (_wpT select 1) };					
		};
		
		sleep 3;
		{if (vehicle _x == _VehObj) then {moveOut _x};} forEach allPlayers;
		waitUntil {{!(vehicle _x == _VehObj);} forEach allPlayers};			
		
		sleep 5;		
		_txt1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Pvt. Collins: ""Command from transport vehicle. Operators transported to operational area. Let's go back to Base. Out."""];
		_txt2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Lt. Pavel: ""Here transport vehicle Hotel one. Squads on position. Let's go back to Base. Out."""];
		_txt3 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>",
		"Ten. Russel: ""Command from trasport. Delivery carried out. Out."""];
		_textarray = [_txt1,_txt2,_txt3];		
		[parseText (selectRandom _textarray)] remoteExec ["hint",0,false];
		
		reverse _MkrVehArray;
				
		for "_i" from 1 to _MkrVehArrayCount do
		{
			_wpTback = _vehGrp addWaypoint [_MkrVehArray select _i, 0];
			_wpTback setWaypointType "MOVE";
			_wpTback setWaypointBehaviour "CARELESS";
			_wpTback setWaypointCombatMode "GREEN";
			_wpTback setWaypointSpeed "NORMAL";
		};
		_wpTback setWaypointStatements ["true", "trasp_veh = vehicle leader this; { deleteVehicle _x } forEach crew trasp_veh + [trasp_veh]"];	
			
		deleteMarker "EndPosMark";
		for "_i" from 0 to (_numWyp-1) do {deleteMarkerLocal (_MkrsNameArray select _i);};					
		if _pBase then {deleteMarker "BasePointNew";};		
		if (_vehFly) then {deleteVehicle _heliPadVehEnd;};
		
		waitUntil {!alive _VehObj};
		hint "Call of a new transport vehicle ready!";	
		
};						