/*
	EGX system - EGX Players Transport - by Enigx
	
	Call_Transport_players_MkrOnMap.sqf	

*/

[] spawn {
				
		if (orderGoVehTrasp == 1) exitWith {
			hint "Transport vehicle is already on a mission. \nWait for it to finish before calling it again.\nOr reset the call running the Order Transport GO command."};
					
		orderGoVehTrasp = 1;
		publicVariable "orderGoVehTrasp";
		
		private ["_VehClass","_vehFly","_EndPointNew","_MkrVehArray","_MkrVehArrayCount","_wpT","_wpTback","_heliPadVehEnd","_textarray"];			

		private _dialogValues = ["EGX Players Transport",[
			["COMBOBOX","Transport vehicle",[
					"Hunvee RHS (3 s.)",
					"UH-60M RHS (10 s.)",
					"Chinock RHS CH-47(22 s.)",
					"M-RAP Hunter vanilla (3 s.)",
					"Ghost Hawk UH-80 vanilla (8 s.)",
					"Chinock CUP CH-47(22 s.)",
					"Little bird vanilla (6 s.)"
					],0],				
			["CHECKBOX","Add new end point",[],false]  		
		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {orderGoVehTrasp = 0;publicVariable "orderGoVehTrasp";};		
		_dialogValues params ["_VhTyp","_pEnd"];

		if (getMarkerColor "BasePoint" == "") exitWith {
			hint "The marker of the Base point has not been defined by the editor. \nRather, start the other module with dynamic selection of the points in the map.";
			orderGoVehTrasp = 0; publicVariable "orderGoVehTrasp";};

		if (getMarkerColor "EndPoint" == "") exitWith {
			hint "End point marker has not been defined by editor.\nRather, start the other module with dynamic selection of the points in the map.";
			orderGoVehTrasp = 0; publicVariable "orderGoVehTrasp";};
		
		switch (_VhTyp) do {
				case 0: { _VehClass = "rhsusf_m1043_d_m2";_vehFly = false;};
				case 1: { _VehClass = "RHS_UH60M_d";_vehFly = true;};
				case 2: { _VehClass = "RHS_CH_47F_10";_vehFly = true;};
				case 3: { _VehClass = "B_MRAP_01_F";_vehFly = false;};
				case 4: { _VehClass = "B_Heli_Transport_01_F";_vehFly = true;};
				case 5: { _VehClass = "CUP_B_CH47F_USA";_vehFly = true;};
				case 6: { _VehClass = "B_Heli_Light_01_F";_vehFly = true;};						
			};
				
		if (!(isClass (configFile >> "cfgVehicles" >> (_VehClass)))) exitWith {hint format["The requested mod for vehicle was not loaded. \nUse the vanilla vehicles."];
		orderGoMedObj = 0;publicVariable "orderGoMedObj";};

		_MkrVehArray = [];	
		_MkrVehArray pushBack (getMarkerPos "BasePoint");
		sleep 0.2;
		
		for "_i" from 0 to (19) do {
			_WpyIn = "WPT_" + str(_i);
			if !(getMarkerColor _WpyIn == "") then {
				_MkrVehArray pushBack (getMarkerPos _WpyIn);			
			};
		};

		_MkrVehArray pushBack (getMarkerPos "EndPoint");
		sleep 0.2;

		if _pEnd then {
			sleep 0.1;
			openMap true;			
			createMarkerLocal ["EndPointNew",[0,0,0]];		
			mapclick = true;
			hint "Click on the ADDITIONAL ARRIVAL POSITION of the transport vehicle";
			onMapSingleClick """EndPointNew"" setMarkerPosLocal _pos;mapclick = false;
			onMapSingleClick ''; true;";
			waitUntil {!mapClick};
			"EndPointNew" setMarkerTypeLocal "mil_end";
			"EndPointNew" setMarkerColorLocal "ColorBlue";
			_EndPointNew = getMarkerPos "EndPointNew";
			_MkrVehArray pushBack _EndPointNew;
			sleep 1;
			openMap false;
		};
				
		_MkrVehArrayCount = (count _MkrVehArray) - 1;

		if (_vehFly) then {
		_heliPadVehEnd = createVehicle ["Land_HelipadEmpty_F", _MkrVehArray select _MkrVehArrayCount];
		};		

		_VehObj = createVehicle [_VehClass, _MkrVehArray select 0, [], 0, "FORM"];
		_VehObj allowdamage false; 								// ====== MODIFY IF NECESSARY
		createVehicleCrew _VehObj;
		{_x setSkill 1;} forEach (crew _VehObj);
		
		// direziono il mezzo 	
		_objPosC = createVehicle ["Land_PenBlack_F", _MkrVehArray select 0];
		_objDirC = createVehicle ["Land_PenBlack_F", _MkrVehArray select 1];
		_gradiDirC = _objPosC getDir _objDirC;
		_VehObj setDir _gradiDirC;
		deleteVehicle _objPosC;
		deleteVehicle _objDirC;		

		waitUntil {orderGoVehTrasp == 0};

		_vehGrp = group _VehObj;
		for "_i" from 1 to _MkrVehArrayCount do
		{
			_wpT = _vehGrp addWaypoint [_MkrVehArray select _i, 0];
			_wpT setWaypointType "MOVE";
			_wpT setWaypointBehaviour "CARELESS";
			_wpT setWaypointCombatMode "GREEN";
			_wpT setWaypointSpeed "NORMAL";
		};
		
		if (_vehFly) then {
			_wpT setWaypointStatements ["true", "(vehicle this) land 'GET IN'"];
			waituntil {getposatl _VehObj distance (_MkrVehArray select _MkrVehArrayCount) < 250};
			createVehicle ["SmokeShell", _MkrVehArray select _MkrVehArrayCount,[], 0,"NONE"];		
			waitUntil {(getPosATL _VehObj) select 2 > 20};
			waitUntil {isTouchingGround _VehObj};
		} else {
			waitUntil { (currentWaypoint (_wpT select 0)) > (_wpT select 1) };					
		};
		
		sleep 3;
		{if (vehicle _x == _VehObj) then {moveOut _x};} forEach allPlayers;
		waitUntil {{!(vehicle _x == _VehObj);} forEach allPlayers};			
		
		sleep 5;		
		_txt1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Pvt. Collins: ""Command from transport vehicle. Operators transported to operational area. Let's go back to Base. Out."""];
		_txt2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Lt. Pavel: ""Here transport vehicle Hotel one. Squads on position. Let's go back to Base. Out."""];
		_txt3 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>",
		"Ten. Russel: ""Command from trasport. Delivery carried out. Out."""];
		_textarray = [_txt1,_txt2,_txt3];		
		[parseText (selectRandom _textarray)] remoteExec ["hint",0,false];
		
		reverse _MkrVehArray;		
				
		for "_i" from 1 to _MkrVehArrayCount do
		{
			_wpTback = _vehGrp addWaypoint [_MkrVehArray select _i, 0];
			_wpTback setWaypointType "MOVE";
			_wpTback setWaypointBehaviour "CARELESS";
			_wpTback setWaypointCombatMode "GREEN";
			_wpTback setWaypointSpeed "NORMAL";
		};
		_wpTback setWaypointStatements ["true", "trasp_veh = vehicle leader this; { deleteVehicle _x } forEach crew trasp_veh + [trasp_veh]"];	

		if _pEnd then {deleteMarkerLocal "EndPointNew";};
		if (_vehFly) then {deleteVehicle _heliPadVehEnd;};
		
		waitUntil {!alive _VehObj};
		hint "Call of a new transport vehicle ready!";			
};						