/*-----------------------------------------------------------------------------------------------//
Authors: Sceptre
Gets or sets a cached value.

Parameters:
0: Dialog Title <STRING>
1: Control text <STRING>
2: Control type <STRING>
3: Control values <ARRAY>
4: Control default value <BOOL,SCALAR,STRING>
5: Return value option <BOOL>

Returns:
Cached value or nothing
//-----------------------------------------------------------------------------------------------*/
params ["_titleText","_ctrlText","_ctrlType","_ctrlValues","_ctrlDefault","_returnValue"];

private "_return";
private _cachedValues = uiNamespace getVariable ["CDS_cachedValues",[]];
private _index = (_cachedValues apply {[_x # 0,_x # 1]}) find [_titleText,_ctrlText];

if (_index != -1 && {(_cachedValues # _index) # 1 == _ctrlType}) then {
	if (_ctrlType == "SLIDER" || _ctrlType == "COMBOBOX") then {
		if ((_cachedValues # _index) # 2 isEqualTo _ctrlValues) then {
			if (_returnValue) then {
				_return = (_cachedValues # _index) # 3;
			} else {
				(_cachedValues select _index) set [3,_ctrlDefault];
				uiNamespace setVariable ["CDS_cachedValues",_cachedValues];
			};
		};
	} else {
		if (_returnValue) then {
			_return = (_cachedValues # _index) # 3;
		} else {
			(_cachedValues select _index) set [3,_ctrlDefault];
			uiNamespace setVariable ["CDS_cachedValues",_cachedValues];
		};
	};
} else {
	if !(_returnValue) then {
		_cachedValues pushBack [_titleText,_ctrlText,_ctrlType,_ctrlValues,_ctrlDefault];
		uiNamespace setVariable ["CDS_cachedValues",_cachedValues];
	};
};

_return
