/*
	EGX System - by Enigx
	
	adminPanel.hpp
	
	The buttons that start the 15 external scripts are those identified with "START" ("RUN THE SCRIPT 1", "RUN THE SCRIPT 2" ...).
	The scripts launched are in the \ScriptEGX\ folder and named as scriptEGX_1.sqf, scriptEGX_2.sqf, scriptEGX_3.sqf ...
	
	By default the button scripts, so the scriptEGXs, are EXECUTED GLOBALLY, so on every connected player's PC!!
	If, for various reasons, you need to run them locally, you MUST CHANGE THE CALL to scriptEGX in this file.
	To do this, simply open this file, go to the desired “start” button and replace the default global call line 
	with the local executable line.

	Example
	If you want to change the START 1 button execution as local:
		1.	Go to the corresponding lines by “search” text editor function. For example by searching for "start". 
			You have these strings
			
				...
				tooltip = "RUN THE SCRIPT 1";
				action = "['Script\scriptEGX_1.sqf', 'BIS_fnc_execVM', true, true] call BIS_fnc_MP; playsound" "click" "; _text1 =" "Script 1 started:" "; hint parseText (_text1 + localize" " STR_script_N_1 ""); ";
				// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
				// action = "execVM 'Script\scriptEGX_1.sqf'; playsound" "click" "; _text1 =" "Script 1 started:" "; hint parseText (_text1 + localize" "STR_script_N_1" ");";
				};
				....

		2.	comment the first string "action" and uncomment the second, so that it is
			
				...
				tooltip = "RUN THE SCRIPT 1";
				// action = "['Script\scriptEGX_1.sqf', 'BIS_fnc_execVM', true, true] call BIS_fnc_MP; playsound" "click" "; _text1 =" "Script 1 started:" "; hint parseText (_text1 + localize "" STR_script_N_1 ""); ";
				// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
				action = "execVM 'Script\scriptEGX_1.sqf'; playsound" "click" "; _text1 =" "Script 1 started:" "; hint parseText (_text1 + localize" "STR_script_N_1" ");";
				};
				....

	In this way, the execution of the button will be LOCAL.
	
	TIP: MAINTAIN A COPY OF THE ORIGINAL adminPanel.hpp (or EGX system) SO TO BE SURE TO HAVE ALWAYS THE DEFAULT SETTING OF THE SYSTEM  
	
	Reasons that may make it necessary to run locally rather than globally are related to the possible presence in the script of functions that have a global effect per se. 
	For example the "createUnit" or "createVehicle" function for the spawn of units and vehicles, can be launched locally and already have global effect, ie for all players. 
	So running them also globally with the button, that by default is on each pc of the connected players, would generate a number of units and vehicles that are 
	exaggeratedly greater than that desired. That is, run on every pc.
	This speech must obviously be evaluated based on the content of your script to be executed.
	A "deleteVehicle", to delete an object for example, which has a global effect anyway, can very well be done globally, so no need to comment/decomment strings.
	
*/


class adminPanel
{
	idd = 3000;
	name = "adminPanel";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;			
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3000;";
		};


		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3000; createDialog 'adminPanel';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3000; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3000;";
		};


		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.782 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 3000; createDialog 'adminPanel';";			
		};		
		
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.805 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 3000; createDialog 'adminPanel';";
		};
		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.807 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 3000; createDialog 'adminPanel_2';";
		};
		
		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.829 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 3000; createDialog 'adminPanel_5';";
		};		
		
		class pagina: RscText_admin
		{
			idc = 1000;

			text = "1/5";  
			x = 0.337 * safezoneW + safezoneX;
			y = 0.89 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.015 * safezoneH;
		};
	
		// ++++++++++++++++++++++++++++++++++++++++++++++++++
		// button 1
		class line_1: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_1;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_1;
		};
	
		class button_line1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 1";
			action = "['ScriptEGX\scriptEGX_1.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click""; _text1 = ""Started the script 1: ""; hint parseText (_text1 + localize ""STR_script_N_1"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_1.sqf'; playsound ""click""; _text1 = ""Started the script 1: ""; hint parseText (_text1 + localize ""STR_script_N_1"");";
		};		
				
		// button 2
		class line_2: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_2;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_2;
		};
					
		class button_line2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 2";
			action = "['ScriptEGX\scriptEGX_2.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 2: ""; hint parseText (_text1 + localize ""STR_script_N_2"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_2.sqf'; playsound ""click""; _text1 = ""Started the script 2: ""; hint parseText (_text1 + localize ""STR_script_N_2"");";
		};
		
		// button  3 
		class line_3: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_3;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_3;
		};
	
		class button_line3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 3";
			action = "['ScriptEGX\scriptEGX_3.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 3: ""; hint parseText (_text1 + localize ""STR_script_N_3"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_3.sqf'; playsound ""click""; _text1 = ""Started the script 3: ""; hint parseText (_text1 + localize ""STR_script_N_3"");";
		};
		
		
		// button  4 
		class line_4: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_4;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_4;
		};
				
				
		class button_line4: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};		
		
		class button_line4_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 4";
			action = "['ScriptEGX\scriptEGX_4.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 4: ""; hint parseText (_text1 + localize ""STR_script_N_4"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_4.sqf'; playsound ""click""; _text1 = ""Started the script 4: ""; hint parseText (_text1 + localize ""STR_script_N_4"");";
		};

		// +++++++++++++++++++++++++++++++++++++
		
		class button_endWin: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\winner.jpg";  
			x = 0.042 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.03 * safezoneH;
		};
		
		class button_endWin_exe: HiddenButton
		{
			idc = 1701;
			x = 0.042 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.03 * safezoneH;
			tooltip = "TERMINATE MISSION ACCOMPLISHED";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\Finale_missione\Call_MissComp.sqf';";
		};
		
		class button_endLose: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\failure.jpg";  
			x = 0.11 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.03 * safezoneH;
		};
		
		class button_endLose_exe: HiddenButton
		{
			idc = 1701;
			x = 0.11 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.03 * safezoneH;
			tooltip = "TERMINATE MISSION FAILED";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\Finale_missione\Call_MissFall.sqf';";
		};

		class AssignAdminPanel_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\admin.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_AssignAdminPanel: HiddenButton
		{
			idc = 1601;
			x = 0.18 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Assign the adminPanel to a player selectable from a list";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\functions\AssignAdminPanelToPlayer.sqf';";
		};

		class AssignAbilToPlr_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\abilit.jpg";
			x = 0.22 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_AssignAbilToPlr: HiddenButton
		{
			idc = 1601;
			x = 0.22 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Assign special skill to a player selectable from a list";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\functions\AssignAbilToPlayer.sqf';";
		};

		class AssignLoadoutToPlr_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Loadout_icon\takeLoadout.jpg";
			x = 0.26 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.0417 * safezoneW;
			h = 0.05 * safezoneH;
		};
		
		class button_AssignLoadoutToPlr: HiddenButton
		{
			idc = 1601;
			x = 0.26 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.0417 * safezoneW;
			h = 0.05 * safezoneH;
			tooltip = "Assign a loadout to a player selectable from a list";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\functions\AssignLoadoutToPlayer.sqf';";
		};

		class vehicleSpawn_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\SpawnVeh.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.7 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_vehicleSpawn: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.7 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Opens menu for vehicles spawing and transport by helicopter";  
			action = "playsound ""click""; closeDialog 3000; createDialog 'VehicleSpawn_home';";
		};
		
		class Estraz_heli_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Estrazione.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_Estraz_heli: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Call a helicopter to a given location for extraction";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\functions\CallExtraction_Heli.sqf';";
		};
		
		class ChopterGo_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\ChopterGo.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.82 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ChopterGo: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.82 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Order a helicopter in which you are on board to go and land at a point on the map";  
			action = "playsound ""click""; closeDialog 3000; execVM 'EGX_system\functions\OrderChopterGO.sqf';";
		};
	};
};

//--------- screen 2 

class adminPanel_2
{
	idd = 3001;
	name = "adminPanel_2";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};

		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3001;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3001; createDialog 'adminPanel';";
		};
		
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3001; createDialog 'adminPanel';";
		};


		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3001;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.782 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 3001; createDialog 'adminPanel';";			
		};		
		
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.805 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 3001; createDialog 'adminPanel';";
		};
		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.807 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 3001; createDialog 'adminPanel_3';";
		};
		
		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.829 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 3001; createDialog 'adminPanel_5';";
		};		

		class pagina: RscText_admin
		{
			idc = 1000;
			text = "2/5";  
			x = 0.337 * safezoneW + safezoneX;
			y = 0.89 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.015 * safezoneH;
		};

		// ++++++++++++++++++++++++++++++++++++++++++++++++++
		// button  5 
		class line_1: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_5;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_5;
		};
	
		class button_line1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 5";
			action = "['ScriptEGX\scriptEGX_5.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 5: ""; hint parseText (_text1 + localize ""STR_script_N_5"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_5.sqf'; playsound ""click""; _text1 = ""Started the script 5: ""; hint parseText (_text1 + localize ""STR_script_N_5"");";
		};
		
		// button  6
		class line_2: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_6;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_6;
		};
				
				
		class button_line2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 6";  
			action = "['ScriptEGX\scriptEGX_6.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 6: ""; hint parseText (_text1 + localize ""STR_script_N_6"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_6.sqf'; playsound ""click""; _text1 = ""Started the script 6: ""; hint parseText (_text1 + localize ""STR_script_N_6"");";
		};
		
		// button  7 
		class line_3: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_7;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_7;
		};
	
		class button_line3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 7";
			action = "['ScriptEGX\scriptEGX_7.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 7: ""; hint parseText (_text1 + localize ""STR_script_N_7"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_7.sqf'; playsound ""click""; _text1 = ""Started the script 7: ""; hint parseText (_text1 + localize ""STR_script_N_7"");";
		};
		
		// button  8 
		class line_4: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_8;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_8;
		};
				
				
		class button_line4: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};		
		
		class button_line4_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 8";  
			action = "['ScriptEGX\scriptEGX_8.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 8: ""; hint parseText (_text1 + localize ""STR_script_N_8"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_8.sqf'; playsound ""click""; _text1 = ""Started the script 8: ""; hint parseText (_text1 + localize ""STR_script_N_8"");";
		};


		// ++++++++++++++++++++++++++++++++++++++++++++++++++

		class HealPlr_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\HealMe.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_HealPlr: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Heal a single player ";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\HealPlayeR.sqf';";
		};

		class HealPlayers_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\HealPlayers.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_HealPlayers: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Heal all players";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\HealPlayers.sqf';hint 'You healed all the players';";
		};		

		class telePlayerSingleCall_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\TeleportMe.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};

		class button_telePlayerSingleCall: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Teleport a single player to a point on map";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\TeleportPlayeRCall.sqf';";
		};			

		class teleport_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Mengroup.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_teleport: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Teleport group of players to a point on map";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\TeleportPlayerSCall.sqf';";
		};		

		class MarkPlayerPosition_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\MarkPlayerposition.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};

		class button_MarkPlayerPosition: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Mark position on map of a player for few seconds";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\MarkPlayerPosition.sqf';";
		};

		class MarkPlayerSPos_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\MarkPlayerSPos.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};

		class button_MarkPlayerSPos: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Mark players position for few seconds";  
			action = "playsound ""click""; closeDialog 3001; [20,1] execVM 'EGX_system\functions\MarkPlayerSPosition.sqf';";
		};

		class ObjToBackpack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\ObjToBackpack.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ObjToBackpack: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add items to a player's backpack or to all";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\AddObjToBackpack.sqf';";
		};

		class ShowTextPlayers_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_system\img\Text\imgtex1.jpg";
			x = 0.07 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ShowTextPlayers: HiddenButton
		{
			idc = 1601;
			x = 0.07 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Send a message on screen to players";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\ShowTextPlayers.sqf';";
		};

		class FlagsTeleport_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_system\img\Script_icon\FlagsTeleport.jpg";
			x = 0.1 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_FlagsTeleport: HiddenButton
		{
			idc = 1601;
			x = 0.1 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create teleport flags on map (from 2 to 4 flags)";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\FlagsTeleport.sqf';";
		};

		class SkipTime_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_system\img\Script_icon\SkipTime.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_SkipTime: HiddenButton
		{
			idc = 1601;
			x = 0.13 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Move the game time forward or backward";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\SkipTime.sqf';";
		};

		class ChangeBackpack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_system\img\Script_icon\ChangeBackpack.jpg";
			x = 0.16 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ChangeBackpack: HiddenButton
		{
			idc = 1601;
			x = 0.16 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Replace player's backpack with an ILBE backpack";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\ChangeBackpack.sqf';";
		};

		class VehicleRepair_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\VehicleRepair.jpg";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_VehicleRepair: HiddenButton
		{
			idc = 1601;
			x = 0.19 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Repair, rearm and refuel vehicle";  
			action = "playsound ""click""; closeDialog 3001; execVM 'EGX_system\functions\CallVehicleRepair.sqf';";
		};		
	
	};
};

//--------- screen 3 

class adminPanel_3
{
	idd = 3002;
	name = "adminPanel_3";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH; 
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3002;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3002; createDialog 'adminPanel_2';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3002; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3002;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.782 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 3002; createDialog 'adminPanel';";			
		};		
		
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.805 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 3002; createDialog 'adminPanel_2';";
		};		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.807 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 3002; createDialog 'adminPanel_4';";
		};		

		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.829 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 3002; createDialog 'adminPanel_5';";
		};		

		class pagina: RscText_admin
		{
			idc = 1000;
			text = "3/5";  
			x = 0.337 * safezoneW + safezoneX;
			y = 0.89 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.015 * safezoneH;
		};
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++
		// button  9 
		class line_1: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_9;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_9;
		};
	
		class button_line1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 9";
			action = "['ScriptEGX\scriptEGX_9.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 9: ""; hint parseText (_text1 + localize ""STR_script_N_9"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_9.sqf'; playsound ""click""; _text1 = ""Started the script 9: ""; hint parseText (_text1 + localize ""STR_script_N_9"");";
		};
		
		// button  10 
		class line_2: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_10;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_10;
		};
				
		class button_line2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 10";  
			action = "['ScriptEGX\scriptEGX_10.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 10: ""; hint parseText (_text1 + localize ""STR_script_N_10"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_10.sqf'; playsound ""click""; _text1 = ""Started the script 10: ""; hint parseText (_text1 + localize ""STR_script_N_10"");";
		};
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++

		class TranPlysManag_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\TransportPlayers\TranspPlayers.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};		
			
		class button_TranPlysManag: HiddenButton
		{
			idc = 1601;
			x = 0.21 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Open the players transport management panel in the operational area from respawning point";  
			action = "playsound ""click""; closeDialog 3002; createDialog 'TraspPlayers_home';";
		};

		class CallArtillery_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Artillery\ArtilleryCall.jpg";
			x = 0.24 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_CallArtillery: HiddenButton
		{
			idc = 1601;
			x = 0.24 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Order artillery shots on a map position";  
			action = "playsound ""click""; closeDialog 3002; createDialog 'ArtilleryAttack_home';";
		};		

		class ChopterAttack_icon: RscPicture
		{
			idc = 1602;
			text = "EGX_System\img\Script_icon\ChopterAttack.jpg";
			x = 0.27 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_ChopterAttac: HiddenButton
		{
			idc = 1602;
			x = 0.27 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Order CAS helicopter attack";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\CallChopterAttack.sqf';";
		};

		class CAS_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\CASattack.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_CAS: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Order CAS plane attack";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\CallCAS.sqf';";
		};

		class FatBoy_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\FatBoyBomb.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_FatBoy: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Drop a FAT BOY bomb on a position on the map";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\AL_bomb\CallFatBoyBomb.sqf';";
		};

		class MedevacManag_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Medevac_icon\medevac.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};		
			
		class button_MedevacManag: HiddenButton
		{
			idc = 1601;
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Open the Medevac management panel";  
			action = "playsound ""click""; closeDialog 3002; createDialog 'MedevacPanel_home';";
		};

		class BombOnPosition_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Explosion.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};		
			
		class button_BombOnPosition: HiddenButton
		{
			idc = 1601;
			x = 0.18 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a Jdam explosion at a point on the map";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\AL_bomb\CallBombOnPosition.sqf';";
		};

		class SupplyDrop_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\SupplyDrop.jpg";
			x = 0.24 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_SupplyDrop: HiddenButton
		{
			idc = 1601;
			x = 0.24 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Drop parachute supplies at a given location";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\CallSupplyDrop.sqf';";
		};

		class SupplyDropVA_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\SupplyDropVA.jpg";
			x = 0.27 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_SupplyDropVA: HiddenButton
		{
			idc = 1601;
			x = 0.27 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Drop parachute Virtual Arsenal box at a given location";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\CallSupplyDropVA.sqf';";
		};

		class SupplyBox_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Box_Rif.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_SupplyBox: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a supply box at a given location";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\Spawn_SupplyBox.sqf';";
		};

		class BoxVA_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Box_VA.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_BoxVA: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a Virtual Arsenal box at a given location";  
			action = "playsound ""click""; closeDialog 3002; execVM 'EGX_system\functions\Spawn_BoxVA.sqf';";
		};	
	};
};

//--------- screen 4 

class adminPanel_4
{
	idd = 3003;
	name = "adminPanel_4";

	class controlsBackground 
	{
		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3003;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3003; createDialog 'adminPanel_3';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3003; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3003;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.782 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 3003; createDialog 'adminPanel';";			
		};		
		
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.805 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 3003; createDialog 'adminPanel_3';";
		};
		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.807 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 3003; createDialog 'adminPanel_5';";
		};

		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.829 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 3003; createDialog 'adminPanel_5';";
		};		
	
		class pagina: RscText_admin
		{
			idc = 1000;
			text = "4/5";  
			x = 0.337 * safezoneW + safezoneX;
			y = 0.89 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.015 * safezoneH;
		};
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++
		// button  11
		class line_1: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_11;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_11;
		};
	
		class button_line1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 11";
			action = "['ScriptEGX\scriptEGX_11.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 11: ""; hint parseText (_text1 + localize ""STR_script_N_11"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_11.sqf'; playsound ""click""; _text1 = ""Started the script 11: ""; hint parseText (_text1 + localize ""STR_script_N_11"");";
		};
		
		// button  12 
		class line_2: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_12;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_12;
		};
				
		class button_line2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 12";  
			action = "['ScriptEGX\scriptEGX_12.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 12: ""; hint parseText (_text1 + localize ""STR_script_N_12"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_12.sqf'; playsound ""click""; _text1 = ""Started the script 12: ""; hint parseText (_text1 + localize ""STR_script_N_12"");";
		};
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++

		class Static_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Static.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};		
			
		class button_Static: HiddenButton
		{
			idc = 1601;
			x = 0.18 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a static 50 caliber on map position";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\Spawn_Static.sqf';";
		};		

		class ArmoredCar_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\Enemy_ArmedCar.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ArmoredCar: HiddenButton
		{
			idc = 1601;
			x = 0.21 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create enemy armed vehicle that moves over waypoints ";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\Spawn_Enemy_ArmedCar.sqf';";
		};

		class EnemyAttack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\SpawnEnemy.jpg";
			x = 0.24 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_EnemyAttack: HiddenButton
		{
			idc = 1601;
			x = 0.24 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Open the panel to spawn enemy attack on waypoints";  
			action = "playsound ""click""; closeDialog 3003; createDialog 'SpawnEnemyAttack_home';";
		};

		class PatrolUnits_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyPatrol2.jpg";
			x = 0.27 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_PatrolUnits: HiddenButton
		{
			idc = 1601;
			x = 0.27 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create patrolling enemy units";  
			action = "playsound ""click""; closeDialog 3003; createDialog 'SpawnEnemyPatrol_home';;";
		};

		class EnemyArea_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemySpawnArea.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_EnemyArea: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Enemy Spawning System (ESS), spawn enemy units on an area";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\ESS\CallSpawn_Enemy_Area.sqf';";			
		};

		class suicide_bomber_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\suicid_bomber.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_suicide_bomber: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a suicide bomber on map";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\CallSuicideBomber.sqf';";
		};

		class EnemyBoat_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyBoat.jpg";
			x = 0.15 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_EnemyBoat: HiddenButton
		{
			idc = 1601;
			x = 0.15 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a boat attack on waypoints AT SEA";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\Spawn_Enemy_Boat.sqf';";
		};		

		class AILandHeli_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\AILandHeli.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_AILandHeli: HiddenButton
		{
			idc = 1601;
			x = 0.18 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create helicopter landing of units on a map location";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\CallAILandingByHeli.sqf';";
		};

		class Minefield_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\Minefield.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_Minefield: HiddenButton
		{
			idc = 1601;
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create a minefield on a clickable area on the map";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\PlaceMines.sqf';";
		};

		class IEDspawn_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\ied.jpg";
			x = 0.24 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_IEDspawn: HiddenButton
		{
			idc = 1601;
			x = 0.24 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Place random defuse IEDs on a map area (SELECTED AREA MUST CONTAIN ROADS)";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\PlaceIED.sqf';";
		};

		class MarkEnemyPos_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\MarkEnemyPos.jpg";
			x = 0.27 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_MarkEnemyPos: HiddenButton
		{
			idc = 1601;
			x = 0.27 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Mark the position of all units on the map for few seconds";  
			action = "playsound ""click""; closeDialog 3003; [10,2] execVM 'EGX_system\functions\MarkEnemyPosition.sqf';";
		};

		class AreaDefSys_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\ADS.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_AreaDefSys: HiddenButton
		{
			idc = 1601;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Area Defending System (ADS), create an area to defend from enemy attacks";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\ADS\CallArea_Defending_Sys.sqf';";
		};

		class AIMassParadrop_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Script_icon\AIparadrop.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.80 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_AIMassParadrop: HiddenButton
		{
			idc = 1601;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Create an enemy parachute drop on map";  
			action = "playsound ""click""; closeDialog 3003; execVM 'EGX_system\functions\CallAIMassParadrop.sqf';";
		};
	};
};

//--------- screen 5 

class adminPanel_5
{
	idd = 3004;
	name = "adminPanel_5";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3004;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3004; createDialog 'adminPanel_4';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3004; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3004;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.782 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 3004; createDialog 'adminPanel';";			
		};			
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.805 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 3004; createDialog 'adminPanel_4';";
		};		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.807 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 3004; createDialog 'adminPanel_5';";
		};

		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.829 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 3004; createDialog 'adminPanel_5';";
		};		

		class pagina: RscText_admin
		{
			idc = 1000;
			text = "5/5";  
			x = 0.337 * safezoneW + safezoneX;
			y = 0.89 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.015 * safezoneH;
		};
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++
		// button  13
		class line_1: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_13  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_13;
		};
	
		class button_line1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 13";
			action = "['ScriptEGX\scriptEGX_13.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 13: ""; hint parseText (_text1 + localize ""STR_script_N_13"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_13.sqf'; playsound ""click""; _text1 = ""Started the script 13: ""; hint parseText (_text1 + localize ""STR_script_N_13"");";
		};
		
		// button  14 
		class line_2: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_14;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_14;
		};
				
		class button_line2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";  
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.71 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 14";  
			action = "['ScriptEGX\scriptEGX_14.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 14: ""; hint parseText (_text1 + localize ""STR_script_N_14"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_14.sqf'; playsound ""click""; _text1 = ""Started the script 14: ""; hint parseText (_text1 + localize ""STR_script_N_14"");";
		};
		
		// button  15	
		class line_3: RscText_admin
		{
			idc = 1000;

			text = $STR_script_N_15;  
			x = 0.1 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;
			tooltip = $STR_descript_N_15;
		};
	
		class button_line3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\start.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_line3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "RUN THE SCRIPT 15";
			action = "['ScriptEGX\scriptEGX_15.sqf', 'BIS_fnc_execVM', true, true]call BIS_fnc_MP; playsound ""click"";_text1 = ""Started the script 15: ""; hint parseText (_text1 + localize ""STR_script_N_15"");";
			// *** NOTE: to execute locally, comment (with //) the previous string and uncomment the following
			//action = "execVM 'ScriptEGX\scriptEGX_15.sqf'; playsound ""click""; _text1 = ""Started the script 15: ""; hint parseText (_text1 + localize ""STR_script_N_15"");";
		};

		// +++++++++++++++++++++++++++++++++++++++++++++++++++	

		class AddIntelDoc_icon: RscPicture
		{
			idc = 1211;
			text = "EGX_System\img\Script_icon\Intel.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_AddIntelDoc: HiddenButton
		{
			idc = 1611;
			x = 0.21 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Place an intel on map";  
			action = "playsound ""click""; closeDialog 3004; execVM 'EGX_system\functions\AddIntelDoc.sqf';";
		};

		class AddObjectsOnMap_icon: RscPicture
		{
			idc = 1211;
			text = "EGX_System\img\Script_icon\AddObjectsOnMap.jpg";
			x = 0.24 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_AddObjectsOnMap: HiddenButton
		{
			idc = 1611;
			x = 0.24 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Place objects on the map that can eventually be used as objectives";  
			action = "playsound ""click""; closeDialog 3004; execVM 'EGX_system\functions\AddObjectsOnMap.sqf';";
		};

		class AddVipOnMap_icon: RscPicture
		{
			idc = 1211;
			text = "EGX_System\img\Script_icon\VIP.jpg";
			x = 0.27 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_AddVipOnMap: HiddenButton
		{
			idc = 1611;
			x = 0.27 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Create a VIP on the map and eventually assign him an objective";  
			action = "playsound ""click""; closeDialog 3004; execVM 'EGX_system\functions\AddVipOnMap.sqf';";
		};		

		class CivArea_icon: RscPicture
		{
			idc = 1212;
			text = "EGX_System\img\SpawnEnemy\CivilianSpawnArea.jpg";
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_CivArea: HiddenButton
		{
			idc = 1612;
			x = 0.3 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Spawn civilians on an area using the Enemy Spawning System (ESS)";  
			action = "playsound ""click""; closeDialog 3004; execVM 'EGX_system\functions\ESS_civilians\Spawn_Civilian_Area.sqf';";
		};

		class CivPatrol_icon: RscPicture
		{
			idc = 1212;
			text = "EGX_System\img\SpawnEnemy\CivPatrol.jpg";
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
		};
		
		class button_CivPatrol: HiddenButton
		{
			idc = 1612;
			x = 0.33 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.049 * safezoneH;
			tooltip = "Create a civilian in a cyclic path on waypoints on map";  
			action = "playsound ""click""; closeDialog 3004; [0,1] execVM 'EGX_system\functions\ESS_civilians\CivilianPatrolMapClick.sqf';";
		};
	};
};


// ========  vehicles spawning

class VehicleSpawn_home
{
	idd = 3400;
	name = "VehicleSpawn_home";

	class controlsBackground 
	{
		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 3400;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 3400; createDialog 'adminPanel';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 3400; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3400;";
		};
	
		class LittleBird_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\LittleBird.jpg";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class LittleBird_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a little bird";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_Little_bird.sqf';";
		};
	
		class Chinook_RHS_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\Chinook.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class Chinook_RHS_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a Chinook RHS_CH_47F";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_Chinook_RHS_armed.sqf';";
		};
	
		class Ghost_Hawk_RHS_UH_M60_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\GhostHawk.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class Ghost_Hawk_RHS_UH_M60_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a Ghost Hawk RHS UH-M60";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_Ghost_hawk_RHS_UHM60.sqf';";
		};

		class MRAP_RHS_M1220_M2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\MRAP.jpg";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class MRAP_RHS_M1220_M2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a MRAP RHS M1220 M2";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_MRAP_RHS_M1220_M2.sqf';";
		};

		class MRAP_RHS_M1230_M2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\MRAP.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class MRAP_RHS_M1230_M2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a MRAP RHS M1230 M2";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_MRAP_RHS_M1230_M2.sqf';";
		};

		class Humvee_m1043_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\Hunvey.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class Humvee_m1043_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.74 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a RHS Hunvey M1043";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_Humvee_m1043.sqf';";
		};
	
		class gommone_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\Boat.jpg";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class gommone_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.08 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a dinghy (PLACE IT IN WATER)";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_Boat.sqf';";
		};	
	
		class BoatArmed_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\Boatarmed.jpg";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class BoatArmed_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.18 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Spawn a armed boat (PLACE IT IN WATER)";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\Spawn_BoatArmed.sqf';";
		};
	
		class HeliTraspVeh_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnVeicoli\HeliTraspVeh.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
		};
		
		class HeliTraspVeh_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.83 * safezoneH + safezoneY;
			w = 0.03 * safezoneW;
			h = 0.06 * safezoneH;
			tooltip = "Order vehicles transport by means of Chinock helicopter";
			action = "playsound ""click""; closeDialog 3400; execVM 'EGX_system\functions\CallVehicleByHeli.sqf';";
		};	
		
	};
};


// ======== Enemies spawning panel

class SpawnEnemyAttack_home
{
	idd = 4500;
	name = "SpawnEnemyAttack_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4500;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4500; createDialog 'adminPanel_4';";
		};

		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4500; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4500;";
		};

		class Enemy1_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\Enemy1.jpg";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
				
		class Enemy1_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create ONE ENEMY UNIT and order him to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [0,1] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
			
		class Enemy2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\Enemy2.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class Enemy2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create TWO ENEMY UNITS and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [0,2] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
	
		class Enemy3_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\Enemy3.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class Enemy3_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create THREE ENEMY UNITS and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [0,3] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
	
		class Enemy4_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\Enemy4.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class Enemy4_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create FOUR ENEMY UNITS and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [0,4] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
	
		class EnemyOnCar1_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyOnCar1.jpg";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyOnCar1_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create ONE ENEMY UNIT ON VEHICLE and order him to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [1,1] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
		
		class EnemyOnCar2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyOnCar2.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyOnCar2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create TWO ENEMY UNITS ON VEHICLE and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [1,2] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
	
		class EnemyOnCar3_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyOnCar3.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyOnCar3_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create THREE ENEMY UNITS ON VEHICLE and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [1,3] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};
	
		class EnemyOnCar4_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyOnCar4.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyOnCar4_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create FOUR ENEMY UNITS ON VEHICLE and order them to move through waypoints";
			action = "playsound ""click""; closeDialog 4500; [1,4] execVM 'EGX_system\functions\Spawn_Enemies\EnemyAttackMapClick.sqf';";
		};

	};
};


// ======== Artillery control panel 

class ArtilleryAttack_home
{
	idd = 4600;
	name = "ArtilleryAttack_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4600;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4600; createDialog 'adminPanel_3';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4600; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4600;";
		};
	
		class ExplRounds_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Artillery\ArtilleryBombs.jpg";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
				
		class ExplRounds_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Order a bombing raid via artillery on map position";
			action = "playsound ""click""; closeDialog 4600; [3] execVM 'EGX_system\functions\ALartillery\CallArtillery.sqf';";
		};
				
		class SmokeRounds_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Artillery\ArtillerySmokes.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class SmokeRounds_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Order a smokescreen on map position via artillery";
			action = "playsound ""click""; closeDialog 4600; [1] execVM 'EGX_system\functions\ALartillery\CallArtillery.sqf';";
		};
	
		class FlareRounds_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Artillery\ArtilleryFlares.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class FlareRounds_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Order a flares lighting on map position via artillery";
			action = "playsound ""click""; closeDialog 4600; [2] execVM 'EGX_system\functions\ALartillery\CallArtillery.sqf';";
		};

	};
};


// ========  Enemy patrols

class SpawnEnemyPatrol_home
{
	idd = 4700;
	name = "SpawnEnemyPatrol_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4700;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4700; createDialog 'adminPanel_4';";
		};
		
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4700; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4700;";
		};
	
		class EnemyPatrol1_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyPatrol1.jpg";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
				
		class EnemyPatrol1_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.06 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create ONE PATROLLING ENEMY UNIT moving on waypoints";
			action = "playsound ""click""; closeDialog 4700; [0,1] execVM 'EGX_system\functions\Spawn_Enemies\EnemyPatrolMapClick.sqf';";
		};
			
		class EnemyPatrol2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyPatrol2.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyPatrol2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create TWO PATROLLING ENEMY UNITS moving on waypoints";
			action = "playsound ""click""; closeDialog 4700; [0,2] execVM 'EGX_system\functions\Spawn_Enemies\EnemyPatrolMapClick.sqf';";
		};
	
		class EnemyPatrol3_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyPatrol3.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyPatrol3_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create THREE PATROLLING ENEMY UNITS moving on waypoints";
			action = "playsound ""click""; closeDialog 4700; [0,3] execVM 'EGX_system\functions\Spawn_Enemies\EnemyPatrolMapClick.sqf';";
		};
	
		class EnemyPatrol4_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\SpawnEnemy\EnemyPatrol4.jpg";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class EnemyPatrol4_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.28 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Create FOUR PATROLLING ENEMY UNITS moving on waypoints";
			action = "playsound ""click""; closeDialog 4700; [0,4] execVM 'EGX_system\functions\Spawn_Enemies\EnemyPatrolMapClick.sqf';";
		};

	};
};


// ========  Medevac panel

class MedevacPanel_home
{
	idd = 4800;
	name = "MedevacPanel_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};

		class Medbutt_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\Medevac_icon\medButt.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4800;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4800; createDialog 'adminPanel_3';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4800; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4800;";
		};
			
		class MedevacCall_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Medevac_icon\medevacCall.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
		};
		
		class MedevacCall_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
			tooltip = "Call a Medevac for injured players transport and healing";
			action = "playsound ""click""; closeDialog 4800; execVM 'EGX_system\functions\Medevac\CallMedevac.sqf';";
		};

		class MedevacGo_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Medevac_icon\medevacGo.jpg";
			x = 0.25 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
		};
		
		class MedevacGo_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.25 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
			tooltip = "Order Medevac to take off, transport players to medical point and re-insertion. Also use it for resetting the call variable";
			action = "playsound ""click""; execVM 'EGX_system\functions\Medevac\OrderMedevacGO.sqf';";
		};

	};
};

// ========  Medevac panel for SL  TL

class MedevacPanelACE_home
{
	idd = 4900;
	name = "MedevacPanelACE_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};

		class Medbutt_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\Medevac_icon\medButt.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4900;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			//tooltip = "Go back"; 
			action = "closeDialog 4900;";
		};
		
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		//	tooltip = "Go home"; 
			action = "closeDialog 4900; ";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4900;";
		};
				
		class MedevacCallACE_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Medevac_icon\medevacCall.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
		};
		
		class MedevacCallACE_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
			tooltip = "Call a Medevac for injured players transport and healing";
			action = "playsound ""click""; closeDialog 4900; execVM 'EGX_system\functions\Medevac\CallMedevac.sqf';";
		};

		class MedevacGoACE_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Medevac_icon\medevacGo.jpg";
			x = 0.25 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
		};
		
		class MedevacGoACE_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.25 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.071 * safezoneH;
			tooltip = "Order Medevac to take off, transport players to medical point and re-insertion. Also use it for resetting the call variable";
			action = "playsound ""click""; execVM 'EGX_system\functions\Medevac\OrderMedevacGO.sqf';";
		};
		
				
	};
};


// ========  Trasport Players 

class TraspPlayers_home
{
	idd = 4400;
	name = "TraspPlayers_home";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\displayEGX.paa";		
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.408 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4400;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.86 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4400; createDialog 'adminPanel_3';";
		};
		
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4400; createDialog 'adminPanel';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.893 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4400;";
		};
			
		class TraspPlayersCall_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\TransportPlayers\CallTransp.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class TraspPlayers_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Call a vehicle on the map for the transport of players";
			action = "playsound ""click""; closeDialog 4400; execVM 'EGX_system\functions\Transport_Players\Call_Transport_players.sqf';";
		};

		class TraspPlyersMKR_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\TransportPlayers\CallTranspMKR.jpg";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class TraspPlyersMKR_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.13 * safezoneW + safezoneX;
			y = 0.8 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Call a vehicle for transport of players on pre-set markers on the map";
			action = "playsound ""click""; closeDialog 4400; execVM 'EGX_system\functions\Transport_Players\Call_Transport_players_MkrOnMap.sqf';";
		};

		class TraspPlayersGo_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\TransportPlayers\TranspGO.jpg";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
		};
		
		class TraspPlayersGo_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.21 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.032 * safezoneW;
			h = 0.057 * safezoneH;
			tooltip = "Order the vehicle to leave and transport players to the insertion point. Also use it for resetting the call variable";
			action = "playsound ""click""; execVM 'EGX_system\functions\Transport_Players\OrderTransportGO.sqf';";
		};

	};
};